commit afd3fad50d76dcb4049c9cefbf2fef20dc712c50 (HEAD, master)
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   2013-06-17

    release: prepare for 3.9.3

M	NEWS
M	configure.ac

commit 05dd64638cd18025b1027bbdf1db27a9df6a38a1
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-06-17

    canvas-container: fix a GCC warning

M	libnautilus-private/nautilus-canvas-container.c

commit be13e41e44ef70861d8a67272aa92f0dd3019fcb
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-06-17

    editable-label: remove multicontext menuitems

    They have been removed from stock GtkEntry as well, and this
    function is
    now deprecated.

M	eel/eel-editable-label.c

commit 523ea0c4bc628197cfd20f38ebd5f6fc99b737a0
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-06-17

    build: bump GTK requirement

    For GtkPlacesSidebar.

M	configure.ac

commit 60e3b1718e24a6d0b2b55e99f62bb042c12bd125 (origin/master,
origin/HEAD)
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-06-17

    Updated Spanish translation

M	po/es.po

commit 6f0da176c672944b1dfbdd0d9e01cd303d199976
Author: Ting-Wei Lan <lantw44@gmail.com>
Date:	2013-04-30

    Change 'x-nautilus-search:' to 'Search' on tooltips.

    If the location string starts with 'x-nautilus-search://', set
    the tooltip to the window slot title instead of the location.

    https://bugzilla.gnome.org/show_bug.cgi?id=610789

M	src/nautilus-notebook.c

commit 039038da3d399029ab8e4d82c8cade1c9a98265d
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2013-06-16

    Bug 699103 - Enter location bar upon typing ~

M	src/nautilus-shell-ui.xml
M	src/nautilus-window-menus.c

commit b8d80ba9502ef0d42b3ab5b29ab89bb04d62aced
Author: Garrett Regier <garrettregier@gmail.com>
Date:	2013-06-15

    Bug 333265 - Open the folder of a search result or recent item

M	src/nautilus-actions.h
M	src/nautilus-directory-view-ui.xml
M	src/nautilus-view.c

commit 21f1fcc2df1717a0551751402c80be41b741a826
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2013-06-11

    Remove no-longer-existing keys from the GConf conversion

    The conversion utility does not deal with such keys gracefully.
    https://bugzilla.gnome.org/show_bug.cgi?id=700179

M	libnautilus-private/nautilus.convert

commit d532ab4f91d374beb53bbd091cf8a3f0fb288c97
Author: Ted Gould <ted@gould.cx>
Date:	2013-04-29

    Shade rubberbands on the desktop by the wallpaper

    Use the _GNOME_BACKGROUND_REPRESENTATIVE_COLORS X atom to decide
    how to
    shade the rubberband when selecting icons on the desktop.

    https://bugzilla.gnome.org/show_bug.cgi?id=695689

M	libnautilus-private/nautilus-canvas-container.c

commit edd509c2d4892a1e1c03eaa6fc34fe7faa73f6a8
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2013-06-08

    Update Arabic translation

M	po/ar.po

commit 63a3beb6d0e2c5d99a61fccf959808822ba3986d
Author: Michael Catanzaro <mike.catanzaro@gmail.com>
Date:	2013-04-23

    Default size should allow four columns of icons

    https://bugzilla.gnome.org/show_bug.cgi?id=698661

M	src/nautilus-window-private.h

commit 837091b55d41b118d4a8a7fb35bbd8c96326012f
Author: Plamena Manolova <plamena.n.manolova@intel.com>
Date:	2013-06-04

    sendto-extension: Check for available mail client

    The sendto extension now checks for an available client
    supported by nautilus sendto and conditionaly adds the
    "Email" option to the file menu list.

    https://bugzilla.gnome.org/show_bug.cgi?id=701653

M	nautilus-sendto-extension/nautilus-nste.c

commit 034806e4b04427a06f3ed5c4740e1c0218d1f25c
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2013-06-03

    Updated Norwegian bokmål translation

M	po/nb.po

commit 1820c704b18872163575998fc4589d4027664c60
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2013-05-31

    Updated Galician translations

M	po/gl.po

commit 82ccbe7b1ab81853deb92a6d7fe1da144675b844
Author: Reşat SABIQ <tilde.birlik@gmail.com>
Date:	2013-05-21

    Updated Crimean Tatar (Crimean Turkish) translation

M	po/crh.po

commit 6649cc884c01f0745fa755baf9f2183a4f5e3679
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2013-05-16

    Updated Norwegian bokmål translation

M	po/nb.po

commit 1f587c0cd9b10940fdc8f52ec97f0885b1700707
Author: Federico Mena Quintero <federico@gnome.org>
Date:	2013-05-03

    Fix obvious cut&paste bug

    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

M	src/nautilus-pathbar.c

commit 0363483451fdad6714a84787e8a67ca2233226ab
Author: Adam Dingle <adam@yorba.org>
Date:	2013-05-03

    Use Shift+Ctrl+Z, not Ctrl+Y, for Redo

    Use Shift+Ctrl+Z as the shortcut for Redo.	This shortcut is
    prescribed
    by the GNOME interface guidelines and used by other GNOME apps such as
    gedit.

M	src/nautilus-view.c

commit 5d016ba7d31681873ead95086cfa4bfda9d990a2
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2013-05-01

    Updated Slovenian translation

M	po/sl.po

commit c8a87509632ea37de21d840bdfe9798873261274
Author: William Jon McCann <william.jon.mccann@gmail.com>
Date:	2013-04-30

    Don't expand extra widgets

    https://bugzilla.gnome.org/show_bug.cgi?id=698656

M	src/nautilus-window-slot.c

commit bdce45665b1017abfa065549ac1b769120c13f04
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2013-04-30

    Updated Hebrew translation.

M	po/he.po

commit 605dd58a372b81736b6dab4d94c7d6560cb96d66
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2013-04-28

    Updated Polish translation

M	po/pl.po

commit c24c7519359ec073ad5c14e8b80070e2afa80f40
Author: Marek Černocký <marek@manet.cz>
Date:	2013-04-26

    Updated Czech translation

M	po/cs.po

commit 47e3ae683a787ddfbe8a642f9ebc1d7c940bec50
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:	2013-04-25

    Updated Greek translation

M	po/el.po

commit 4200d5b5b707400237c9b3a7c74b2e099e0c20fb
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-04-22

    Updated Spanish translation

M	po/es.po

commit a5d92bd7f2dc11e85acd63d411f9d58bd03b3e1b
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2013-04-22

    Updated POTFILES.in

M	po/POTFILES.in

commit b510da34fbf5451d4189343d2e7cc9b5ad3908b6 (origin/places-sidebar)
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-04-21

    Implement a Format menu item for volumes in the sidebar

    This is about doing it from the populate-popup signal from the
    sidebar, analogous
    to commit a73c8c7736cee89bf5470de47aec876b86878bcd.

    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

M	src/nautilus-window.c

commit c1bf2d5dd352e00af1b6e5b2d4c85846745cb3d1
Author: Federico Mena Quintero <federico@gnome.org>
Date:	2013-04-20

    Handle show-connect-to-server from the sidebar

    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

M	src/nautilus-window.c

commit cb0c3152f5d23a272a4889dd7fcf24c2e6f5da22
Merge: 022b922 82014e7
Author: Federico Mena Quintero <federico@gnome.org>
Date:	2013-04-20

    Merge branch 'master' into places-sidebar

    Conflicts:
	src/nautilus-places-sidebar.c

commit 022b922ca7b27edf271a7decb00c472814538852
Author: Federico Mena Quintero <federico@gnome.org>
Date:	2013-04-20

    Finally remove nautilus-places-sidebar.[ch]

    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

D	src/nautilus-places-sidebar.c
D	src/nautilus-places-sidebar.h

commit 82014e705037d8dc0c3785cbd1741eedf1cc8e01
Author: Wouter Bolsterlee <uws@xs4all.nl>
Date:	2013-04-19

    Updated Dutch translation

M	po/nl.po

commit 07f2a15d580fc44abaa44759c8837f61fa0ab59f
Author: Rui Matos <tiagomatos@gmail.com>
Date:	2013-04-17

    query-editor: Don't grab focus if we already have it

    Grabbing the focus to a GtkEntry causes its selection to be set which
    in turn causes it to reset the IM context. Avoid doing that when we
    already have the search entry focused to not mess the IM context.

    https://bugzilla.gnome.org/show_bug.cgi?id=698205

M	src/nautilus-query-editor.c

commit 12e3b8965d6d9275d1aaf6fe9a6e2ae7744aaa6a
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:	2013-04-16

    Updated Slovenian translation

M	po/sl.po

commit 206b60c0db36475f23476865bc31fd0275def27c
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2013-04-14

    Fix a mistranslation in Hungarian translation

M	po/hu.po

commit 569bf2150790b72d9cfaf7cabccf642ec85480c4
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-04-10

    file: simplify logic to filter out foreign desktop files

    We don't need to check if the file is in the desktop, since the
    desktop
    view will call in with show_foreign = FALSE already.

M	libnautilus-private/nautilus-file.c

commit e0b864eed48c71b64e177507caa435df6ccba158
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-04-10

    dnd: only allow the desktop as target for special desktop items

    When a special desktop item (Home, Trash and the volumes shortcut) is
    dragged, only the desktop itself is a valid destination target.

M	libnautilus-private/nautilus-dnd.c

commit a07820780a1e6649496e274647102eca001e2a99
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-04-10

    canvas-dnd: don't use activation URI for DnD of special desktop items

    Or moving icons on the desktop itself will break.

    https://bugzilla.gnome.org/show_bug.cgi?id=697682

M	libnautilus-private/nautilus-canvas-dnd.c

commit 599fe3661af49974850c26d04473d5613a36581e
Author: Michael Wood <michael.g.wood@intel.com>
Date:	2013-04-10

    view: Make sure we chain down to call reset_to_defaults on the view.

M	src/nautilus-view.c

commit 4f2aca474ef5352b8d0801055aa43afc76e24d6a
Author: Wojciech Szczęsny <wszczesny@aviary.pl>
Date:	2013-04-09

    Updated Polish translation

M	po/pl.po

commit 4146f59d90089fb2d869e2ae93dfe6e7edf2872e
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-04-08

    canvas-view: simplify for multiscreen GTK changes

    Since now GdkDisplay objects in GTK have one single GdkScreen,
    this code
    can now be simplified under that assumption.

M	src/nautilus-canvas-view.c
M	src/nautilus-desktop-canvas-view.c

commit e58bd4c2caef713b117a386f6db33ec68d1e3bb3
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-04-08

    application: simplify for multiscreen GTK changes

    Since now GdkDisplay objects in GTK have one single GdkScreen,
    this code
    can now be simplified to avoid iteration on screens.

M	src/nautilus-application.c

commit 8416d16669c58b2c7c9517857aa6eefbf8c82fd1
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-04-08

    view: remove NautilusViewFactory

    We stopped having pluggable views a long time ago; remove the factory
    code completely in favor of a simple nautilus_view_new() that looks at
    the specified view ID among the list of views we support.

M	src/Makefile.am
M	src/nautilus-application.c
M	src/nautilus-canvas-view.c
M	src/nautilus-canvas-view.h
M	src/nautilus-desktop-canvas-view.c
M	src/nautilus-desktop-canvas-view.h
M	src/nautilus-empty-view.c
M	src/nautilus-empty-view.h
M	src/nautilus-list-view.c
M	src/nautilus-list-view.h
D	src/nautilus-view-factory.c
D	src/nautilus-view-factory.h
M	src/nautilus-view.c
M	src/nautilus-view.h
M	src/nautilus-window-slot.c
M	src/nautilus-window.c

commit f2a3ef1d74fd7202763dbcf206a0e8b3fcd8b7d1
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-04-08

    empty-view: remove obsolete API

M	src/nautilus-empty-view.c

commit e9df191ba85803b3ef5ab74cb7b47d24706037aa
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-04-08

    slot: simplify code

    Reuse a helper we already have for this condition.

M	src/nautilus-window-slot.c

commit cb2713d18f3a7e9ab5811fb92e47d7b5182745de
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-04-08

    view-factory: remove supports_uri()

    There's really no use for this in the current Nautilus, and we're
    getting rid of nautilus-view-factory.

M	src/nautilus-canvas-view.c
M	src/nautilus-desktop-canvas-view.c
M	src/nautilus-empty-view.c
M	src/nautilus-list-view.c
M	src/nautilus-view-factory.c
M	src/nautilus-view-factory.h
M	src/nautilus-window-slot.c

commit b3d2fb51de2e9abe643ab8ff9edf3f0e5af52ff7
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-04-08

    app-menu: add accelerators for app menu actions

    https://bugzilla.gnome.org/show_bug.cgi?id=697252

M	src/nautilus-app-menu.ui

commit 2308764f7bd9bce30ba4871bbeb357273a6671fc
Author: Милош Поповић <gpopac@gmail.com>
Date:	2013-04-08

    Small fix in Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit da01a8d303804d3403014077d6f7d513d80c7abf
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:	2013-04-06

    Updated Danish translation

M	po/da.po

commit dd8f341127ff9f6cfdd78f223b131025c849c4dc
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-04-04

    file: do not reverse collated order for files with same search rank

    When two search results rank equally, we fall back to the collated
    order.
    Since search is usually ranked reversed (highest at the top), we
    need to
    ensure we don't accidentally reverse the collated order as well.

    https://bugzilla.gnome.org/show_bug.cgi?id=688772

M	libnautilus-private/nautilus-file.c

commit 9f2d8a519a42aa33ea05e99910632b628586978a
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-04-04

    query: rank prefix matches lower than exact matches

    Count how many letters are left after the string occurrence, and
    subtract that from the match score.

M	libnautilus-private/nautilus-query.c

commit e55a3feb941112426a1298f4beb420100031f5de
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-04-04

    search-hit: add a missing break

M	libnautilus-private/nautilus-search-hit.c

commit e507f27bdff2298fbcff14d8d7d246a33be73840
Author: Bastien Nocera <hadess@hadess.net>
Date:	2012-09-03

    sendto: We only send mails now

    https://bugzilla.gnome.org/show_bug.cgi?id=680983

M	nautilus-sendto-extension/nautilus-nste.c

commit e2e46b62d0d0a2b82209045fa915ad214bd42feb
Author: Adam Dingle <adam@medovina.org>
Date:	2013-04-02

    Added missing ellipses in app menu.

    https://bugzilla.gnome.org/show_bug.cgi?id=697108

M	src/nautilus-app-menu.ui

commit 60234999479df2b890f532472ef5c9d312cfe0c9
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-04-04

    search-engine-simple: don't follow symlinks when descending

    It's inconsistent with "find" and it can yield to unexpectedly large
    result sets.
    Do not follow symlinks when recursing the search down the hierarchy.

    https://bugzilla.gnome.org/show_bug.cgi?id=697181

M	libnautilus-private/nautilus-search-engine-simple.c

commit 9c5ee628e3c669fef579f13c848000fca5379c80
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-04-04

    query-editor: avoid focus change hack when focusing the search entry

    Code was very fragile and didn't work when the window wasn't initially
    realized, such as when launching a search from the Shell provider.
    We can get the same effect by moving the cursor at the end of
    the entry
    after the focus has been set.

    https://bugzilla.gnome.org/show_bug.cgi?id=697224

M	src/nautilus-query-editor.c

commit b61e1d03b42723e13cf7dd05a26c9bd92dbac0ce
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-04-03

    view: allow copying, and not cutting, from Recent Files

    Previously, we enabled the Cut action for the Recent location,
    and kept
    Copy and Copy To disabled. This should be the other way around, as
    copying a file from there is a valid option, whereas cutting/moving it
    doesn't make sense, being a virtual location.

    https://bugzilla.gnome.org/show_bug.cgi?id=690138

M	src/nautilus-view.c

commit 1b456508deea57d4be99a5f96aec918073f5b6a1
Author: Dušan Kazik <prescott66@gmail.com>
Date:	2013-04-03

    Updated Slovak translation

M	po/sk.po

commit bf6b05b3d77cf84a21275426713805b688d61cf7
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2013-04-03

    Updated Norwegian bokmål translation

M	po/nb.po

commit b0de28dcdba262e17a34734e8260f4ac0d615ddc
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-03-31

    build: require gsettings-desktop-schemas 3.8.0

    https://bugzilla.gnome.org/show_bug.cgi?id=696962

M	configure.ac

commit 0f10815fdfbef978e629df2e50bf0f64a44bd61a
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:	2013-03-30

    Updated Slovenian translation

M	po/sl.po

commit b37c52419daef4a956b47b9779961afda9dc8b8c
Author: Ville-Pekka Vainio <vpvainio@iki.fi>
Date:	2013-03-29

    One fix to the Finnish translation

M	po/fi.po

commit 83069fddf002697c24df5ae7559713b262310fa8
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2013-03-28

    Updated Hebrew translation.

M	po/he.po

commit 395bbe989e84e1730aab877a80f15c1f0f4dac76
Author: ManojKumar Giri <mgiri@redhat.com>
Date:	2013-03-28

    Updated Odia Language along with FUEL implementation

M	po/or.po

commit 7b0a19b2ca9761dfdf58b18d26daf6fb2b1c8637
Author: Ville-Pekka Vainio <vpvainio@iki.fi>
Date:	2013-03-26

    Finnish translation update by Jiri Grönroos

M	po/fi.po

commit 5d0045c99dcfc966f56cd25af4eb64c1597f30cc
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-03-26

    Fixed syntax in translation of Keywords string

M	po/id.po

commit 6d506b5b1725a8dae54dbefaa5103671e44c46c2
Author: Praveen Illa <mail2ipn@gmail.com>
Date:	2013-03-26

    Updated Telugu Translation

M	po/te.po

commit 5c05d0df2b9e16c5b5ff7db3453e84379a9aa031
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	2013-03-26

    Update uk translation

M	po/uk.po

commit 433fa0e9a0ac67fbd7f4a540e1b0ec092030561c
Author: Dirgita <dirgitadevina@yahoo.co.id>
Date:	2013-03-26

    Updated Indonesian translation

M	po/id.po

commit d9119158a2e65c74e8a55eff12e9c5e59425ced2
Author: Mantas Kriaučiūnas <mantas@akl.lt>
Date:	2013-03-25

    Updated Lithuanian translation

M	po/lt.po

commit 71b5f4fa84debce3181eb58c93c46938d13fdcd4
Author: ManojKumar Giri <mgiri@redhat.com>
Date:	2013-03-25

    Updated Odia Language along with FUEL implementation

M	po/or.po

commit a28c4a102a8cae1de75fd853971a2c1469c94c24
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-03-25

    view: use g_app_info_get_name() for application names in Open
    With menus

    This is consistent with the Shell and what is used in the
    properties/Open With dialog.

    https://bugzilla.gnome.org/show_bug.cgi?id=696374

M	src/nautilus-mime-actions.c
M	src/nautilus-view.c

commit 8a2d1c9e54c8765e952a4821692618d946a3d7a2
Author: Rui Matos <tiagomatos@gmail.com>
Date:	2013-03-25

    query-editor: Fix initial key press processing with async IMs

    When using an async input method we can't rely on the entry's text or
    preedit text being updated as a direct result of processing a key
    event.

    Instead, we can look at the event keyval and check if it's going to
    yield a printable character to decide if we are interested in the
    event.

    https://bugzilla.gnome.org/show_bug.cgi?id=696260

M	src/nautilus-query-editor.c

commit 378c01ddb6cb833910cf2fcd9d16f87a807df528
Author: Rui Matos <tiagomatos@gmail.com>
Date:	2013-03-23

    query-editor: Make IMs process the fake event we generate at first

    Input methods will typically only process events after getting focus.

    https://bugzilla.gnome.org/show_bug.cgi?id=696260

M	src/nautilus-query-editor.c

commit 54270d1bae66ec24c56a10fe1973ec271433f6b0
Author: Rui Matos <tiagomatos@gmail.com>
Date:	2013-03-22

    query-editor: Don't set the entry's text if not strictly needed

    If the current text in the entry is equal to the new query's text we
    shouldn't needlessly set the text on the entry since that affects the
    cursor position.

    gtk_entry_set_text() already does a similar check internally but that
    isn't enough here because NautilusQuery doesn't keep the full string
    but instead a stripped version of it.

    https://bugzilla.gnome.org/show_bug.cgi?id=696430

M	src/nautilus-query-editor.c

commit 670875d76ed212e0bb9d071ef79b56fa6dacae2a
Author: Rui Matos <tiagomatos@gmail.com>
Date:	2013-03-25

    eel-editable-label: Fix string length on retrieve-surrounding handler

    https://bugzilla.gnome.org/show_bug.cgi?id=696532

M	eel/eel-editable-label.c

commit 4688bd1ef265aa18042f5d1e099a7f440865c55b
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-03-22

    sidebar: increase default sidebar width

    So that at least in english locale, entries can fill the width without
    ellipsizing.

    https://bugzilla.gnome.org/show_bug.cgi?id=696213

M	libnautilus-private/org.gnome.nautilus.gschema.xml.in

commit 93742332e107be6858bd0c840fc649be2d20be24
Author: Krishnababu Krothapalli <kkrothap@redhat.com>
Date:	2013-03-25

    Updated Telugu translations

M	po/te.po

commit d0c7af217c82d42c53d8e62edd439d982a9aa2cc (tag: 3.8.0)
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-03-25

    release: prepare for 3.8.0

M	NEWS
M	configure.ac

commit d396f9103737763359a6f03ffc33f6304c0eff46
Author: Ani Peter <apeter@redhat.com>
Date:	2013-03-25

    Completed nautilus for Malayalam

M	po/ml.po

commit eef609999532eed1d7ab56d0287450bfd5d5e8bb
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:	2013-03-25

    l10n: Update Japanese translation

M	po/ja.po

commit d7b8ccec1e9c75ecb5a9c6b55ed329fbd5059244
Author: Shankar Prasad <svenkate@redhat.com>
Date:	2013-03-25

    Updated kn translations

M	po/kn.po

commit 74d9fccb9267d84a89e4fdc61c904c839fdaf584
Author: Luca Ferretti <lferrett@gnome.org>
Date:	2013-03-25

    [l10n] updated Italian translation

M	po/it.po

commit 6f165201876bc3d14f092d87ed1208a0553e1543
Author: Luca Ferretti <lferrett@gnome.org>
Date:	2013-03-25

    [l10n] updated Italian translation

M	po/it.po

commit cdd9d383cb1249c66c2086e6623ea239347736af
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2013-03-24

    Fix translations of keywords in .desktop files

M	po/el.po
M	po/nb.po
M	po/pt_BR.po
M	po/sl.po

commit b5a8136a4d7ea4349730e1d062263b5d1549f839
Author: Timo Jyrinki <timo@debian.org>
Date:	2013-03-24

    Add Finnish date/time format translations and source links in
    comments.

M	po/fi.po

commit c6b802e8388ad08a67209a811786853c0d2a8663
Author: Timo Jyrinki <timo@debian.org>
Date:	2013-03-24

    Finnish translation update by Jiri Grönroos

M	po/fi.po

commit 83f5fd579a4c8761cb21f7a35c4655eadf3e0b1f
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	2013-03-24

    Update French translation

M	po/fr.po

commit a0bd9e67da43aa7dfd3a20752ce98f270a5cc698
Author: Dušan Kazik <prescott66@gmail.com>
Date:	2013-03-24

    Updated slovak translation

M	po/sk.po

commit 7770b63d6726bc7ab4b886d6bd3edd009e622e55
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-03-22

    mime-actions: filter applications not supposed to be visible

    Ensure NoDisplay=True applications don't end up in our Open With
    context
    menus.

    https://bugzilla.gnome.org/show_bug.cgi?id=696372

M	src/nautilus-mime-actions.c

commit 0e256a3627af124408a60e55acef3876b6eab021
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:	2013-03-22

    hindi translation

M	po/hi.po

commit 51c1dafa957a9f321133b1bac3fb43761d737b12
Author: ManojKumar Giri <mgiri@redhat.com>
Date:	2013-03-21

    Updated Odia Translation along with FUEL implementation.

M	po/or.po

commit 1e2240dcf549f6021f5f101d61c4eddd8a920034
Author: Dr.T.Vasudevan <drtvasudevan@gmail.com>
Date:	2013-03-21

    Updated Tamil translation

M	po/ta.po

commit adc90722e9c82e998e2d5411d0b0030a7c534b64
Author: Arash Mousavi <mousavi.arash@gmail.com>
Date:	2013-03-21

    L10N: Updated Persian Translation

M	po/fa.po

commit 8b32a6a1c04e718e3229c1e902d69845f076aeda
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2013-03-20

    [l10n] Updated Italian translation.

M	po/it.po

commit 0e257e910494920af1532c8897013a1951731ff8
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2013-03-20

    Updated Hungarian translation

M	po/hu.po

commit 5be01e6bc26180b3c67e8355ae04a97593153a28 (tag: 3.7.92)
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-03-19

    release: prepare for 3.7.92

M	NEWS
M	configure.ac

commit 1bc7eead58c08d0768bff9f5fa86e5e1ec40e551
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-03-19

    desktop-canvas: hide Change Background action when no g-c-c is found

    https://bugzilla.gnome.org/show_bug.cgi?id=690883

M	src/nautilus-actions.h
M	src/nautilus-desktop-canvas-view.c

commit 6f6fcf1b4e99c8a5186c78e911a159b1f06df7b0
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-03-19

    Revert "desktop-canvas: set margins according to the primary workarea"

    This fix proved to be more problematic than the original bug, so we'll
    revert to the original behavior for now.

    This reverts commit 1292610b87be44fcd5a7d5a09738cd7f3287325f.

    https://bugzilla.gnome.org/show_bug.cgi?id=695336

M	src/nautilus-desktop-canvas-view.c

commit 4d9128837b03ddfc3e027fbb19ceae6378142915
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:	2013-03-19

    [l10n] Added Tadjik translation

M	po/LINGUAS
A	po/tg.po

commit 949305513bd40431955b9c62f508893e0c871f0b
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:	2013-03-19

    Updated Marathi Translations

M	po/mr.po

commit 89ec4951bbb38619472634c65414fc1c156be399
Author: Timo Jyrinki <timo@debian.org>
Date:	2013-03-19

    Finnish translation update by Jiri Grönroos

M	po/fi.po

commit f1cb32831df32009f7e8bd5fcc35c5ccdf64eee4
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-03-19

    file-utils: ensure directories exist before restoring from trash

    Before restoring a file from trash, ensure its target directory
    exists on
    disk, otherwise the restore operation will fail trying to move a
    file to
    a nonexistent location.

    https://bugzilla.gnome.org/show_bug.cgi?id=695460

M	libnautilus-private/nautilus-file-utilities.c

commit ced8311675829cc25ce9f9de930d5062256c910f
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-03-19

    trivial: simplify code

M	libnautilus-private/nautilus-file-utilities.c

commit 9ff62bb8c7d0ac14776551fc25f5102cd66a61e8
Author: Pavel Vasin <rat4vier@gmail.com>
Date:	2013-03-19

    window-slot: fix memory leak

    https://bugzilla.gnome.org/show_bug.cgi?id=695484

M	src/nautilus-window-slot.c

commit a3100a6452504c46d9462ce42eee9606c7baf8cc
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-03-18

    view: don't reference org.gnome.desktop.background draw-background

    The key has been removed in gnome-desktop, and attempting to use
    it will
    trigger an assertion.

    https://bugzilla.gnome.org/show_bug.cgi?id=695958

M	src/nautilus-view.c

commit 4b3a46ab65bdf3fc2e68aa74d4ffa67218c5998c
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	2013-03-17

    [l10n] Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit 6469c0585af54c3b34d9ffbc8860d96d55efed63
Author: Tobias Endrigkeit <tobiasendrigkeit@googlemail.com>
Date:	2013-03-17

    [l10n] Updated German translation

M	po/de.po

commit 2b3e84534ede99019c47e38b62605a48e81e8675
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2013-03-17

    Updated Korean translation

M	po/ko.po

commit f562ce75e010f05467b6ed6d7f6a25f657ffa751
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:	2013-03-16

    Updated British English translatioN

M	po/en_GB.po

commit 89bef22b9ecd6dc917d779fef4f24f0f9addb41e
Author: Adam Matoušek <adamatousek@gmail.com>
Date:	2013-03-15

    Updated Czech translation

M	po/cs.po

commit 0b82f59e8914332a5da69b89008dfed42a4ba664
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:	2013-03-15

    Updated Portuguese translation

M	po/pt.po

commit 0461eb957e1734be6880e17d98bea275cf97414a
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:	2013-03-15

    Updated Vietnamese translation

M	po/vi.po

commit dcc970f54fe1504f3b67f90092470aa3ddbc7f9b
Author: Sweta Kothari <swkothar@redhat.com>
Date:	2013-03-13

    Updated gujarati file

M	po/gu.po

commit 40dd97612e2864073b6dbc2a72bbf72008c90f9d
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:	2013-03-13

    [l10n] Updated Estonian translation

M	po/et.po

commit 4274f52e582cd8fca6430fa1babfdd56a8edc34f
Author: KennethNielsen <k.nielsen81@gmail.com>
Date:	2013-03-12

    Updated Danish translation

M	po/da.po

commit a3260cedd902e26c3db30e7cc75c0e642ebefef0
Author: Anish A <aneesh.nl@gmail.com>
Date:	2013-03-12

    Updated Malayalam Localization

M	po/ml.po

commit 610b7811bb448512b3403a86669e8c304478eda4
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2013-03-11

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit cb0520c5ed6e8993aa6806ac23d66038047a5bf1
Author: Wylmer Wang <wantinghard@gmail.com>
Date:	2013-03-11

    update Simplified Chinese (zh_CN) translation

M	po/zh_CN.po

commit 4196a374e50cbc39de03713dbda28308dda866d4
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:	2013-03-11

    Updated Russian translation

M	po/ru.po

commit eb48825b2a2f78afa8464460ed970b7abcd7816c
Author: Joan Duran <jodufi@gmail.com>
Date:	2013-03-10

    [l10] Updated Catalan translation

M	po/ca.po

commit d3cddb5d973d33e799e509f33daf50c8664cee93
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	2013-03-10

    Updated Latvian translation

M	po/lv.po

commit 17ff62811ca86ec88b3dca6bc903ff39cd68eec4
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2013-03-09

    Update Arabic translation

M	po/ar.po

commit 02aa34aaec572df5d6bd21f8c28372a10b32dcd8
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2013-03-09

    Updated Lithuanian translation

M	po/lt.po

commit 75ede04b4d418c69ae1383c21da56bcc4996340d
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	2013-03-08

    Update French translation

M	po/fr.po

commit d486af277f491ff5cfcfa254ebce618cd41a3edb
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-02-14

    eel-canvas: fix double tap with touchscreen devices

    Code here is not doing what the comment (and the symmetric part in
    the RELEASE case) says.

    https://bugzilla.gnome.org/show_bug.cgi?id=688281

M	eel/eel-canvas.c

commit 55fb77418a07cfe0ef8a1ee3347c2e28ed0360a6
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2013-03-07

    Updated Slovenian translation

M	po/sl.po

commit 53a651f0a1311a172a00ef4c8b5628e3cf1a9874
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:	2013-03-07

    Updated Slovenian translation

M	po/sl.po

commit 52499153939a3b3ab4458cfb9d35017ce3001dbb
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:	2013-03-07

    Updated Greek translation

M	po/el.po

commit 33cd1684860b141e4d4ae1312b50703e0cef6fa0
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2013-03-07

    Updated Belarusian translation.

M	po/be.po

commit 9f0a5fd42075df253b2e256e0ea528c463f5cec2
Author: Gheyret Kenji <gheyret@gmail.com>
Date:	2013-03-07

    Updated Uyghur translation

    Signed-off-by: Gheyret Kenji <gheyret@gmail.com>

M	po/ug.po

commit 1d1488cbc96ee9f7dd69b708e093d274a5374878
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-03-06

    Always use activation URI for DnD sources

    This ensures DnD from special locations (e.g. Recent or Trash) always
    works even for targets that do not use gvfs.

M	libnautilus-private/nautilus-canvas-container.c
M	libnautilus-private/nautilus-canvas-container.h
M	libnautilus-private/nautilus-canvas-dnd.c
M	libnautilus-private/nautilus-canvas-private.h
M	src/nautilus-canvas-view.c
M	src/nautilus-list-view.c

commit 26d023a289c2160147bc02f1e18243f8212c82eb
Author: A S Alam <aalam@users.sf.net>
Date:	2013-03-06

    Punjabi: Translation updated (aalam)

M	po/pa.po

commit 865cb2ec0754b9c76f3a1e87980c3e4a1ae93ad5
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2013-03-06

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 1df4dab32e178d69410e9d7dea08ee1065d3b9df
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:	2013-03-06

    Assamese translation updated for gnome 3.8

M	po/as.po

commit 2e789529eae6f02c33ac3f57a32b015a5a33e6f8
Author: Florêncio Neves <florencioneves@gmail.com>
Date:	2013-03-05

    Updated Brazilian Portuguese translation proofread by Enrico Nicoletto

M	po/pt_BR.po

commit 5c2f0f88440bcde1e3e7d9f5904de7cc1f90062a (tag: 3.7.91)
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-03-04

    release: prepare for 3.7.91

M	NEWS
M	configure.ac

commit df4558a12a22a93b9cd67943a61eec5675a3952d
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2013-03-04

    Updated Basque language

M	po/eu.po

commit 5b52d75ef3ba9f7eacab1d0c83085d3c51e9c6c6
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2013-03-04

    Updated Polish translation

M	po/pl.po

commit dcc37991791aa5e55129be9dabf3c9c8ab941fc6
Author: Pavel Vasin <rat4vier@gmail.com>
Date:	2013-03-03

    window-menus: fix double-free

    https://bugzilla.gnome.org/show_bug.cgi?id=695070

M	src/nautilus-window-menus.c

commit 91dfcc64b844158429e01ce92b495b627fb6b59b
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-03-04

    slot: fix a runtime warning

    At startup, slot->details->content_view is NULL, so we can't
    unconditionally call nautilus_view_get_selection() on it.

M	src/nautilus-window-slot.c

commit 67028cab831a96d715be0bbe92bea6f0e076049c
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-03-04

    icon-info: don't use deprecated gtk_icon_info_free

M	libnautilus-private/nautilus-icon-info.c

commit 713ad95a181f1f5b7459be3b26b150c1a15745f1
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-03-04

    Updated Spanish translation

M	po/es.po

commit 675d12082bb6f5ff1e13d38c14d06044c869184e
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2013-03-04

    Updated Galician translations

M	po/gl.po

commit 7ed009880556ffe954533a4fe841480fb3aac615
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:	2013-03-04

    NautilusApplication: fix compilation warning on prev commit

M	src/nautilus-application.c

commit b8eebe953c4eb564749901f8fbabf4878c8e4e71
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:	2013-03-02

    NautilusApplication: export currently opened locations to DBus

    https://bugzilla.gnome.org/show_bug.cgi?id=694266

M	src/nautilus-application.c

commit 980512cee65e21e79c53a7181a0f68ec921111cc
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:	2013-03-02

    NautilusWindowSlot: emit a location change only after setting the
    new one

    Otherwise: nautilus_window_slot_get_location_uri() != new_location

    https://bugzilla.gnome.org/show_bug.cgi?id=694266

M	src/nautilus-window-slot.c

commit 49115b85264209e73110306ab8f3fe96dba816c6
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:	2013-02-27

    NautilusFreedesktopDBus: add public setter for OpenLocations

    https://bugzilla.gnome.org/show_bug.cgi?id=694266

M	data/freedesktop-dbus-interfaces.xml
M	src/nautilus-freedesktop-dbus.c
M	src/nautilus-freedesktop-dbus.h

commit e6fecc0500b83ad55a1d8b6acbcf520ab9c0eb8d
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:	2013-03-01

    NautilusWindow: don't pass the application on construction

    We can guess it easily using g_application_get_default () and set
    it as the
    gtk application before than the GtkWindow constructor would do.

    https://bugzilla.gnome.org/show_bug.cgi?id=694266

M	src/nautilus-application.c
M	src/nautilus-window.c
M	src/nautilus-window.h

commit d0b0be2184e0d32536138c4b128a206bf46356ad
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:	2013-03-03

    NautilusWindowSlot: allow the location change if selection has
    been changed

    Added nautilus_file_selection_equal function in the file utils.

    This makes nautilus -s to work properly.
    Added also indentation fixes.

    https://bugzilla.gnome.org/show_bug.cgi?id=694034

M	libnautilus-private/nautilus-file-utilities.c
M	libnautilus-private/nautilus-file-utilities.h
M	src/nautilus-window-slot.c

commit ce4255cf15d1475be3551f6d70ca83648c7137b3
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:	2013-02-27

    NautilusApplication: add --new-window commandline to force the
    old behavior

    Calling nautilus with -w or --new-window always opens a new window.
    Desktop file updated, to use this parameter as default.

    https://bugzilla.gnome.org/show_bug.cgi?id=694034

M	data/nautilus.desktop.in.in
M	src/nautilus-application.c

commit c8ee0c56e914830469dd242535263587770539dd
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:	2013-02-27

    NautilusApplication: don't open a new window if the location is
    already open in a slot

    When a nautilus slot (window or tab) is already opened for the
    requested location,
    we focus it instead of opening a new window.

    https://bugzilla.gnome.org/show_bug.cgi?id=694034

M	src/nautilus-application.c

commit 364b5daa9eb152b2896eeaed1294db3b625e36a9
Author: Benjamin Steinwender <b@stbe.at>
Date:	2013-03-03

    [l10n] Updated German translation

M	po/de.po

commit 88074dd8228a575712309ceb2ecae42756a6c17e
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:	2013-03-03

    Updated Portuguese translation and converted to New Spelling (Novo AO)

M	po/pt.po

commit a9816317dfa3a408d083ce142b226c636300f286
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:	2013-03-03

    Updated Portuguese translation and converted to New Spelling (Novo AO)

M	po/pt.po

commit 9d30c9e2ba40282e387d5c0c81ffe7ac9d81dcf2
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2013-03-03

    Updated Vietnamese translation

M	po/vi.po

commit 1f09070961d5bde173910830c935835ce66a7319
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2013-03-03

    Updated Vietnamese translation

M	po/vi.po

commit cf5e885c71adc3155dbdf578457db62c61c2537b
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2013-03-03

    po/vi: import from Damned Lies

M	po/vi.po

commit 6f598643f6c7f9dcc5b98e4330f23fcc407008a8
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2013-03-02

    Updated Lithuanian translation

M	po/lt.po

commit 0fee59361d889a61cc6cc76b5ba624ae56338ae8
Author: Luca Ferretti <lferrett@gnome.org>
Date:	2013-03-02

    l10n: Updated Italian translation

M	po/it.po

commit 836975a11a3658f971b1747afe6244c675177c40
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-03-01

    tracker: fix an error with latest Tracker

    We name some query column variable results with "AS ?foo", but Tracker
    now errors out on those clauses, not returning any result.
    Since we don't need them, just remove them from the query string.

    https://bugzilla.gnome.org/show_bug.cgi?id=693195

M	libnautilus-private/nautilus-search-engine-tracker.c

commit fc3c03fcc964b2f5baade671d9d812394b515245
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-03-01

    search: print a warning when a provider errors out on a query

M	libnautilus-private/nautilus-search-provider.c

commit ce00addf4a754fcd2224d0ccd7559e269de73ab8
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-02-27

    application: register with gnome-session

    This is needed for classic mode, since we're a required component of
    that session.

    https://bugzilla.gnome.org/show_bug.cgi?id=694834

M	src/nautilus-application.c

commit c3382e0415d51082545f277c380d37be160e8d2d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-02-27

    application: move nautilus_application_new() to its own function

M	src/nautilus-application.c
M	src/nautilus-application.h
M	src/nautilus-main.c

commit 8a4768ae7dc079be77fea4c3e847f77d3bfb060a
Author: Federico Mena Quintero <federico@gnome.org>
Date:	2013-02-27

    Make the drag-action-requested signal return its drag action

    This is an API change in GtkPlacesSidebar

    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

M	src/nautilus-window.c

commit 425438b10fc800cc5075e9b9f4c5ccf90cd42ee3
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2013-02-27

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 9f5f5f794c0ab1358dacbfccaf738b35e30cd083
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	2013-02-26

    Update French translation

M	po/fr.po

commit 51c684eaf35791d677f4b770a8eaaed64fae93e4
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2013-02-25

    Updated Norwegian bokmål translation

M	po/nb.po

commit 5c11414938c9725ec147acff851121021dae1113
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:	2013-02-25

    Updated Greek translation

M	po/el.po

commit 5d512c606ff3e415f8c36ab07fabe7718d07313a
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2013-02-24

    Updated Slovenian translation

M	po/sl.po

commit e479aaab3e4707030833407ad67e9ef9761e39a8
Author: Gheyret Kenji <gheyret@gmail.com>
Date:	2013-02-24

    Updated Uyghur translation

    Signed-off-by: Gheyret Kenji <gheyret@gmail.com>

M	po/ug.po

commit 19d1f3264056281bc1fac7d22bdd3af183ff4cc1
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2013-02-24

    Updated Polish translation

M	po/pl.po

commit fe45b6304c14cb2ba06237eadc2bce9d16c24d20
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-02-22

    pathbar: use text-button style class for pathbar buttons

    This will give it more horizontal spacing, like we do for text buttons
    in main toolbars.

M	src/nautilus-pathbar.c

commit d29ef71ee9c92de2fc94979d8cabf8bed5ec170d
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:	2013-02-22

    Updated Russian translation

M	po/ru.po

commit 78adda35f7ad84ac24eed75080d4cd637bca9f47
Author: A S Alam <aalam@users.sf.net>
Date:	2013-02-22

    Punjabi: Translation updated (aalam)

M	po/pa.po

commit fb965ebb99bc28ad0ffb1646f314706fdb2917d9
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2013-02-21

    Updated Hebrew translation.

M	po/he.po

commit f30f0b01c48799ad9cc5225020cdc380b1b1c0c5
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-02-21

    canvas-dnd: adapt for gnome-desktop API change

    gnome_bg_set_draw_background() has been removed.

M	libnautilus-private/nautilus-canvas-dnd.c

commit 1019cdd0668a3fc67531187671ac39fce6b1f025
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-02-20

    canvas-item: don't use the root window to create drag surface

    There's no reason to.

M	libnautilus-private/nautilus-canvas-item.c

commit a5928e842d59af158a5beb52d66036fa7acdc75d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-02-20

    desktop-canvas-view: remove special middle-click handling

    It's not necessary anymore.

M	src/nautilus-desktop-canvas-view.c

commit ccb388100c9b10bf66edd3af69944968c37be2e3
Author: Ryan Lortie <desrt@desrt.ca>
Date:	2013-02-20

    NautilusApplication: change startup() order

    Move init_desktop() under nautilus_application_init_actions() so
    that we
    have the appmenu setup by the time we create the desktop window
    (so that
    the property is set properly).

    https://bugzilla.gnome.org/show_bug.cgi?id=694271

M	src/nautilus-application.c

commit d2540761164b52531ab742889410ac12b135c9df
Author: Michael Wood <michael.g.wood@intel.com>
Date:	2013-02-07

    toolbar: Toggle the gear menu off when F10 is pressed again

    The GtkMenu gets the key focus so the F10 action associated with
    the window
    doesn't get run so listen to the key event on the widget it's
    self just
    for closing.

    https://bugzilla.gnome.org/show_bug.cgi?id=686755

M	src/nautilus-toolbar.c

commit 966fea0e624e35bbef850dfa547c42115bae320e
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2013-02-20

    Updated Galician translations

M	po/gl.po

commit 146f04eb23722eac2e6ca4d2b0b779ba0713c964
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-02-19

    canvas-dnd: don't trigger dnd hover on the desktop

M	libnautilus-private/nautilus-canvas-dnd.c

commit 6d6bf1e7c6049b4bd300ae1d90833a8b5fcf30c4
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-02-19

    canvas-container: don't force native window for the desktop canvas

M	libnautilus-private/nautilus-canvas-container.c

commit 372c60d3f8590280df23f457a67652adec369697
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-02-19

    Remove NautilusDesktopBackground

    It's gone! \o/

M	libnautilus-private/Makefile.am
D	libnautilus-private/nautilus-desktop-background.c
D	libnautilus-private/nautilus-desktop-background.h

commit 07d2ca86237fac8b5bddc4e619e43dfc813bc5e7
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-02-19

    desktop-canvas: don't use NautilusDesktopBacgrkound

    We don't need to anymore.

M	src/nautilus-desktop-canvas-view.c

commit 8b4a83ea80bf657cd8be754786e5f9daf7d5cc52
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-02-19

    canvas-dnd: don't use NautilusDesktopBackground

    We only use it for DnD when receiving an image drop. We can copy that
    code from NautilusDesktopBackground in a helper function.

M	libnautilus-private/nautilus-canvas-dnd.c

commit 9f99ba3506d5cf1584d9afa952e11aed17deac2f
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-02-19

    desktop-window: don't signal we are handling the background

    g-s-d won't listen to this root window property anymore, and we're not
    actually rendering any background now. Don't set it.

M	src/nautilus-desktop-window.c

commit f0f36c876e4810b190a82e3a953d9263c106447f
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2013-02-19

    Use an RGBA window for the desktop

    In the future, GNOME shell will always render the background,
    and handle transitions, etc. Nautilus will then just render
    its icons on top.

M	src/nautilus-desktop-canvas-view.c
M	src/nautilus-desktop-window.c

commit b4c2aa5b547c41101280b1d9daac68cf26dbf13c
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-02-19

    application: fix nautilus --quit

    We should call g_application_quit() when we're asked to force quit.

M	src/nautilus-application.c

commit 0309ecae8568b69ed6356dab6d983bc0d53fcd74
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-02-19

    search-provider: fix activation behavior

    It was unintentionally changed from opening the default application
    for
    the result to selecting it in a view.

M	src/nautilus-shell-search-provider.c

commit d9e7de35e0807b5ed93c9e8ae42dac441987a776
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-02-19

    Updated Spanish translation

M	po/es.po

commit ddc557e19ec68d2f934d9ec21098d58c081446ff
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2013-02-19

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 236044a93840a4b0ffdcaec5e712fbc47f0e215c (tag: 3.7.90)
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-02-18

    release: prepare for 3.7.90

M	NEWS
M	configure.ac

commit a73c8c7736cee89bf5470de47aec876b86878bcd
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-02-12

    places-sidebar: add a Format menu item for volumes

    This runs gnome-disks with a commandline that just sets the format
    dialog as transient for the Nautilus toplevel.

    https://bugzilla.gnome.org/show_bug.cgi?id=687093

M	src/nautilus-places-sidebar.c

commit f60a3d0486ef67eafa6a5452198541c7116788a4
Author: Luca Ferretti <lferrett@gnome.org>
Date:	2013-02-18

    l10n: Updated Italian translation

M	po/it.po

commit 23c0f33e0fb0b59e22f8cd5638db76fa41bb2f4c
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2013-02-17

    Updated Polish translation

M	po/pl.po

commit a1906661e77082b6130642a5e8f811184bd2da33
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2013-02-17

    Updated Galician translations

M	po/gl.po

commit b08abdfc40d715051abc6886154c53a38476e285
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2013-02-17

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 55eff68d3b699de6634c7afdf91580536c2be62b
Author: Gheyret Kenji <gheyret@gmail.com>
Date:	2013-02-16

    Updated Uyghur translation

    Signed-off-by: Gheyret Kenji <gheyret@gmail.com>

M	po/ug.po

commit 447d2ad6944afd94434a774b28f8c6e8274955fe
Author: William Jon McCann <jmccann@redhat.com>
Date:	2013-02-15

    eel: use G_APP_INFO_CREATE_NEEDS_TERMINAL to run command in terminal

M	eel/eel-gnome-extensions.c

commit c1015ee559a21d64f65cf6288663fab4f7a6b9d4
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-02-14

    Updated Spanish translation

M	po/es.po

commit 1c2b1e33346d2b06dedff3d81fc36e679e2d0761
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-02-14

    ui: specify accelerators=true for our menu definitions

    This will make GtkMenuButton do the right thing and show accelerators
    in
    the popup.
    Thanks to Juanjo Marín for the fix.

    https://bugzilla.gnome.org/show_bug.cgi?id=680962

M	src/nautilus-canvas-view-ui.xml
M	src/nautilus-directory-view-ui.xml
M	src/nautilus-list-view-ui.xml
M	src/nautilus-shell-ui.xml

commit b4ad42af54234124fffc6cf0a736409be8614cc8
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-02-13

    places-sidebar: follow the remember-recent-files GSetting

    https://bugzilla.gnome.org/show_bug.cgi?id=693705

M	libnautilus-private/nautilus-global-preferences.c
M	libnautilus-private/nautilus-global-preferences.h
M	src/nautilus-places-sidebar.c

commit 500770e8de18b07392ffa4435372525d5d03c688
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-02-12

    places-sidebar: add a Connect to Server sidebar item

    https://bugzilla.gnome.org/show_bug.cgi?id=686968

M	src/nautilus-application.c
M	src/nautilus-application.h
M	src/nautilus-places-sidebar.c

commit d2bfffc574c1e6305d862c041b35c9c45ba67674
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-02-12

    places-sidebar: coding style fix

M	src/nautilus-places-sidebar.c

commit b2dca1ed86c3ccd65c6cbad5518be519471143d3
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-02-11

    list-view: follow the newly introduced use-tree-view GSetting

M	src/nautilus-list-view.c

commit 58bde02ecd3be7e751053f3c6fe78b9a6ba9108f
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-02-11

    preferences: add a "Navigate folders in a tree" preference

    Users can now enable the tree view with the checkbox.

M	libnautilus-private/nautilus-global-preferences.h
M	libnautilus-private/org.gnome.nautilus.gschema.xml.in
M	src/nautilus-file-management-properties.c
M	src/nautilus-file-management-properties.ui

commit 9fd0e21817ef1392a2d1f81308ec835dd2fa373d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-02-11

    list-view: add back a treeview option

    Re-add most of the code that handled the tree view in
    NautilusListModel
    and NautilusListView, cleaned up and rebased to master.

    The tree mode will be activated by a checkbox in the Preferences
    dialog.

M	libnautilus-private/nautilus-tree-view-drag-dest.c
M	src/nautilus-list-model.c
M	src/nautilus-list-view.c

commit d2c4cad5946de685ee567365e0c86d9343c6ad6b
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-02-11

    Updated Spanish translation

M	po/es.po

commit 80941bd263c4e3b3f586146cdb38f8cc5f4762cc
Author: Anish A <aneesh.nl@gmail.com>
Date:	2013-02-10

    Updated Malayalam Localization

M	po/ml.po

commit 8605bc944af3fb935c35f27b0cadf532f3c4e0ce
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2013-02-09

    Updated Lithuanian translation

M	po/lt.po

commit 8db7c7c20623293a603311e86787fb0f0679eb4f
Author: Wouter Bolsterlee <uws@xs4all.nl>
Date:	2013-02-09

    Updated Dutch translation

M	po/nl.po

commit aaa61a0f8ba5b6241b4a7a3d27661be99264a822
Author: Gheyret Kenji <gheyret@gmail.com>
Date:	2013-02-09

    Updated Uyghur translation

    Signed-off-by: Gheyret Kenji <gheyret@gmail.com>

M	po/ug.po

commit 160f7cbff4cbc30394fc4efd8a6f550b80befd04
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	2013-02-08

    Update French translation

M	po/fr.po

commit 4c1880dfe462570842b284c4160912c073815850
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2013-02-07

    Updated Slovenian translation

M	po/sl.po

commit c5f33a6417fc36426678204b3c30ae36972e835b
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2013-02-07

    Updated Galician translations

M	po/gl.po

commit 37acaa61ae295762b9e17794457bd4d003c09c20 (tag: 3.7.5)
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-02-06

    release: prepare for 3.7.5

M	NEWS
M	configure.ac

commit b3434e8bec9231b21f34fbe4bfc5e05b8d2e592b
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-02-06

    data: add nautilus-classic.desktop

    This is needed to have nautilus autostarted with desktop icons in the
    classic session.

M	configure.ac
M	data/Makefile.am
A	data/nautilus-classic.desktop.in

commit 7a21b958ec5d6241c9453f553cd5ba8578783d10
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-02-06

    application: add a --force-desktop command line option

    This will be useful when nautilus is run in "classic mode" to
    show icons
    independently of the GSettings value.

M	src/nautilus-application.c

commit 298a35c05820cd9c3960282a735f246daa552939
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-02-06

    image-properties-page: don't use
    gtk_scrolled_window_add_with_viewport()

M	src/nautilus-image-properties-page.c

commit d2cdc88a889e8cb2813b355e6e7e02c1025f6b24
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2013-02-03

    Updated Basque language

M	po/eu.po

commit 6e2ed1e9bfb8f284c340d7f73e27fe54df667ed7
Author: Gheyret Kenji <gheyret@gmail.com>
Date:	2013-02-03

    Updated Uyghur translation

    Signed-off-by: Gheyret Kenji <gheyret@gmail.com>

M	po/ug.po

commit 3f4162a00fbfe95dccab2a67ca20677bed196326
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2013-02-02

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 6639f21c4ff5ebdb140f9ae93a7614bd45594cd3
Author: Federico Mena Quintero <federico@gnome.org>
Date:	2013-02-01

    Remove usage of gtk_places_sidebar_set_accept_uri_drops() as it no
    longer exists

    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

M	src/nautilus-window.c

commit f1ef886036e1f2c859d8ed882b31123dcc004463
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2013-01-31

    Updated Polish translation

M	po/pl.po

commit f733ed3061e3aa362c77f5e2eacfb2c7e986098b
Author: Reinout van Schouwen <reinouts@gnome.org>
Date:	2013-01-31

    Updated Dutch translation by Reinout van Schouwen <reinouts@gnome.org>

M	po/nl.po

commit d69885bd67edc1fae76c790f6162807817d63b2f
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-01-29

    file: don't crash when the original file path has reserved characters

    We shouldn't even try to unescape this, as GIO returns a valid path.

    https://bugzilla.gnome.org/show_bug.cgi?id=692737

M	libnautilus-private/nautilus-file.c

commit b632e32b5406db6fba3d26908338e8909e4211e9
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-01-29

    toolbar: use a better position for the back/forward popup menus

    Position them under the button, instead of below the pointer.

    https://bugzilla.gnome.org/show_bug.cgi?id=688809

M	src/nautilus-toolbar.c

commit ae16296bbc5fdfa7a9ef475b9c61f24965a9e9d9
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-01-22

    eel: remove unused eel_gtk_tree_view_set_activate_on_single_click

M	eel/eel-gtk-extensions.c
M	eel/eel-gtk-extensions.h

commit 277a6a45bee8186b2493ad1b286234ac52f1aed8
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-01-22

    places-sidebar: use gtk_tree_view_set_activate_on_single_click

    This also bumps the required GTK version to the current git master.

M	configure.ac
M	src/nautilus-places-sidebar.c

commit 0cdc2b1cb1017138f2a557716c2cd41ed8f3ec91
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2013-01-22

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit d721a8f2066d3be044e2c26332cdb6371ad8e9b1
Author: William Jon McCann <jmccann@redhat.com>
Date:	2013-01-21

    Normalize signal names

    https://bugzilla.gnome.org/show_bug.cgi?id=692234

M	eel/eel-canvas.c
M	eel/eel-editable-label.c
M	eel/eel-gtk-extensions.c
M	libnautilus-extension/nautilus-menu-provider.c
M	libnautilus-private/nautilus-canvas-container.c
M	libnautilus-private/nautilus-canvas-dnd.c
M	libnautilus-private/nautilus-canvas-item.c
M	libnautilus-private/nautilus-clipboard-monitor.c
M	libnautilus-private/nautilus-clipboard.c
M	libnautilus-private/nautilus-clipboard.h
M	libnautilus-private/nautilus-column-chooser.c
M	libnautilus-private/nautilus-desktop-background.c
M	libnautilus-private/nautilus-desktop-directory.c
M	libnautilus-private/nautilus-desktop-link-monitor.c
M	libnautilus-private/nautilus-desktop-link.c
M	libnautilus-private/nautilus-directory-async.c
M	libnautilus-private/nautilus-directory.c
M	libnautilus-private/nautilus-entry.c
M	libnautilus-private/nautilus-file-utilities.c
M	libnautilus-private/nautilus-file.c
M	libnautilus-private/nautilus-mime-application-chooser.c
M	libnautilus-private/nautilus-signaller.c
M	libnautilus-private/nautilus-trash-monitor.c
M	libnautilus-private/nautilus-tree-view-drag-dest.c
M	src/nautilus-application.c
M	src/nautilus-bookmarks-window.c
M	src/nautilus-canvas-view.c
M	src/nautilus-desktop-canvas-view.c
M	src/nautilus-desktop-item-properties.c
M	src/nautilus-desktop-window.c
M	src/nautilus-file-management-properties.c
M	src/nautilus-image-properties-page.c
M	src/nautilus-list-model.c
M	src/nautilus-list-view.c
M	src/nautilus-location-entry.c
M	src/nautilus-mime-actions.c
M	src/nautilus-pathbar.c
M	src/nautilus-places-sidebar.c
M	src/nautilus-properties-window.c
M	src/nautilus-trash-bar.c
M	src/nautilus-view.c
M	src/nautilus-window-menus.c
M	src/nautilus-window.c

commit 898573b616e89e488d7b585bafa9d7f732841e09
Author: William Jon McCann <jmccann@redhat.com>
Date:	2013-01-21

    Remove cut and paste libegg

    https://bugzilla.gnome.org/show_bug.cgi?id=692234

M	Makefile.am
M	configure.ac
D	cut-n-paste-code/Makefile.am
D	cut-n-paste-code/README
D	cut-n-paste-code/libegg/Makefile.am
D	cut-n-paste-code/libegg/eggtreemultidnd.c
D	cut-n-paste-code/libegg/eggtreemultidnd.h
D	cut-n-paste-code/libegg/update-from-egg.sh
M	libnautilus-private/Makefile.am
M	src/Makefile.am

commit 3c22e4c1a3bcfaac11a5dcd1f07a4e5f2b90a881
Author: William Jon McCann <jmccann@redhat.com>
Date:	2013-01-22

    Keep a ref to the drop files

    So they will still be around when the parent model goes away.

    https://bugzilla.gnome.org/show_bug.cgi?id=692234

M	libnautilus-private/nautilus-dnd.c
M	libnautilus-private/nautilus-dnd.h
M	src/nautilus-places-sidebar.c

commit 1b4eec6e523543c413d7c0da95436f92358ba80a
Author: William Jon McCann <jmccann@redhat.com>
Date:	2013-01-21

    Cache drag selections on drag begin

    Since the contents of the view may change.

    https://bugzilla.gnome.org/show_bug.cgi?id=692234

M	libnautilus-private/nautilus-canvas-dnd.c
M	libnautilus-private/nautilus-dnd.c
M	libnautilus-private/nautilus-dnd.h
M	src/nautilus-list-model.c
M	src/nautilus-list-model.h
M	src/nautilus-list-view.c
M	src/nautilus-places-sidebar.c

commit 916bfc628001b399e53a0d26dac1eeb176734316
Author: Federico Mena Quintero <federico@gnome.org>
Date:	2013-01-21

    Signal handler prototypes changed for the DnD signals

    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

M	src/nautilus-window.c

commit 79b727a629770fec5fff2ee6a182ddae8b180fbf
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-01-21

    shell-search-provider: plug a memleak

M	src/nautilus-shell-search-provider.c

commit ccf0664cf4be6f1b75135ca49b05f40ec0bf5e5a
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-01-21

    search-hit: plug a memleak

M	libnautilus-private/nautilus-search-hit.c

commit 161b8424b59f66aad527ce47827bca74bf850f81
Author: William Jon McCann <jmccann@redhat.com>
Date:	2013-01-19

    Switch location on canvas view hover

    https://bugzilla.gnome.org/show_bug.cgi?id=692097

M	libnautilus-private/nautilus-canvas-container.c
M	libnautilus-private/nautilus-canvas-container.h
M	libnautilus-private/nautilus-canvas-dnd.c
M	libnautilus-private/nautilus-canvas-dnd.h
M	src/nautilus-canvas-view.c

commit 0d635bdab11033b1dfecde908d6c278f0e760291
Author: William Jon McCann <jmccann@redhat.com>
Date:	2013-01-19

    Switch location on list view hover

    https://bugzilla.gnome.org/show_bug.cgi?id=692097

M	libnautilus-private/nautilus-tree-view-drag-dest.c
M	libnautilus-private/nautilus-tree-view-drag-dest.h
M	src/nautilus-list-view.c
M	src/nautilus-view-dnd.c
M	src/nautilus-view-dnd.h

commit 95400548176688f3d2f5e8888f48410756bd96b8
Author: William Jon McCann <jmccann@redhat.com>
Date:	2013-01-19

    Switch location on places sidebar hover

    https://bugzilla.gnome.org/show_bug.cgi?id=692097

M	src/nautilus-places-sidebar.c

commit 87bb40d7fa04a56c3ae515dd5340a9656c497a48
Author: William Jon McCann <jmccann@redhat.com>
Date:	2013-01-19

    Switch views when hovering over pathbar

    https://bugzilla.gnome.org/show_bug.cgi?id=692097

M	src/nautilus-window-slot-dnd.c

commit a88fbb5d7bba159edceb2c0995647f288cb578e1
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2013-01-21

    Updated Norwegian bokmål translation

M	po/nb.po

commit 104bed1a15e8125c362fbe92761675f1ae4a5191
Author: Gheyret Kenji <gheyret@gmail.com>
Date:	2013-01-20

    Updated Uyghur translation

    Signed-off-by: Gheyret Kenji <gheyret@gmail.com>

M	po/ug.po

commit bcfaeedabb8ba01e74ab4e594ec20d8838608767
Author: Gheyret Kenji <gheyret@gmail.com>
Date:	2013-01-19

    Updated Uyghur translation

    Signed-off-by: Gheyret Kenji <gheyret@gmail.com>

M	po/ug.po

commit c6d1b15dbc919ccb7b632618680bf4853b013edf
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-01-18

    slot: clean floating bar actions before showing it again

    Or we can potentially add mutliple Stop buttons.

M	src/nautilus-window-slot.c

commit 9f7c0918df448b5b078ff2ca372c062a1cf2d83c
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-01-17

    properties-window: make sure to clear group/owner changes on destroy

    In case a pending change group/owner operation is happening while the
    window is destroyed, we were failing to properly clean up the
    operation,
    possibly leading to a leak or an invalid state.

M	src/nautilus-properties-window.c

commit ff4ada2da10cf3260f491d5094d1bd441a7304ab
Author: Pavel Vasin <rat4vier@gmail.com>
Date:	2013-01-01

    search-hit: fix mem leak

    https://bugzilla.gnome.org/show_bug.cgi?id=691004

M	libnautilus-private/nautilus-search-hit.c

commit 1697f75195abd9df78d99dbcafb6e1cf5b8fb37f
Author: Pavel Vasin <rat4vier@gmail.com>
Date:	2013-01-01

    column-chooser: fix mem leak

    https://bugzilla.gnome.org/show_bug.cgi?id=691004

M	libnautilus-private/nautilus-column-chooser.c

commit 6cc059717e35ab1c1af98985eb5d46e434d3e949
Author: Pavel Vasin <rat4vier@gmail.com>
Date:	2013-01-01

    view: fix mem leak

    https://bugzilla.gnome.org/show_bug.cgi?id=691004

M	src/nautilus-view.c

commit bbc2d59f16a0f175242889dce9764ad5aafb0714
Author: Pavel Vasin <rat4vier@gmail.com>
Date:	2013-01-01

    properties-window: fix use-after-free on destroy

    stop_deep_count_for_file() removes from deep_count_files list

    https://bugzilla.gnome.org/show_bug.cgi?id=691004

M	src/nautilus-properties-window.c

commit 3d278607782dffa724d91680f4278273583e3962
Author: Pavel Vasin <rat4vier@gmail.com>
Date:	2013-01-01

    trash-bar: fix double disconnect handler

    https://bugzilla.gnome.org/show_bug.cgi?id=691004

M	src/nautilus-trash-bar.c

commit ed611099f65501088bda8924265c7ff04bff69a7
Author: Pavel Vasin <rat4vier@gmail.com>
Date:	2013-01-01

    places-sidebar: fix mem leak

    https://bugzilla.gnome.org/show_bug.cgi?id=691004

M	src/nautilus-places-sidebar.c

commit b3329af0983d3ba9eaf292a0eca976ef588fa9da
Author: Pavel Vasin <rat4vier@gmail.com>
Date:	2013-01-01

    query-editor: fix mem leak

    https://bugzilla.gnome.org/show_bug.cgi?id=691004

M	src/nautilus-query-editor.c

commit f69aaee3948e3621b696dfd6cbddcbdaaa9dfccc
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-01-16

    search-engine-simple: make sure to query for IS_BACKUP attribute

    Or we will fail to filter out backup files from search results.

M	libnautilus-private/nautilus-search-engine-simple.c

commit 480b1daf8814063f348d0f75082353a2f6a3eab3
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-01-15

    places-sidebar: cancel the hostnamed proxy creation on dispose

    It might happen that the sidebar is disposed before the async proxy
    creation completes, leading to accessing invalid memory. To avoid
    this,
    pass a GCancellable to the async operation, and cancel it during
    dispose.

    https://bugzilla.redhat.com/show_bug.cgi?id=895684

M	src/nautilus-places-sidebar.c

commit 21052915341331ad6560908bdec25714271e8dc7 (tag: 3.7.4)
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-01-14

    release: prepare for 3.7.4

M	NEWS
M	configure.ac

commit 638f32e0694d1c6eff89ddce2b3c0a3f5c77d356
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-01-14

    build: cleanup GResource dependency generation

    - make sure to use --sourcedir=$(srcdir)
    - use the generated dependency list to add files to EXTRA_DIST instead
      of doing it manually

M	Makefile.am
M	configure.ac
D	icons/Makefile.am
M	src/Makefile.am

commit 8db750fd470ce3545258b043cbc0e839c45da288
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2013-01-12

    Add source hints to notifications

    This makes it easier for gnome-shell to apply filtering.
    See https://live.gnome.org/GnomeGoals/NotificationSource

    https://bugzilla.gnome.org/show_bug.cgi?id=690995

M	src/nautilus-application.c
M	src/nautilus-progress-ui-handler.c

commit 0ee7f3b67e729dbd0f8a8c9a472c9a616283eac0
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2013-01-12

    Add notification hint to the destop file

    This tells gnome-control-center to show nautilus in the search
    panel.
    See https://live.gnome.org/GnomeGoals/NotificationSource

    https://bugzilla.gnome.org/show_bug.cgi?id=690995

M	data/nautilus.desktop.in.in

commit a0ec81b9d5672adb3d2c8b09bbd73628f1d95e53
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2013-01-13

    Updated Galician translations

M	po/gl.po

commit ca282a259eac15bd0e530d434e20d44d84713f93
Author: Federico Mena Quintero <federico@gnome.org>
Date:	2013-01-10

    Update to set_location()/get_location() API in the sidebar

    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

M	src/nautilus-window.c

commit 01e29f7f736a44a53f68f143e5e1b6bdc218fe33
Author: Federico Mena Quintero <federico@gnome.org>
Date:	2013-01-10

    Open-in-new-tab or new-window is implemented in GtkPlacesSidebar now

    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

M	src/nautilus-window.c

commit c02ca973de39848dd1a4e70317790b055ac15873
Author: Federico Mena Quintero <federico@gnome.org>
Date:	2013-01-10

    Don't set the trash state in the places sidebar

    It does trash state monitoring on its own now.

    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

M	src/nautilus-window.c

commit d35e46e543596cd2002d06015257ac1cbc81c231
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2013-01-09

    Updated Slovenian translation

M	po/sl.po

commit 03bec238b596d72ab0a7c63d2ec23f0d06bb54ad
Author: Federico Mena Quintero <federico@gnome.org>
Date:	2013-01-08

    Remove unused nautilus_trash_monitor_add_new_trash_directories()

    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

M	libnautilus-private/nautilus-trash-monitor.c
M	libnautilus-private/nautilus-trash-monitor.h

commit 7ec802e8293663463ae44461991864271779e079
Author: Federico Mena Quintero <federico@gnome.org>
Date:	2013-01-08

    Oops, use the correct struct field

M	src/nautilus-window.c

commit 808cd8abafc1fd05d56abd0edeae3440ce9111f7
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2013-01-08

    Updated Spanish translation

M	po/es.po

commit 0b0d058b8c270d6849130fb0ed9890dc81a54426
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2013-01-07

    Updated Norwegian bokmål translation

M	po/nb.po

commit b1b136e22e6b24927f982fb704cb17d52cf44c09
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2013-01-05

    Updated Hebrew translation.

M	po/he.po

commit d2a972bb21047aa22d989447814330425849c4c5
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2013-01-05

    Updated Hebrew translation.

M	po/he.po

commit 9e26a79450a469d249b197be6b042b232a2d8cf5
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:	2013-01-04

    Assamese translation updated

M	po/as.po

commit eaf9236ebcd57c5457b1edbec7b3dcef39705a85
Author: Arash Mousavi <mousavi.arash@gmail.com>
Date:	2013-01-04

    l10n: Updated Persian translation

M	po/fa.po

commit 6a7d30d1d92ab7cb2a3ca3ba29034329d50bfbae
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-01-03

    eel: remove more unused code

M	eel/eel-accessibility.c
M	eel/eel-accessibility.h

commit fff281bb18d58f921c680d2560c26017355632b7
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-01-03

    canvas-container: use gtk_widget_class_set_accessible_type()

M	libnautilus-private/nautilus-canvas-container.c

commit 0dfa2ba20ffc5f09b7d06dfd145dd831ce9f7331
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-01-03

    eel-canvas: use GtkContainerAccessible for EelCanvasAccessible

    Removes tons of boilerplate code not needed anymore.

M	eel/eel-canvas.c
M	eel/eel-canvas.h

commit 06d561a92cc8747828c0aa6f330cf81407f2b0a1
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-01-03

    eel: remove unused code

M	eel/eel-accessibility.c
M	eel/eel-accessibility.h

commit 640b5be9a1984b155e8a51ef567a4bafe2b52374
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-01-03

    editable-label: derive from GtkWidgetAccessible directly

    Now that it's publicly exported by GTK, derive our accessible
    class from
    GtkWidgetAccessible as a normal GObject.

M	configure.ac
M	eel/eel-editable-label.c

commit db18698b79de80e0cba2d62a59f29fda55afa1af
Author: Javier Jardón <jjardon@gnome.org>
Date:	2013-01-03

    configure.ac: Replace deprecated autoconf macros

    Also use new libtool syntax

M	configure.ac

commit 4c339f925369fe2590f4704118414778546182d4
Author: Javier Jardón <jjardon@gnome.org>
Date:	2013-01-03

    build: Rename configure.in to configure.ac

    The long-deprecated 'configure.in' name for the Autoconf input file
    will be dropped in future version of automake

M	autogen.sh
R100	configure.in	configure.ac

commit 3d58e8feb820e5e25dbb9c008f89992e69279a3c
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2013-01-02

    Updated Lithuanian translation

M	po/lt.po

commit dc7e851ae4a223522c3158dd4134a3b313283596
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-01-02

    application: support an explicit --select command line option

    When invoked this way, just route a request to
    org.freedesktop.FileManager1.ShowItems(), which does exactly what we
    want.

    https://bugzilla.gnome.org/show_bug.cgi?id=675563

M	src/nautilus-application.c

commit de45140c8ee599c59885a607ca1d30c72266e89a
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-01-02

    application: open the home directory when no location is provided

    Instead of hitting an assertion later. This will be used in a later
    commit.
    Also, remove a duplicate debug message; we will print a similar one in
    nautilus_window_slot_open_location().

M	src/nautilus-application.c

commit d78e3b35ab71d50f4934bdfb6ef165bbde79fb2e
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-01-02

    freedesktop-dbus: use #defines for string literals

    So that we can re-use these later.

M	src/nautilus-freedesktop-dbus.c
M	src/nautilus-freedesktop-dbus.h

commit a4b7dba3aeb6c6aa3e40896ad4d61f8c201fd299
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2013-01-02

    search-provider: keep a reference to the dbus invocation

    While the operation is in progress, since we're returning the result
    asynchronously, we need to keep a reference to the invocation, or it
    could be invalid when returning later.

    Related: https://bugzilla.redhat.com/show_bug.cgi?id=874534

M	src/nautilus-shell-search-provider.c

commit 732bb67605bcad5c79642ae99da8672406fb8fc5
Author: Carrot031 <www.carrotsoft@gmail.com>
Date:	2013-01-02

    [l10n] Update Japanese translation

M	po/ja.po

commit 016d369318397ce7e5d4ee50ba0285d2620d21c3
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:	2012-12-30

    Updated Greek translation

M	po/el.po

commit 9402c8513a1151a392cf23349ca213350595221d
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2012-12-28

    Typo

M	po/ar.po

commit 89851017045166a73e9eeadde94599fadc1ff40b
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-12-26

    Updated Polish translation

M	po/pl.po

commit ec79cc1b8873fb023355a5b82f61edd14d733837
Author: A S Alam <aalam@users.sf.net>
Date:	2012-12-25

    update Punjabi Translation for master

M	po/pa.po

commit 91c65707b4e0cef3b18591c07005b8152107ba47
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:	2012-12-23

    Fixed Russian translation

M	po/ru.po

commit 905e22fa55174f78e8e79d6f0552eddfba0e1d88
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2012-12-23

    Update Arabic translation

M	po/ar.po

commit e9e636a06322d2771f8017115bc75c410fd508a8
Author: YunQiang Su <yqsu@src.gnome.org>
Date:	2012-12-23

    fix zh_CN translation of Empty trash

M	po/zh_CN.po

commit bbb39d9192c9da78bdbe0520b67e24ef2cc0ede2
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:	2012-12-22

    Updated Russian translation

M	po/ru.po

commit d3c97922c92517d4fbf92fe3520b36da34f28c73
Author: Petr Kovar <pkovar@redhat.com>
Date:	2012-12-20

    Fix Czech translation (thanks to Kamil Paral)

M	po/cs.po

commit 242389ac50b1e7ece2cb634b08c018f2e7c507e8
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-12-19

    build: new tracker API version is 0.16

    Not 0.15.

M	configure.in

commit 454f63978b9cbce5a81d7ae8e53a24a6cbd3280c
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:	2012-12-19

    [l10n] Updated Estonian translation

M	po/et.po

commit cc3f2d7c54ab4d9086ef8d67872f50da88440685
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-12-08

    Bump tracker

M	configure.in

commit dc1e0ea90c23937a4e1723d7516a5c4b88a066f2
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:	2012-12-19

    Updated Russian translation

M	po/ru.po

commit 0a3600f34b96896f1aab9a7c8d6f109e030f767e
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2012-12-18

    Updated Belarusian translation.

M	po/be.po

commit 80a14fa5f4037377452bbeaf7190c71c1a0c31f1
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2012-12-18

    Updated Slovenian translation

M	po/sl.po

commit 46f68bf3c1bd4f7f4b8de882aab7013f74eab828
Author: Federico Mena Quintero <federico@gnome.org>
Date:	2012-12-17

    Create the sidebar's menu items ourselves

    GtkPlacesSidebar now has an API to let us populate the context menu,
    instead of
    handling everything itself.

    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

M	src/nautilus-window.c

commit d46e57e5d8a599febdd370fa22aeb085457f1160 (tag: 3.7.3)
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-12-17

    release: prepare for 3.7.3

M	NEWS
M	configure.in

commit a645da5f1043c59203fd194fe85b6976d75d2ece
Author: Phillip Susi <psusi@ubuntu.com>
Date:	2012-12-17

    directory: limit deep scount (folder contents and size) to one
    filesystem

    When getting the size of the root directory, nautilus was descending
    into other filesystems including /proc, causing it to report
    nonsensical
    sizes.
    Store the fsid of the starting directory, and do not recurse into
    other mount points.

    https://bugzilla.gnome.org/show_bug.cgi?id=629394
    https://bugs.launchpad.net/ubuntu/+source/nautilus/+bug/585472

M	libnautilus-private/nautilus-directory-async.c

commit 343c551ce0c92db78817e381e53ef7db0fbff299
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-12-16

    Updated Spanish translation

M	po/es.po

commit f96259fa5e690c49c23df656f5067502fdc0591a
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-12-16

    file: revert to previous framing behavior for custom icons

    I.e. don't treat them like thumbnails, and don't add a border.
    This was changed in d9ef715ea11e92917414d5d7bddd4dd1487fac1b but it
    causes problems for other (more important) use cases.

    https://bugzilla.gnome.org/show_bug.cgi?id=688808

M	libnautilus-private/nautilus-file.c

commit 6f501956ad0a522b959ffef723f14e226793df32
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-12-15

    Updated Galician translations

M	po/gl.po

commit 5257109ea6a6da4310f5b746881709b0dd7ce4ce
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:	2012-12-12

    Update German translation

M	po/de.po

commit 8f05a5972c5bb09ece4d8a145747f9aa3c319ca0
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2012-12-12

    Updated Hebrew translation.

M	po/he.po

commit 42695374476cf16deeaa7c7aa3403a65b2159550
Author: Federico Mena Quintero <federico@gnome.org>
Date:	2012-12-11

    The places sidebar renamed location-selected to open-location

    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

M	src/nautilus-window.c

commit 463e8d1b1922474e4cf591a3029ea813804bd3e7
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-12-11

    places-sidebar: make sure to always notify when unmounting

    When unmounting from the sidebar with an operation other than
    eject, we
    still need to set up the progress notification, as some drives return
    FALSE for can_eject.

    https://bugzilla.redhat.com/show_bug.cgi?id=885133

M	libnautilus-private/nautilus-file-operations.c
M	libnautilus-private/nautilus-file-operations.h
M	libnautilus-private/nautilus-file.c
M	src/nautilus-places-sidebar.c

commit e6b70a2cb8acdc1998e89e54e2a9819853f05793
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-12-10

    shell-provider: use the right signature for LaunchSearch()

M	data/shell-search-provider-dbus-interfaces.xml
M	src/nautilus-shell-search-provider.c

commit 1c1551adac7933701cfd973ba4148de921b1470e
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:	2012-12-10

    Assamese translation updated

M	po/as.po

commit 684d3784c07380aa90c4dc3f486174769f398c8c
Author: Shankar Prasad <svenkate@redhat.com>
Date:	2012-12-10

    Updated Kannada Translations

M	po/kn.po

commit 5ff20ab16f52b0f076f5416142af470898e37747
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-12-07

    main: don't set G_APPLICATION_IS_SERVICE

    This is not actually necessary for the inactivity timeout to work, and
    breaks command line activation.

    https://bugzilla.gnome.org/show_bug.cgi?id=689854

M	src/nautilus-main.c

commit 85524e01c37ef6cfa617190fe77b1a8381b31080
Author: Timothy Arceri <t_arceri@yahoo.com.au>
Date:	2012-12-04

    Share "show hidden" option with GTK file chooser

    https://bugzilla.gnome.org/show_bug.cgi?id=143599

M	libnautilus-private/nautilus-directory-async.c
M	libnautilus-private/nautilus-directory.c
M	libnautilus-private/nautilus-global-preferences.c
M	libnautilus-private/nautilus-global-preferences.h
M	libnautilus-private/org.gnome.nautilus.gschema.xml.in
M	src/nautilus-file-management-properties.c
M	src/nautilus-view.c

commit ace6d2c2170028148785f3fa87eedf883f20f1dd
Author: Alexander Larsson <alexl@redhat.com>
Date:	2012-12-07

    Remove .hidden file code now that gio does if for us

    Gio now parses .hidden files itself and sets the hidden flags in
    the GFileInfo, so no need to do it again.

    We already rely on the glib version that has this support added.

M	libnautilus-private/nautilus-directory-async.c
M	libnautilus-private/nautilus-directory-private.h
M	libnautilus-private/nautilus-directory.c
M	libnautilus-private/nautilus-file.c

commit c93e91728d25afff9ebcb0a3d642d9c65df97689
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-12-05

    application: remove unused code

M	src/nautilus-application.c

commit 9f90af0138ee883e2cd4ac1d9620b6c03094819d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-12-05

    shell-provider: don't use a separate binary

    Since NautilusApplication is a service, we can now handle searches and
    windows coming and going indipendently just fine.

    This also allows us to launch a search directly from the search
    provider
    very easily.

M	data/Makefile.am
M	data/org.gnome.Nautilus.SearchProvider.service.in
M	src/Makefile.am
M	src/nautilus-application.c
M	src/nautilus-shell-search-provider.c
A	src/nautilus-shell-search-provider.h

commit cfaa8f7fb65304cf5903bc2025784ef82cfb60f3
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-12-05

    application: centralize dbus service handling into GApplication

    Instead of each service installing its own timeout, use the service
    features of GApplication to do this automatically.

M	libnautilus-private/nautilus-dbus-manager.c
M	libnautilus-private/nautilus-dbus-manager.h
M	src/nautilus-application.c
M	src/nautilus-freedesktop-dbus.c
M	src/nautilus-freedesktop-dbus.h
M	src/nautilus-main.c

commit 0956d7dfc346e2a711b9e95c77ed6766c226908a
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-12-05

    search-provider: use org.gnome.Shell.SearchProvider2 interface

M	data/nautilus-search-provider.ini
M	data/shell-search-provider-dbus-interfaces.xml
M	src/nautilus-shell-search-provider.c

commit 6a610d1bd6381df8cbc173ba044a9042d22e679b
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-12-05

    Updated Spanish translation

M	po/es.po

commit a6fe43eb051c4975963811229349311537fa2c87
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2012-12-05

    Updated Norwegian bokmål translation

M	po/nb.po

commit 4bd168e407f8556fabc4edfc5d0a67725f2a2d10
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-12-05

    Fix typo in previous patch

M	src/nautilus-view.c

commit bda59c99a73917dc877be58a52e8edc57c736103
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-12-05

    build: remove an unused variable

M	libnautilus-private/nautilus-file-undo-operations.c

commit f10db6743225ef14f1b4b8f6707cbb452f619da1
Author: Paolo Borelli <pborelli@gnome.org>
Date:	2012-12-05

    Show different menu for removing a recent item

    Removing a file from the recent view does not move it to the trash.

M	src/nautilus-view.c

commit d93f1e1e4f3c7b06b4489c98bfda0cfcb88318f2
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2012-12-05

    Updated Slovenian translation

M	po/sl.po

commit 92e21086f5b7430a331da9e9f85dba2145c95c9d
Author: Federico Mena Quintero <federico@gnome.org>
Date:	2012-12-04

    Handle DnD file operations from the places sidebar

    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

M	src/nautilus-window.c

commit ba08b6bbef9dd3f6a790aae4a72edfb142499dde
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2012-12-04

    Added Norwegian bokmål translation

M	po/nb.po

commit 075b6bd12f130278070546f4c87398d59cc835e3
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:	2012-12-04

    sendto-extension: Use proper Unicode ellipsis instead of three periods

    Thanks Alex for pointing this out!

    https://bugzilla.gnome.org/show_bug.cgi?id=689586

M	nautilus-sendto-extension/nautilus-nste.c

commit 24e30b279290871b8ca707861f1cc6aa02db7101
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-12-04

    Updated Galician translations

M	po/gl.po

commit 347976da29c4e23eecedbc59cd9a233a52a064f0
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:	2012-12-04

    Assamese translation updated

M	po/as.po

commit bde2536ee72672c4cd58af7cbb3cf42a42962c21
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:	2012-12-03

    general: Use proper Unicode ellipsis instead of three periods

    https://bugzilla.gnome.org/show_bug.cgi?id=689586

M	src/nautilus-desktop-canvas-view.c
M	src/nautilus-image-properties-page.c
M	src/nautilus-list-model.c
M	src/nautilus-list-view.c
M	src/nautilus-places-sidebar.c
M	src/nautilus-properties-window.c
M	src/nautilus-query-editor.c
M	src/nautilus-view.c
M	src/nautilus-window-menus.c
M	src/nautilus-window-slot.c

commit b9294bb0ac7d2b971ceea51b8c683e67557b1ad4
Author: Dr.T.Vasudevan <drtvasudevan@gmail.com>
Date:	2012-12-02

    Updated Tamil translation

M	po/ta.po

commit 3ea4fc807275e1a36bb2816340390592198a1427
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-11-30

    build: bump minimum required GLib version

    For g_file_info_get_deletion_date().

M	configure.in

commit ecee8be850b8342c804de2ecc3e613b99a20a010
Author: Timothy Arceri <t_arceri@yahoo.com.au>
Date:	2012-11-29

    Make sure to use correct filename when restoring from Trash

    https://bugzilla.gnome.org/show_bug.cgi?id=673598

M	libnautilus-private/nautilus-file-operations.c

commit 7382ddfb87938e1433090ad39b46df5cce1908f8
Author: Bastien Nocera <hadess@hadess.net>
Date:	2012-11-27

    Use g_file_info_get_deletion_date() helper

    https://bugzilla.gnome.org/show_bug.cgi?id=689172

M	libnautilus-private/nautilus-file-undo-operations.c

commit e9f36469a7122e2dee5fea865dc113e8ea9f5217
Author: Federico Mena Quintero <federico@gnome.org>
Date:	2012-11-24

    Change gtk_places_sidebar_set_current_uri() for
    ..._set_current_location()

    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

M	src/nautilus-window.c

commit 58aa5e6308192dc1d0dd0eb05b7c22e48567f86e
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:	2012-11-23

    Assamese translation updated

M	po/as.po

commit d19490d344580765849871db91920cc728f840ac
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-11-22

    Updated Galician translations

M	po/gl.po

commit cd53ecfbca9d2e95592932d7278d0216ed45aea7
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:	2012-11-21

    Fixed some errors in Russian translation

M	po/ru.po

commit ff59b07d775756745b4b746a3c6d5ae7cb9f8a3e
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:	2012-11-21

    Fixed some errors in Russian translation

M	po/ru.po

commit 6d32fcfe372cf31fb2315e3c8eeefb4346354554
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-11-20

    Updated Spanish translation

M	po/es.po

commit 8b84bc9868fcfd7cb8d20a6e7bb1a47b5925e9b8 (tag: 3.7.2)
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-11-19

    release: prepare for 3.7.2

M	NEWS
M	configure.in

commit 636e0f1e08476efc8cb928b680b985b3d4f2e231
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-11-16

    view: trivial cleanup

M	src/nautilus-view.c

commit 9f880f0ee633d28c4087a8305ac5d5cb62c0f888
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-11-16

    build: generate GResource dependencies automatically

M	src/Makefile.am

commit 6d8552ad172b7c9d687219257dfa7889e93a72d9
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-11-09

    application: use gtk_application_get_active_window()

M	src/nautilus-application.c

commit ced80e64545711df59f2a2de0a55f037741c80be
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-11-13

    file: don't add a thumbnail border around desktop file launchers

    https://bugzilla.gnome.org/show_bug.cgi?id=688237

M	libnautilus-private/nautilus-file.c

commit 51958f2a71fd801ead38e9cb06f92f0c2a6b3269
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-11-12

    query-editor: set a maximum width for the current location button

    Like we do in the pathbar, otherwise it could potentially grow
    unboundedly large.

    https://bugzilla.gnome.org/show_bug.cgi?id=688186

M	src/nautilus-query-editor.c

commit 6874d98359487b48c9b1b7e75f968100992c309e
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-11-12

    search-engine-simple: use g_content_type_is_a()

    Make it consistent with the model engine - the mimetypes don't need to
    match exactly.

M	libnautilus-private/nautilus-search-engine-simple.c

commit acbb7d6676eeb725b6c6d22156025dc67ea9f955
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-11-12

    search-engine-model: apply mimetype filters

    Or we'll get extra results when applying a mimetype filter when the
    model engine is used.

M	libnautilus-private/nautilus-search-engine-model.c

commit 39b0e7d240c6638bb2e869062ba90468c4983f69
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-11-12

    query-editor: plug a leak

    We weren't freeing the row list and all the row structs.

M	src/nautilus-query-editor.c

commit 95ec145831d862f8c3279872b4fdb3ba8db97097
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-11-12

    query-editor: don't always re-add mimetype rows when setting query

    Since we also use nautilus_query_editor_set_query() when the query
    editor already has a query, don't unconditionally add mimetype
    rows from
    there, but only when we're being called with a previous query.

    Fix a bug where mimetype rows were added when switching between
    current
    location and all files.

    https://bugzilla.gnome.org/show_bug.cgi?id=687537

M	src/nautilus-query-editor.c

commit f22a95554a999ae074c4093b22255f8f04418ccf
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-11-12

    query-editor: remove unused code

M	src/nautilus-query-editor.c

commit f32ca84a910a223368f4a29b5054c2e768a09297
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-11-12

    mime-actions: minor cleanup

M	src/nautilus-mime-actions.c

commit be7866e92fe444b0273a871b80ccfaa0ee677f61
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-11-12

    mime-actions: don't invalidate symlink info twice

    We already trigger a nautilus_file_call_when_ready() on the symlink
    file, which will include link information.
    Invalidating symlink info manually here will make us read invalid
    information in the ready callback instead.

    https://bugzilla.gnome.org/show_bug.cgi?id=687937

M	src/nautilus-mime-actions.c

commit 62a7111bc80545ac39d0f4bd567ed7ad92fb6f6e
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2012-11-09

    Updated Hebrew translation.

M	po/he.po

commit e025e13da1118ad8dcc795fe5f06602aa8e25da2
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:	2012-11-09

    Update German translation (bug #687507)

M	po/de.po

commit c359e6a67ef75cc0b3729d9421c0a8a395bb7596
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2012-11-08

    Updated Slovenian translation

M	po/sl.po

commit 95c4113a0eaf304fc90076b7c7f265a950f7722c
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2012-11-08

    Updated Korean translation

M	po/ko.po

commit 828dad03720576932349749bc3c1708efa81dc05
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-11-07

    query-editor: don't quote the current location name

    We don't do it anywhere else in the UI for buttons that only
    display the
    location name, and it looks strange.

    https://bugzilla.gnome.org/show_bug.cgi?id=687869

M	src/nautilus-query-editor.c

commit 0d864b5c38da0f6588520bc98de8b745b74013b3
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-11-06

    special-location-bar: use the correct label for the New Document menu

    The menu is called New Document, not Create Document.

    https://bugzilla.gnome.org/show_bug.cgi?id=687710

M	src/nautilus-special-location-bar.c

commit bbeb58d5760155b1311474190863c0bfd6c8fbc9
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-11-05

    view: ensure Trash action is visible when setting sensitivity

    We will set the visibility of the action to FALSE when we go to a
    location that supports deletion but not trashing, but we fail
    to restore
    it to TRUE when we go back to a directory that supports trashing.

    https://bugzilla.gnome.org/show_bug.cgi?id=687619

M	src/nautilus-view.c

commit fd746872e217b46faa8c4f12d1e524bd6fdacb68
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-11-05

    view: use "Run" in menus for launching executables

    When the expected action is running an executable file, we should use
    the term "Run" instead of "Open" in our menus.

    https://bugzilla.gnome.org/show_bug.cgi?id=687631

M	src/nautilus-mime-actions.c
M	src/nautilus-mime-actions.h
M	src/nautilus-view.c

commit 9323dde5c0f06b048b1daaf2cc683991d6b7d076
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-11-05

    view: don't show stray Empty Document entry in New Document menu

    This now reflects files in the templates directory - no point
    in adding
    yet another "stock" entry with this model.

    https://bugzilla.gnome.org/show_bug.cgi?id=687139

M	src/nautilus-actions.h
M	src/nautilus-directory-view-ui.xml
M	src/nautilus-view.c

commit 4b29156bec79db09bbd2b8370ccb3c170836e2f3
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2012-11-05

    Updated Norwegian bokmål translation

M	po/nb.po

commit 570e9569209e3f265f5229687a89d9046bca980d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-26

    list-view: don't use gtk_tree_path_up()

    Since our model is a flat list.

M	src/nautilus-list-view.c

commit 4d0ab2227a83638884ac2629431bcc29c0d2a7cc
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2012-11-03

    Updated Korean translation

M	po/ko.po

commit 6f1941144c0f21038cd161f972b628cfe4058a99
Author: Luca Ferretti <lferrett@gnome.org>
Date:	2012-11-01

    l10n: updated Italian translation

M	po/it.po

commit 0b54210fa927efc0b5dabd3f83c03c1f8a28a61c
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-29

    file: fix missing frame image around some previews

    This fixes a regression introduced in commit
    17f17214a64674bd3079d1a252fed2b6103f9ff4

M	libnautilus-private/nautilus-file.c
M	libnautilus-private/nautilus-ui-utilities.c

commit 6f64f5e23a1ba9e35c10f2da7fba6d80c76e2e97
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-29

    window: don't remember focus widget when switching search visible

    The workaround we need to make to focus the entry on-the-fly and
    synchronizing the visible state with the toolbar button badly
    clash with
    the focus widget state saving mechanism we have in place.
    We end up calling remember_focus_widget() on the newly-focused
    search entry in certain circumstances, so we end up restoring
    the focus
    on the (then hidden) search entry, which will then eat key events
    while
    invisible.

    Sidestep the issue entirely by just focusing back the view when
    closing
    the query editor.

M	src/nautilus-window-menus.c
M	src/nautilus-window-private.h
M	src/nautilus-window-slot.c
M	src/nautilus-window.c

commit 3fb1d8c69c2c072b3a544c1ea7298b2c4e26c61d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-29

    search-directory: ensure we call emit_done_loading() when no results

    When we receive no results, we should still call
    nautilus_directory_emit_done_loading() and clear the loading state.
    Do this by factoring out an idempotent helper, which will be
    called both
    from the hits-added and finished callbacks.

M	libnautilus-private/nautilus-search-directory.c

commit 0b33b33deadce9980727bc3a4d82efbdd8596601
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-29

    slot: save return location before clearing query editor state

    Or we'll always return to $HOME.

M	src/nautilus-window-slot.c

commit eaa690b6ecf19e8e7b5aed1310c712bccdf6ffbf
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-29

    slot: rework query editor visible state synchronization

    Fix a case where entering a directory from the search results
    would not
    take the query editor down, and refactor some code around the state
    synchronization between the two objects.

M	src/nautilus-window-slot.c
M	src/nautilus-window-slot.h
M	src/nautilus-window.c

commit 87db1bd5070410d6a7d27a8747f774ab6d35edb7
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-29

    tracker-engine: treat the search string as a sentence for FTS match

    Or the hyphens will be treated as NOT operators instead of word
    breaks,
    which will prevent results from being returned.

    https://bugzilla.gnome.org/show_bug.cgi?id=683633

M	libnautilus-private/nautilus-search-engine-tracker.c

commit 37e46337dad263b2e1931f30a1deb30a57a44ebf
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-29

    places-sidebar: make sure to pre-select the active item on
    construction

    Ensure the current window URI gets selected in the sidebar also when
    it's already set on the window at construction.
    At the same time, move the sidebar construction from
    nautilus_window_show() to nautilus_window_constructed().

    https://bugzilla.gnome.org/show_bug.cgi?id=674052

M	src/nautilus-places-sidebar.c
M	src/nautilus-window.c

commit f5078be101bc506d6da8a928ce3d44eb1c50e409
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:	2012-10-29

    [l10n] Updated Estonian translation

M	po/et.po

commit fe357dd380d1254655eede8e6e6f544da8e066ab
Author: Seán de Búrca <leftmostcat@gmail.com>
Date:	2012-10-29

    Updated Irish translation

M	po/ga.po

commit 4ba446e14b99e34e04dbc981022e176c71535825
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2012-10-29

    Updated Korean translation

M	po/ko.po

commit 1c8d6164bee2acac05691566bb22ad6be6ef4db9
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2012-10-28

    Updated Slovenian translation

M	po/sl.po

commit 5e5095c84bd6207ea25214daa586122077d1fe17
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2012-10-27

    Add keywords to the desktop file

    This makes gnome-shell search more pleasant and useful.

    https://bugzilla.gnome.org/show_bug.cgi?id=687000

M	data/nautilus.desktop.in.in

commit c35bec920334a59bcba9bebc5a25865fa4c10326
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2012-10-27

    Updated Slovenian translation

M	po/sl.po

commit f2aabf528fec9c83cbac75979f4e2c0474ee6c02
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-10-27

    Updated POTFILES.in

M	po/POTFILES.in

commit 936fbb0404ac0ae8b644a5c4877719e52b4b34e7
Author: Andika Triwidada <andika@gmail.com>
Date:	2012-10-27

    Updated Indonesian translation

M	po/id.po

commit a163301e0ead07d54f666fc73ddf9c15abd9d15e
Author: Federico Mena Quintero <federico@gnome.org>
Date:	2012-10-26

    Inform the places sidebar about changes in the trash state

    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

M	src/nautilus-window.c

commit 0a9423223363b4005460d030a20241efa26c1889
Author: Federico Mena Quintero <federico@gnome.org>
Date:	2012-10-26

    Fix some compiler warnings

    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

M	src/nautilus-window.c

commit 0b59aa2e0477b8e7f044a33d3a7281d7c3b2770b
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-26

    slot: ensure we're back from an active search when changing location

    When search is turned off, we want to change the location of the
    slot to
    the search base folder.

    We used to keep track of the search active state using the state
    of the
    search toggle button; unfortunately, the button is per-window,
    so its active state will also be synchronized when switching tabs.
    This will cause a non-search slot that becomes active following a tab
    switch from a search slot to think its search just became inactive,
    and
    will then change its location to the default ($HOME).

    Fix the bug by keeping an additional state per-slot for whether
    there's
    an active search.

    https://bugzilla.gnome.org/show_bug.cgi?id=686893

M	src/nautilus-window-slot.c
M	src/nautilus-window.c

commit f017a93b9ba3a465059ebca8eeb79138c983bd96
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-26

    toolbar: add missing tooltips for toolbar menubuttons

    These require new strings, so it's a separate commit from the previous
    one.

    https://bugzilla.gnome.org/show_bug.cgi?id=686903

M	src/nautilus-toolbar.c

commit 1af5f7c3b90539506d56295dfa09f98021bb60b0
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-26

    toolbar: set action tooltip on the toolbar button

    Since we don't use a GtkToolButton directly, we need to propagate the
    action tooltip manually to the GtkButton.

    https://bugzilla.gnome.org/show_bug.cgi?id=686903

M	src/nautilus-toolbar.c

commit 3d3382add4ad387bb05425ba09d9dcbf5ee5314b
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-26

    slot: use the default mount location when switching to a mount root

    Add a new flag to signal that we really want the default mount
    location
    to be loaded if possible. This way we can still get to the mount root
    e.g. by going up or typing it directly in the location bar, but the
    default location between sidebar mounts and using Connect to
    Server will
    be the same.

    https://bugzilla.gnome.org/show_bug.cgi?id=522917

M	src/nautilus-application.c
M	src/nautilus-window-slot.c
M	src/nautilus-window.h

commit 8e44eafda460b5d7e3553e1889204ece02101924
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-26

    window: remove nautilus-window-types.h

    Cleanup and rearrange typedefs to avoid the need for a separate types
    header.

M	src/Makefile.am
M	src/nautilus-notebook.h
M	src/nautilus-window-slot.h
D	src/nautilus-window-types.h
M	src/nautilus-window.h

commit 996fe81e25ca6ad7ee4aff8cf65f85aa1c440cad
Author: Federico Mena Quintero <federico@gnome.org>
Date:	2012-10-26

    Update the places sidebar with the currently-loading URI

    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

M	src/nautilus-window.c

commit 6d0a7e059207000307acaf96ec2c44196266f115
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-26

    slot: make sure to walk the hierarchy up only for native and
    non-mounts

    When we detect a deletion, we try to find an existing parent in the
    hierarchy to display in the window.
    While this is desirable when a file is deleted, we never want to
    walk a
    non-native hierarchy, or to walk up a hierarchy from a mount root
    being removed.

    This fixes the window redirecting to /run/media/$username/ instead of
    $HOME when a mount is removed.

M	src/nautilus-window-slot.c

commit 98e5c66258dfd65f6140d40e007917b3762c15b8
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-26

    all: remove deprecated g_type_init()

    Now that we depend on GLib master anyway.

M	docs/reference/libnautilus-extension/Makefile.am
M	src/nautilus-convert-metadata.c
M	src/nautilus-main.c
M	src/nautilus-shell-search-provider.c

commit 860f748ab2f47be2a604f89bd86e9499380f82a8
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-26

    thumbnails: default to GNOME_DESKTOP_THUMBNAIL_SIZE_LARGE

    So that thumbnailers which support size selection will be able
    to create
    higher-resolution versions.
    Also, bump the minimum GLib required version, since previous versions
    have a bug that prevents us to use this thumbnail size by default.

    https://bugzilla.gnome.org/show_bug.cgi?id=686851

M	configure.in
M	libnautilus-private/nautilus-thumbnails.c

commit b372040c6e843e903f2ddbfe5ad98e95186b6ce2
Author: Žygimantas Beručka <uid0@akl.lt>
Date:	2012-10-24

    Updated Lithuanian translation

M	po/lt.po

commit 78d0b4188ca6cea0081bd33044b1e1d443502559 (tag: 3.7.1)
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-23

    release: prepare for 3.7.1

M	NEWS
M	configure.in

commit f681c5a55718c76a84940a520fba14f46d14231a
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-23

    build: fix distcheck

M	po/POTFILES.in

commit c6a1bf5fa5ddfb39fdc7ede0c8df9ae255b0a0f0
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-23

    build: use GNOME_MAINTAINER_MODE_DEFINES

    Instead of defining our own set of deprecation cflags.

M	configure.in
M	docs/reference/libnautilus-extension/Makefile.am
M	eel/Makefile.am
M	libnautilus-extension/Makefile.am
M	libnautilus-private/Makefile.am
M	nautilus-sendto-extension/Makefile.am
M	src/Makefile.am

commit 86bfd968d259c836abd93a5cc60c1345ec79fb9f
Author: Hendrik Knackstedt <kn.hendrik@gmail.com>
Date:	2012-10-24

    Updated German translation

M	po/de.po

commit f73fc7fc613689d09e8ac946697299d034b731df
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-23

    eel: remove unused code

M	eel/eel-glib-extensions.c
M	eel/eel-glib-extensions.h

commit 61e2affb01a8867b67e20fe45311694ecdd2e562
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-23

    all: don't use eel_g_str_list_copy()

    Use g_list_copy_deep() instead.

M	configure.in
M	eel/eel-glib-extensions.c
M	libnautilus-private/nautilus-file.c
M	libnautilus-private/nautilus-query.c
M	src/nautilus-mime-actions.c

commit 7af24a892cbe8641c8e4bf3d4fa17067b3cc9389
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-23

    all: don't use eel_g_object_list_copy()

    Use g_list_copy_deep() instead.

M	eel/eel-glib-extensions.c
M	eel/eel-glib-extensions.h
M	libnautilus-private/nautilus-file-operations.c
M	src/nautilus-view.c
M	src/nautilus-window-slot.c

commit d5492dc611473afaaaffd0679f4aed01c427f27d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-23

    slot: rename a function for clarity

    Rename set_displayed_file() to nautilus_window_slot_update_bookmark(),
    as that's what it does.

M	src/nautilus-window-slot.c

commit 24e0a2a47fb15573478e1a17710385323dbb7026
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-23

    slot: unify handling of back/forward navigation

    These two functions are identical, only the variables are inverted.
    Unify them into a single function.

M	src/nautilus-window-slot.c

commit cbbf9c88548f2295921bfe9fbf30ea0ca59d1b6f
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-23

    slot: finish moving all other private data to private struct

    Now that we got rid of nautilus-window-manage-views, move all the
    private data in NautilusWindowSlot outside of the public struct.

M	src/nautilus-desktop-window.c
M	src/nautilus-notebook.c
M	src/nautilus-toolbar.c
M	src/nautilus-window-menus.c
M	src/nautilus-window-private.h
M	src/nautilus-window-slot.c
M	src/nautilus-window-slot.h
M	src/nautilus-window.c
M	src/nautilus-window.h

commit 15d056a712cf3f6935bcb95003881aea01475693
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-21

    slot: restructure window slot loading

    Move all the code related to loading a new slot from
    nautilus-window-manage-views.c to nautilus-window-slot.c or
    nautilus-window.c; then restructure loading to avoid having the view
    call back into the window.
    Instead, use the begin-loading and end-loading signals on the view.

M	src/Makefile.am
M	src/nautilus-application.c
M	src/nautilus-notebook.c
M	src/nautilus-view.c
D	src/nautilus-window-manage-views.c
D	src/nautilus-window-manage-views.h
M	src/nautilus-window-menus.c
M	src/nautilus-window-private.h
M	src/nautilus-window-slot.c
M	src/nautilus-window-slot.h
M	src/nautilus-window.c
M	src/nautilus-window.h

commit 515c00b72641df1b435fe17779f769958b400987
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-23

    window: make sure search button state is consistent with query editor

    In addition to checking whether the directory is a search, check
    for the
    query editor visibility. This ensures the toggle button state is
    consistent when switching tabs with the query editor visible in one of
    those.

M	src/nautilus-window.c

commit a4f409269173b7580097fea2ecb4d410a352c777
Author: Federico Mena Quintero <federico@gnome.org>
Date:	2012-10-22

    Implement the show-error-message handler for GtkPlacesSidebar

    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

M	src/nautilus-window.c

commit 28c03830e1c288ccb269d2352d1ac7d10c2b357f
Author: Federico Mena Quintero <federico@gnome.org>
Date:	2012-10-22

    Implement the empty-trash-requested handler for GtkPlacesSidebar

    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

M	src/nautilus-window.c

commit 43ffe2deaa36f3837b2e6db3ba91fe0454002cd6
Author: Federico Mena Quintero <federico@gnome.org>
Date:	2012-10-22

    Implement the show-file-properties handler for GtkPlacesSidebar

    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

M	src/nautilus-window.c

commit 588b891be5e9670443f3d8380b494e0e494a3a96
Author: Federico Mena Quintero <federico@gnome.org>
Date:	2012-10-22

    Implement the location-selected handler for GtkPlacesSidebar

    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

M	src/nautilus-window.c

commit 45e13089129added1e0b60b2f1f3dc5f833453d6
Author: Federico Mena Quintero <federico@gnome.org>
Date:	2012-10-22

    Create a GtkPlacesSidebar and connect stub handlers to it

    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

M	src/nautilus-window-private.h
M	src/nautilus-window.c

commit 6a1cdcf6a68ed4f63890bf3a3ac2a0cca121321e
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-18

    search-directory: make the simple engine recursive

    https://bugzilla.gnome.org/show_bug.cgi?id=325146

M	libnautilus-private/nautilus-search-directory.c
M	libnautilus-private/nautilus-search-engine-simple.h
M	libnautilus-private/nautilus-search-engine.c
M	libnautilus-private/nautilus-search-engine.h

commit f65d3e15916a12fe2fe35b63e862b9f9d20920bf
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-22

    search-directory: always start the simple engine

    This is needed to load results incrementally, which will be done in a
    separate commit.

    https://bugzilla.gnome.org/show_bug.cgi?id=325146

M	libnautilus-private/nautilus-search-engine.c

commit f31d7a182c3263cff7a61714c9ffca7f8bf59ffb
Author: Federico Mena Quintero <federico@gnome.org>
Date:	2012-10-22

    Remove nautilus-places-sidebar.[ch] from the compilation

    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

M	src/Makefile.am

commit e153ba8046f52680b98a5fc209c2b4161b193d2d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-12

    search-directory: enable incremental directory load

    Instead of emitting nautilus_directory_done_loading() from the
    "finished" callback, do it as soon as we receive the first batch of
    hits. The rest of the results will be added to the directory in
    background.

    https://bugzilla.gnome.org/show_bug.cgi?id=663242

M	libnautilus-private/nautilus-search-directory.c

commit eb8cab670df420a7a32101360cfc7648cdd38d46
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-22

    notebook: add missing part for last commit

    For some reason, this got lost while rebasing.

M	src/nautilus-notebook.c

commit 7a0001df64792f96c0a27d48806eea4ede926ec6
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-19

    window-slot-dnd: handle tab switching on hover ourselves

    Since we handle envets manually.

    https://bugzilla.gnome.org/show_bug.cgi?id=635485

M	src/nautilus-window-slot-dnd.c

commit cbbb7f0f6af4e2dea2b885be12495f839c9556b8
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-22

    bookmarks-window: don't offer to reorder or remove builtin bookmarks

    https://bugzilla.gnome.org/show_bug.cgi?id=683158

M	src/nautilus-bookmarks-window.c

commit 71ad0d3adc2553ef5bcd06ec32600302e9169765
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-22

    bookmark: add nautilus_bookmark_get_is_builtin()

    Move the builtin check for bookmarks from the sidebar to a method on
    NautilusBookmark itself, since we need to use the same check in the
    bookmark window.

M	libnautilus-private/nautilus-bookmark.c
M	libnautilus-private/nautilus-bookmark.h
M	src/nautilus-bookmark-list.c
M	src/nautilus-places-sidebar.c

commit 1dcd2d816a1278f7eec1d074ec5d9134af34a803
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-22

    bookmark: add nautilus_bookmark_get_xdg_type()

    Returns whether a bookmark is for a specific XDG directory.

M	libnautilus-private/nautilus-bookmark.c
M	libnautilus-private/nautilus-bookmark.h
M	src/nautilus-places-sidebar.c

commit 33cbf4666160a3ba126691a51e0fc5d022190bda
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-22

    bookmark-list: clear state when loading operation fails

    When the load operation for the bookmark file fails (e.g. because we
    have no file at all), don't forget to clear the queue state.

M	src/nautilus-bookmark-list.c

commit a4953a98b630600a1957c8c4ef635218955abc83
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-22

    bookmarks-window: don't make the no bookmarks string italic

    Italics are not used anymore in GNOME 3 style.

M	src/nautilus-bookmarks-window.c

commit 1f307c367ddd8193a38f500e731b7ca0f9b2f98e
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-22

    places-sidebar: use the bookmark display name

    Instead of the XDG directory name; this makes name edits from the
    Bookmarks window apply correctly to the sidebar.
    Likewise, allow renaming of XDG bookmarks from the context menu.

M	src/nautilus-bookmark-list.c
M	src/nautilus-bookmark-list.h
M	src/nautilus-places-sidebar.c
M	src/nautilus-shell-search-provider.c

commit 17a85b78acc78b573c2e1776b348ed348e19adb7
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-22

    places-sidebar: don't add non-existent XDG bookmarks

    If an XDG bookmark has been removed from ~/.config/user-dirs.dirs,
    or if
    its entry there points to an invalid directory, don't add it to the
    places sidebar.

    https://bugzilla.gnome.org/show_bug.cgi?id=645054

M	src/nautilus-places-sidebar.c

commit 8e6f68afb117f13c4ba3528aa03e9fab14a1e1e9
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-22

    window: make Bookmark this Location insensitive when it's bookmarked

    If the directory is in the bookmark list already (or if it's the home
    directory), don't offer to bookmark it again.

    https://bugzilla.gnome.org/show_bug.cgi?id=327707

M	src/nautilus-window-private.h
M	src/nautilus-window.c

commit ddf3a8180c0f91d2327851c8a3a0538ca04440bd
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-22

    bookmark-list: add a can_bookmark() method

    Using the previously added API.

M	src/nautilus-bookmark-list.c
M	src/nautilus-bookmark-list.h

commit 26e6907a9343e45500d4c3373e4210d072db08e1
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-22

    bookmark-list: change item_with_uri() API to use a GFile instead

    Avoid GFile<->URI roundtrips if possible. Also, this will allow us to
    use the same API for another purpose.

M	src/nautilus-bookmark-list.c
M	src/nautilus-bookmark-list.h
M	src/nautilus-shell-search-provider.c

commit d09413bcff9b62af6ea58d003ffe2b76c792a57f
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-22

    location-entry: use GFile instead of an uri for last_location

    We will create a GFile internally and most of the times we have
    a GFile
    already, so change NautilusLocationEntry to just use a GFile too.

M	src/nautilus-location-entry.c
M	src/nautilus-location-entry.h
M	src/nautilus-window-menus.c
M	src/nautilus-window-private.h
M	src/nautilus-window.c

commit fe1965f2cafc4616caaea0ae048bf1ff5c8975f5
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-19

    mime-actions: resolve symbolic links before launching the application

    We already do this for all other kind of references, and I think it
    makes sense to do it for symbolic links too.
    This also ensures applications don't have to deal with e.g. ensuring
    backup files are saved relative to the original file and not the
    symlink, as reported in

    https://bugzilla.gnome.org/show_bug.cgi?id=686465

M	src/nautilus-mime-actions.c

commit adc6d3f75eaf303e3d83a9dca1f5822fe83ed2b0
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2012-10-20

    Updated Slovenian translation

M	po/sl.po

commit 1860bf48a5dd39ba6ef7ccedea56058a4ff7f9a4
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-19

    monitor: use GSlice

M	libnautilus-private/nautilus-monitor.c

commit 3891241ba760c59d284b7579dbd340651c8d4d29
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-19

    monitor: watch for removal of non-native mounts on GVolumeMonitor

    Nowadays, we rely on G_FILE_MONITOR_EVENT_UNMOUNTED to be emitted
    when a
    mount disappears, since we already monitor the directory, in order to
    switch the view to a different location.
    Since non-native mounts very likely won't have file monitoring though,
    we're not going to receive such events in that case, and fail to
    redirect the view as a consequence.
    This patch fixes it by listening to the mount-removed signal on
    GVolumeMonitor when a monitor is requested for a non-native mount, and
    emulating a file removal in that case.

    https://bugzilla.gnome.org/show_bug.cgi?id=684226

M	libnautilus-private/nautilus-monitor.c

commit c6b1cdd1754432d98d35cd7256a2477a45d40630
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-19

    places-sidebar: always add non-native bookmarks

M	src/nautilus-places-sidebar.c

commit 9a122cb3aa4f85548ff036ea3e6509e0e60387f8
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-19

    pathbar: don't assume a mounted mount is always available

    We might be refreshing while the mount disappears; in that case, the
    pathbar will try to get a symbolic icon from a NULL mount, hitting an
    assertion.

M	src/nautilus-pathbar.c

commit b2e8339d9f49770db0f6a523c8bf77b11d7eace3
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-19

    places-sidebar: simplfy setting eject icon

M	src/nautilus-places-sidebar.c

commit 380124b5cf8aafb153f3d6141588c8fe7dc43122
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-19

    bookmarks: remove unused methods

M	libnautilus-private/nautilus-bookmark.c
M	libnautilus-private/nautilus-bookmark.h
M	src/nautilus-bookmark-list.c
M	src/nautilus-bookmark-list.h
M	src/nautilus-places-sidebar.c
M	src/nautilus-window-menus.c

commit 0cd6b88fff28b47a13000e4d0f421fba8543a71c
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-19

    bookmark: simplify code

    No need for nautilus_bookmark_copy(), when we can just g_object_ref()
    the object.

M	libnautilus-private/nautilus-bookmark.c
M	libnautilus-private/nautilus-bookmark.h
M	src/nautilus-bookmark-list.c

commit 9855ddb282468a4c0aeee05125276afc89e2b146
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-19

    shell-provider: fix an erroneous typo

    Didn't mean to remove this line.

M	src/nautilus-shell-search-provider.c

commit 0177dd24a5f7f9f5302745a865eb970a35faa78c
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-28

    bookmark: avoid sync I/O

M	libnautilus-private/nautilus-bookmark.c
M	libnautilus-private/nautilus-bookmark.h
M	src/nautilus-places-sidebar.c

commit 287182851b9b6de233175400eddcc5b2d63e2b4d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-18

    shell-provider: make the provider more robust to cancellation

    Don't assume there's only one engine running at the time, and avoid
    requiring state from the global app singleton in search callbacks.

    This fixes a crash where we would dereference NULL in the hits-added
    callback, since we would access it through the global app object, and
    self->active_search was previously cleared on cancellation.

    https://bugzilla.gnome.org/show_bug.cgi?id=686168

M	src/nautilus-shell-search-provider.c

commit 2b29ab5699e2b9c5c12efdea8d3719441377b98b
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-18

    test-search-engine: test cancellation and NautilusSearchEngineModel

    Add some code in the search engine test to verify cancellation and
    NautilusSearchEngine model work properly.

M	test/test-nautilus-search-engine.c

commit a36dc6aefac077354fbea2145e9e5a61c46ce740
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-18

    search-engine-tracker: refactor search completion notification

    Keep a ref to the engine while the async search is in progress. This
    is
    what all the other engines do, and not doing it causes problems when
    cancelling the operation.

    While we're at it, also refactor the completion notification code in a
    single function.

    https://bugzilla.gnome.org/show_bug.cgi?id=686168

M	libnautilus-private/nautilus-search-engine-tracker.c

commit 546184ca418672533504c4121bd681fb547d2e01
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-18

    search-engine-model: emit finished when cancelled in-flight

    If we get stopped while the directory ready callback is pending, make
    sure to still emit the finished signal on the provider.

M	libnautilus-private/nautilus-search-engine-model.c

commit 632094e0665ba29558631dfb99f82e7f40b7f8bb
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-18

    search-engine: keep a reference to the engine while searching

    This way, we can ensure the engine will be alive when the providers
    finish.

M	libnautilus-private/nautilus-search-engine.c

commit cffa0c70914529892a3026cc759515b22503775d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-18

    query: always set a query location URI

    It makes sense for a query object to always be relative to a specific
    location, so just initialize the query URI to g_get_home_dir().

M	libnautilus-private/nautilus-query.c
M	libnautilus-private/nautilus-search-engine-tracker.c

commit d5c4c3c0f3b12dac24479f5195dafac84cc7a3c1
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-17

    editable-label: add an input-only window for events

    Add another input-only child to the parent GdkWindow's for events and
    imcontext. Since we will be painted in a GtkLayout, using only one
    input-only window won't work well with scrolling, but this way we can
    ensure that whatever GdkWindow the XIM engine will try to ensure
    native,
    it won't be our (floating) drawing window.

    https://bugzilla.gnome.org/show_bug.cgi?id=686053

M	eel/eel-editable-label.c
M	eel/eel-editable-label.h

commit f149927a486b647255a1713c287817a281d92f8d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-17

    Revert "editable-label: don't use a input-output window"

    This reverts commit b67360316cf975c85569527f55803cad1ea5e28e.

    It breaks scrolling, as explained in
    https://bugzilla.gnome.org/show_bug.cgi?id=686322

M	eel/eel-editable-label.c
M	eel/eel-editable-label.h

commit b67360316cf975c85569527f55803cad1ea5e28e
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-15

    editable-label: don't use a input-output window

    Use the same behavior of GtkEntry i.e. create an input only GdkWindow
    for the text area. This avoids the text area becoming black when it's
    used together with the XIM module.

    https://bugzilla.gnome.org/show_bug.cgi?id=686053

M	eel/eel-editable-label.c
M	eel/eel-editable-label.h

commit 685d149e09470b4acf58024e82b461e52079a9ed
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-15

    application: call gtk_init() manually when doing self checks

    We used to do this implicitly, but
    6b5ffd4e8841202d31e444358b542ffbeac516bf made it necessary to call it
    manually, since we avoid g_application_register() when we perform self
    checks.

M	src/nautilus-application.c

commit 7666f837777b73903ce2f6000503a3ed8183106f
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-12

    search: remove unused hits-subtracted signal

    Since this is never emitted, keeping the code around just makes
    it more
    complicated.

M	libnautilus-private/nautilus-search-directory.c
M	libnautilus-private/nautilus-search-engine.c
M	libnautilus-private/nautilus-search-provider.c
M	libnautilus-private/nautilus-search-provider.h
M	src/nautilus-shell-search-provider.c
M	test/test-nautilus-search-engine.c

commit 18bf5a4e09137f65d10cfe5448f19e4f183e1ad7
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-15

    search-directory: use g_hash_table_add()

M	libnautilus-private/nautilus-search-directory.c

commit 97b616d4f462571f8cce4d72a99478ddc89e5936
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-14

    tracker-engine: apply basename heuristic to tracker hits too

    So that they get the same kind of bonus they would if they matched
    with
    the other engines. The FTS rank that tracker gives us is added as
    another bonus.

M	libnautilus-private/nautilus-search-engine-tracker.c

commit a80aa3b842bc51553243f3141400cce9a18d9781
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-14

    window-slot: reset floating bar details when setting load status

M	src/nautilus-window-slot.c

commit a594de07bfe89d47b710ab3f85b556fa71cf715f
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-14

    search: add debug output

M	libnautilus-private/nautilus-debug.c
M	libnautilus-private/nautilus-debug.h
M	libnautilus-private/nautilus-search-engine-simple.c
M	libnautilus-private/nautilus-search-engine.c
M	libnautilus-private/nautilus-search-hit.c

commit b610e53b09a7b8474883d92675205fa2a9271e97
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-14

    search-engine: wait for all engine's completion before starting

    When we're getting reloaded, we should wait for the completion of all
    engines before triggering a new search. When this happens, set an
    internal restart flag and apply it when the last provider returns.
    This avoids finished signals from providers that complete the previous
    search after a while to being interpreted for the current search.

M	libnautilus-private/nautilus-search-engine.c

commit c196a6eadab591eadb1e981641e06b71f828ba43
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-14

    search-engine-simple: don't send last batch when cancelled

    There's no need to send a last batch of results if we are returning
    because of a cancellation.

M	libnautilus-private/nautilus-search-engine-simple.c

commit cbd5212e3984859682ceafa8b1c8f874d644cc78
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-14

    search-engine-model: clear active search before calling finished

    See previous commit.

M	libnautilus-private/nautilus-search-engine-model.c

commit 9967669927d9a9d79f08f756a26090384cfb4631
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-14

    search-engine-simple: clear active search before calling finished

    So that start() will work if called directly from the finished
    callback.

M	libnautilus-private/nautilus-search-engine-simple.c

commit 10c5667facf78efcfdd7c54aa8575f8a77ffa424
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-14

    search-hit: set a limit to FTS weight in matches

    We don't want this to become bigger than the proximity bonus.

M	libnautilus-private/nautilus-search-hit.c

commit 98bcc3ba2b1c991fc1de4874130a3e91c4782096
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-14

    query: move string matching code in NautilusQuery

    This also allows us to use a heuristic to evaluate how good the
    filename
    match is.

M	libnautilus-private/nautilus-query.c
M	libnautilus-private/nautilus-query.h
M	libnautilus-private/nautilus-search-engine-model.c
M	libnautilus-private/nautilus-search-engine-simple.c
M	libnautilus-private/nautilus-ui-utilities.c
M	libnautilus-private/nautilus-ui-utilities.h
M	src/nautilus-shell-search-provider.c

commit a4e65a637ca001296e4c8f25dcd8e41eac78518d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-13

    search-directory: fix a FIXME

    Using an auxiliary hash table gives us better performance for large
    directories, as we avoid constantly walking the list.

M	libnautilus-private/nautilus-search-directory.c

commit 949af5d7132724c40891f629c49602de0427a2fd
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-13

    search-engine: refactor providers status check

    Make sure that we emit either finished or error when all the providers
    have finished.

M	libnautilus-private/nautilus-search-engine.c

commit 5a6f9bd61d18157fa2f56b58115f024708967325
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-13

    simple-engine: always emit finished, even when cancelled

    Otherwise the search hits hash table won't be cleared when search is
    stopped, leading to missing results.

M	libnautilus-private/nautilus-search-engine-simple.c

commit 9703e67f576735d0ad6bdf3c7ca04e5c6efcc17d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-13

    search-directory: set show hidden files on query according to monitors

    This ensures the simple engine won't crawl in hidden directories,
    unless
    necessary.

M	libnautilus-private/nautilus-query.c
M	libnautilus-private/nautilus-search-directory.c

commit 27d3f2ba5543f18fb2accf9c7ef3bd9bf55795a5
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-12

    query: change raking to always sort closest files first

    And among those with the same distance from the search root, add more
    bonus for recency and FTS rank. This ensures results don't move
    too much
    when searching recursively.

    Also, while we're at it, change the code to use GFile instead
    of simple
    string comparisons.

M	libnautilus-private/nautilus-search-hit.c

commit 9c695bcaa887dc7dcba0b688d608462222a584d1
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-12

    file: don't check nautilus_file_is_in_search() when getting relevance

    This checks the URI, so it will always return FALSE, since files in
    NautilusSearchDirectory have the real URI of the location.

M	libnautilus-private/nautilus-file.c

commit dc0572d7c973491d3d152c946d5156ccadc653ee
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-12

    search-directory: simplify start/stop search code

    Keep code to start and stop the search engine in a single place,
    create
    it together with the directory and simplify start/stop invariants.

M	libnautilus-private/nautilus-search-directory.c

commit 4e9ac72518eb0cb6a173ce59785b5f32fbcdb5b4
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-12

    Remove unused NautilusMergedDirectory

    This is completely unused now.

M	libnautilus-private/Makefile.am
D	libnautilus-private/nautilus-merged-directory.c
D	libnautilus-private/nautilus-merged-directory.h

commit c13671857c8dcb99967bb3c726ebd6e15c97a603
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:	2012-10-15

    Updated Danish translation

M	po/da.po

commit 3040a55e2d971d5ddd0893e7f88deeed0a02e410
Author: Ivan Masár <helix84@centrum.sk>
Date:	2012-10-12

    Updated Slovak translation

M	po/sk.po

commit c6510979aae628789dbddbc0d633acee64f88100
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-11

    shell-provider: make the shell search provider follow show-hidden

    Add a query property we can set to false from the shell provider, and
    use it in the simple search engine to exclude hidden files. Note
    that by
    default the query sets it to TRUE, so the behavior in Nautilus is
    unchanged.

M	libnautilus-private/nautilus-query.c
M	libnautilus-private/nautilus-query.h
M	libnautilus-private/nautilus-search-engine-simple.c
M	src/nautilus-shell-search-provider.c

commit d1f53906bbb7cf1e901d2fef6577179594a6b0f7
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2012-10-11

    Updated Norwegian bokmål translation.

M	po/nb.po

commit 547c56c6183eb64a4be2e10c95e5244ab511f8d9
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:	2012-10-11

    Updated Japanese translation

M	po/ja.po

commit 2d72365cb5bedc514e7e3d16e3e5da27d0dcce3b
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-10

    list-view: don't call parent when the row has been selected

    This is a regression from commit
    0b9ddf8826d68325f3070723e73177f134bc8b1f, which broke dragging
    multiple
    rows.

    https://bugzilla.gnome.org/show_bug.cgi?id=683751

M	src/nautilus-list-view.c

commit b1abb52610dbbcac3669347663459e4b00241d57
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-10

    pathbar: consistently use symbolic icons for root elements in pathbar

    We were still using non-symbolic icons for mount roots.

M	src/nautilus-pathbar.c

commit c650a3cf28b063439ef2eab975811462ae683b5b
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:	2012-10-09

    Fixed Russian translation

M	po/ru.po

commit 1031e9b6266b67965cf0a59b9e8b102145c81ef5
Author: Arash Mousavi <mousavi.arash@gmail.com>
Date:	2012-10-07

    l10n: Updated Persian translation

M	po/fa.po

commit 35a8c88994f7213ebee49c20ac77e3430ef8761c
Author: Marek Černocký <marek@manet.cz>
Date:	2012-10-07

    Updated Czech translation

M	po/cs.po

commit 24c29866c8e68c351c0417d621f0c22e33a8256b
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2012-10-05

    Updated Hebrew translation.

M	po/he.po

commit d6c89019d493b7de6abca3849e397e3685e52d82
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-04

    canvas-container: remove NautilusCanvasLayoutMode

    Since we use the vertical layout only for the desktop these days,
    remove
    NautilusCanvasLayoutMode completely, and just return TRUE from
    nautilus_canvas_container_layout_is_vertical() if we're a desktop
    container.
    This allows to remove a lot of unused layouting code.

M	libnautilus-private/nautilus-canvas-container.c
M	libnautilus-private/nautilus-canvas-container.h
M	libnautilus-private/nautilus-canvas-private.h
M	src/nautilus-canvas-view.c
M	src/nautilus-desktop-canvas-view.c

commit da6b814f7cf4a8c0ce2ea9d05ea81cd50678a9b0
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-04

    desktop-canvas-view: remove an obsolete hack for BonoboPlug

M	src/nautilus-desktop-canvas-view.c

commit 1292610b87be44fcd5a7d5a09738cd7f3287325f
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-04

    desktop-canvas: set margins according to the primary workarea

    This ensures desktop icons are pinned to the primary monitor,
    instead of
    moving around when plugging in a new display.
    There's also a slight change in behavior introduced by this patch
    - that
    is for multihead configurations where the first monitor in visible
    order
    is not the primary one, it won't be possible to move desktop icons to
    monitors to the left, or to the top, of the primary monitor - in other
    words, desktop icons layout starts from the primary monitor and
    expands
    rightwards/downwards.

    https://bugzilla.gnome.org/show_bug.cgi?id=420624

M	src/nautilus-desktop-canvas-view.c

commit ce80131177c0535cac03446213a50002a9d1d63a
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-02

    list-view: clear the renaming file when stopping cell editing

    If the renaming_file member sticks around, we will ignore activation
    of
    new files. Instead, make sure to clear it out when the model is
    cleared.

    https://bugzilla.gnome.org/show_bug.cgi?id=685109

M	src/nautilus-list-view.c

commit 86fde912f3850a984a38e7e41d8290eb0d996562
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-02

    slot: refactor some code

    Factor out two functions, to show and hide the query editor, and use
    them from nautilus_window_slot_set_query_editor_visible()

M	src/nautilus-window-slot.c

commit c3c81737cad6c0a77bbcedded395ea55a17cc324
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-02

    slot: use the pending location when creating a query editor in loading

    Or we'll segfault calling nautilus_directory_get() on a NULL location.

    https://bugzilla.gnome.org/show_bug.cgi?id=685293

M	src/nautilus-window-slot.c

commit 70bdd33e0dd4737687b0b5a53279a85a99257d0c
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-02

    slot: make sure we have signal handlers before disconnecting them

    This makes the code more robust in case it's called e.g. with
    visible =
    FALSE on a slot that already has the query editor hidden.

M	src/nautilus-window-slot.c

commit 5c200cfdc68b24d3d2acffa3e8faff397852b22d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-02

    application: display an error dialog when connecting to server fails

    Since we always return TRUE from the nautilus_window_go_to_full()
    callback, we fail to show the error dialog in case connecting
    fails, and
    we print a warning to command line.
    In case there's an error, remove the warning and return FALSE instead,
    to report the error to the user.

M	src/nautilus-application.c

commit 077b208c89c8f53004993f4a811f6be272d6867a
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-02

    directory: simplify directory creation in a single place

    nautilus_directory_new() is now the only place that calls
    g_object_new()
    to create a new directory. Replace the _from_saved_search()
    constructor
    with a setter.

M	libnautilus-private/nautilus-directory.c
M	libnautilus-private/nautilus-search-directory.c
M	libnautilus-private/nautilus-search-directory.h

commit 55e6a5fa02deedcc69cd55beda26fe19330d770a
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-02

    file: remove unused NautilusSavedSearchFile

    Since we now always override the file type when creating the
    NautilusFile, there's no need for a separate, empty, subclass.

M	libnautilus-private/Makefile.am
M	libnautilus-private/nautilus-file.c
D	libnautilus-private/nautilus-saved-search-file.c
D	libnautilus-private/nautilus-saved-search-file.h

commit f98caf0086dabfe9f12acf7bdde1242f1205d435
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-02

    file: always override file type for saved search files

    And not only when first creating it from a GFileInfo, or we'll
    lose such
    information when e.g. browsing the history list.

    https://bugzilla.gnome.org/show_bug.cgi?id=685155

M	libnautilus-private/nautilus-file.c

commit a8cbb665c3d6c481ef8aa7b5e2fde62d23bbe347
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-02

    search-directory: don't update the search file name for saved searches

    Since in that case we don't have a NautilusSearchDirectoryFile.

    https://bugzilla.gnome.org/show_bug.cgi?id=685155

M	libnautilus-private/nautilus-search-directory.c

commit c62a412853703b41a703cf9684b666cd83694b3d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-02

    directory: make the location GFile a construct property

    Since nautilus_search_directory_new_from_saved_search() expects the
    location field to be already populated after g_object_new() is called
    (and it's a reasonable expectation), make it a construct only
    property.
    This will also allow further cleanups in the directory code later.

    https://bugzilla.gnome.org/show_bug.cgi?id=685155

M	libnautilus-private/nautilus-directory.c
M	libnautilus-private/nautilus-search-directory.c

commit 3fc01f4c8f75645973758f66c61c510537796115
Author: Yasumichi Akahoshi <yasumichi@vinelinux.org>
Date:	2012-10-02

    [l10n] Update Japanese translation

M	po/ja.po

commit 3a2b25980b6bda2c77619b3a79902045622fb6bb
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-10-02

    image-properties: add a comment for translators

    https://bugzilla.gnome.org/show_bug.cgi?id=685189

M	src/nautilus-image-properties-page.c

commit 1d00d46b6d624b3c7e4cc51054793f85f40f7668
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2012-10-02

    Updated Belarusian translation.

M	po/be.po

commit ea39b478e47f33a1d92f2aa0ad12313b509f7604
Author: Žygimantas Beručka <uid0@akl.lt>
Date:	2012-09-30

    Updated Lithuanian translation

M	po/lt.po

commit 71e630a6bdf4748fe22a4e483f1ab8e7cf439a31
Author: Alexander Shopov <ash@kambanaria.org>
Date:	2012-09-29

    Updated Bulgarian translation

M	po/bg.po

commit 7dcad54c665fd3960693234dfd8c89fb76d623eb
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2012-09-29

    Updated Greek translation

M	po/el.po

commit 6bb4e031633df39859fc6d1652a319b6edd5b54f
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-28

    shell-provider: get a timestamp from X when activating the file

    Since the WM itself spawns us, I think the API should pass the
    timestamp
    down; since it doesn't, get a timestamp ourselves.

    https://bugzilla.gnome.org/show_bug.cgi?id=674816

M	src/nautilus-shell-search-provider.c

commit d9aa158ce7ac5cde1409a273ac0821bcf9c59e2e
Author: Daniel Martinez Cucalon <dmartinez@src.gnome.org>
Date:	2012-09-29

    Added Aragonese translation

M	po/LINGUAS
A	po/an.po

commit 6b5ffd4e8841202d31e444358b542ffbeac516bf
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-28

    application: don't open the default display when parsing options

    Opening the default display when parsing options means we'll do it in
    non-primary instances of the application.
    When the default display is opened, _gdk_x11_display_make_default()
    will
    be called, which reads and removed DESKTOP_STARTUP_ID from the
    environment - but we need to keep DESKTOP_STARTUP_ID around until
    add_platform_data() is called in the non-primary instance, which takes
    care of forwarding it to the primary instance.

    This fixes the busy spinning cursor being stuck when opening multiple
    Nautilus windows.

    https://bugzilla.gnome.org/show_bug.cgi?id=664147

M	src/nautilus-application.c

commit 892ed29cedb248db6611a4b919a0f325532810fa
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-28

    search-engine-tracker: complete search in idle if we got no connection

    Instead of returning a NULL engine, which will cause criticals later,
    since NautilusSearchEngine will still try to call start() on it.

    https://bugzilla.gnome.org/show_bug.cgi?id=685014

M	libnautilus-private/nautilus-search-engine-tracker.c

commit 1fc03b6a0f3c438a0959d2cf438b64d471e9dd97
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-28

    search: simplify setting NautilusQuery

    Assume we have a valid query object passed to
    nautilus_search_engine_set_query(), as that is always true in the
    current code.

M	libnautilus-private/nautilus-search-directory.c
M	libnautilus-private/nautilus-search-engine-model.c
M	libnautilus-private/nautilus-search-engine-simple.c
M	libnautilus-private/nautilus-search-engine-tracker.c
M	libnautilus-private/nautilus-search-provider.c

commit 302fb4d24b12744cc9cbe91c6135974e63995301
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-26

    search: factor out a common helper function and use it

M	libnautilus-private/nautilus-search-engine-model.c
M	libnautilus-private/nautilus-search-engine-simple.c
M	libnautilus-private/nautilus-ui-utilities.c
M	libnautilus-private/nautilus-ui-utilities.h
M	src/nautilus-shell-search-provider.c

commit be8bfc60e3841173c695b310de3836b5cbfdaf1f
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-26

    search-engine-model: normalize both strings before comparison

    Or the pattern matching will fail for non-ASCII characters.

    https://bugzilla.gnome.org/show_bug.cgi?id=684852

M	libnautilus-private/nautilus-search-engine-model.c

commit f216028365d48384b37b225a3fe22ca2440baca0
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-26

    search-directory: only set base model when it matches query location

    Otherwise we'll return results from the wrong base directory for
    searches that are saved, or from the back/forward history.

    https://bugzilla.gnome.org/show_bug.cgi?id=684769

M	libnautilus-private/nautilus-search-directory.c

commit 509698a24a90eac62bc81abd9da7e8fe234e6e23
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	2012-09-26

    Added uk translation

M	po/uk.po

commit bd46402de4361f18f8dcea84110d235790205f21
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	2012-09-26

    Added uk translation

M	po/uk.po

commit 26a0fdc6af270b05ef48290a0b350310a73ddf23
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-26

    po: fix POTFILES.in

M	po/POTFILES.in

commit cf7b0e016689d709037154e1dd33ccf8b087cf7c
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-26

    shell-search-provider: consolidate string matching for builtin places

    Instead of immediately adding hits to the hash table for every type
    we're interested in, and loop through the terms array every time,
    first build a list of builtin match candidates, and then check in a
    single loop if they're valid search results.

M	src/nautilus-shell-search-provider.c

commit 41b6b28035779fbf5b74f82e6d6239cdc1b0a12a
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-26

    shell-search-provider: include Home and Trash among the results

    https://bugzilla.gnome.org/show_bug.cgi?id=684697

M	src/nautilus-shell-search-provider.c

commit 6f1e24dfe88261ea8d6d80707bab11c95c8486fb
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-26

    bookmark: include icons for XDG special directories in
    NautilusBookmark

    This ensures we also return the right icon in the shell search
    provider
    when an XDG directory is in the results.

M	libnautilus-private/nautilus-bookmark.c

commit b72d57b038e50172fac2fafdc6c26660378aab34
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-26

    file-utilities: export special_directory_get_icon()

    Will be useful to get the icon for XDG bookmarks.

M	libnautilus-private/nautilus-file-utilities.c
M	libnautilus-private/nautilus-file-utilities.h
M	libnautilus-private/nautilus-icon-names.h
M	src/nautilus-places-sidebar.c

commit ceb3a76b2e6bfe59c87a23fbfd6068d03fd713d5
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	2012-09-26

    Updated Latvian translation

M	po/lv.po

commit 805b51886dae2386a942a162d4f56a8badef307d
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-09-25

    Updated Galician translations

M	po/gl.po

commit 32b39ae18857e6e6375d6fa2a1cb36830c40e644
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:	2012-09-25

    Updated Portuguese translation

M	po/pt.po

commit 6bff49f8f3dca7593bcfabc0e726139419e2a187
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-09-25

    Updated Spanish translation

M	po/es.po

commit a2874e9b14d8c4ac3f13e469dc5e7963246530af
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-09-25

    Updated Galician translations

M	po/gl.po

commit 7427ee626e32d8bbe7d607c96a25f686b64df365
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-25

    shell-search-provider: warn against NULL strings before normalizing

    Since g_mount_get_name() and nautilus_bookmark_get_name() can possibly
    return NULL, warn against it before normalizing the string and
    trying to
    compare it with the search terms. This fixes a crasher in the shell
    search provider.

    https://bugzilla.gnome.org/show_bug.cgi?id=684807

M	src/nautilus-shell-search-provider.c

commit 32edfac1d27c49b9dd75a0a56fb7cccaabd8adc1
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2012-09-25

    Updated Slovenian translation

M	po/sl.po

commit d85be64ecf7487c071dd20329584b8ce6a22d470
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-09-25

    Use helper function to determine if file is root

    https://bugzilla.gnome.org/show_bug.cgi?id=684354

M	src/nautilus-properties-window.c

commit a9c2a2252700c47c802938a23258a20b6c2ebed0
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-09-19

    Add extra data to the image properties

    That includes PNG tEXt chunk information.

    https://bugzilla.gnome.org/show_bug.cgi?id=613288

M	src/nautilus-image-properties-page.c

commit 07d18c6b0d8863063e240ace8372ce15af110568
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-09-19

    Clean up the image properties code

    https://bugzilla.gnome.org/show_bug.cgi?id=613288

M	src/nautilus-image-properties-page.c

commit 9d72fecc4a02d0a9ce114635a837bd9c2969ba08
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-09-19

    Set a default window icon

    https://bugzilla.gnome.org/show_bug.cgi?id=598303

M	src/nautilus-application.c

commit e478a3eafa22933830bdbddfaa25574c6a78553e
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-09-19

    Don't show volume info for things without a volume

    https://bugzilla.gnome.org/show_bug.cgi?id=684354

M	src/nautilus-properties-window.c

commit e1577b12480a965b1ae4d6b81bcb175677628fd2
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-09-19

    Show capacity chart for local disk

    https://bugzilla.gnome.org/show_bug.cgi?id=684354

M	src/nautilus-properties-window.c

commit b4a0d3972749c3dcf9c83c9478638035f4890c78
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-18

    view: simplify error handling

    Since the error is always reported by the base class, there's no need
    for this signal - just report the error.

M	src/nautilus-view.c
M	src/nautilus-view.h

commit 047f9881a2630d2b11ce208133732ee158739838
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-19

    window: don't make the sidebar setting apply to all the windows

    But only make it modify the behavior of the current window. This makes
    it consistent with the placement of the option in the menus.

    https://bugzilla.gnome.org/show_bug.cgi?id=682064

M	src/nautilus-window-menus.c
M	src/nautilus-window.c

commit 0b22ba642ceb38593eeae781fdc83d534967bd50
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-18

    slot: consolidate code for showing/hiding the loading floating bar

    Move all the code relative to it in NautilusWindowSlot, and make the
    relative object members private.

    https://bugzilla.gnome.org/show_bug.cgi?id=684218

M	src/nautilus-window-manage-views.c
M	src/nautilus-window-slot.c
M	src/nautilus-window-slot.h

commit 6c5b8dce2f5dadc473c52332b1209087ba3b0a73
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-19

    slot: ensure the floating bar is hidden when loading finishes

    Since in case of loading error we don't go through the same code path
    than in case of success; by using the connection to the end_loading
    signal, we can ensure the floating bar is removed also in case
    of error.

    https://bugzilla.gnome.org/show_bug.cgi?id=684218

M	src/nautilus-window-slot.c

commit f2258d9e52401261d1f230a7ffd202097a46335c
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	2012-09-25

    Update French translation

M	po/fr.po

commit 9007b73f6ffe1485602c88e1718e991f114da345
Author: Fábio Nogueira <fnogueira@gnome.org>
Date:	2012-09-24

    Updated Brazilian Portuguese Translation

M	po/pt_BR.po

commit d117f194b16983cd4e7cf2b5599ac5f08cd6366f (tag: 3.6.0)
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-24

    release: prepare for 3.6.0

M	NEWS
M	configure.in

commit 3b4e8c6871f2d73a0df278b2e502fe8c7f2a63ce
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:	2012-09-25

    [l10n] Update Japanese translation

M	po/ja.po

commit df97ec191b5b3db5ae6d460436cf29784d23ddb4
Author: Petr Kovar <pkovar@redhat.com>
Date:	2012-09-24

    Update Czech translation by Adam Matousek and Lucas Lommer

M	po/cs.po

commit bb4d063cc985c915c36cfb8bc1c4ce6a9e955d48
Author: Timur Zhamakeev <ztimur@gmail.com>
Date:	2012-09-24

    Added 'ky' to LINGUAS

M	po/LINGUAS

commit 93868f9693081fa9f6097ab3300a02636c7082fb
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:	2012-09-24

    [l10n] Updated Estonian translation

M	po/et.po

commit ea0c44be9634c303ecc232153c75fd7b5331bb2f
Author: Timur Zhamakeev <ztimur@gmail.com>
Date:	2012-09-24

    Added Kyrgyz translation

A	po/ky.po

commit 5710241dce8ca09f81c5b7f980b9ff52495e6f30
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:	2012-09-24

    [l10n] Updated Estonian translation

M	po/et.po

commit 71d0d2538dc1c004c586efe3ed465ea6ea6e9fb0
Author: Timo Jyrinki <timo@debian.org>
Date:	2012-09-24

    Finnish translation update by Jiri Grönroos

M	po/fi.po

commit 0fc442f6c0c92ea922d048c79404a33ba0b7a69d
Author: Frédéric Péters <fpeters@0d.be>
Date:	2012-09-23

    Fix a date format translation in French

M	po/fr.po

commit 31b238331d81b5e13788dafd89b05e29de0ac316
Author: Frédéric Péters <fpeters@0d.be>
Date:	2012-09-23

    Translate date formats

    https://bugzilla.gnome.org/show_bug.cgi?id=684661

M	libnautilus-private/nautilus-file.c

commit af10956fc31cc65227a12558d4e3d2f73f7d73a1
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:	2012-09-23

    Updated Russian translation

M	po/ru.po

commit 58fdb5dddcc8d83019a73258ee6c76ca22e759b0
Author: Peteris Krisjanis <pecisk@gmail.com>
Date:	2012-09-23

    Updated Latvian translation

M	po/lv.po

commit baa3759a7a5c21d49d16c7a9ed074cbdb842189e
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2012-09-23

    Updated Belarusian translation.

M	po/be.po

commit ec2fbb16e57b4ccf27280aa050910be080dd98e7
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2012-09-16

    Updated Belarusian translation.

M	po/be.po

commit ff973875f76e23514e376b99ca1cf281e7236626
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	2012-09-23

    [l10n]Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit 3d6701582e8fd9e1e540072c399c6318069c1dff
Author: Joan Duran <jodufi@gmail.com>
Date:	2012-09-23

    [l10n] Updated Catalan translation

M	po/ca.po

commit 13114686424505b6e10c2d877b78e1d55235dd65
Author: Shankar Prasad <svenkate@redhat.com>
Date:	2012-09-22

    Updated kn translation

M	po/kn.po

commit d333d1b52db55108882b37a707f5e4fd282b2ff9
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-19

    search-engine-tracker: don't include current directory in results

    Use tracker:uri-is-descendant instead of fn:starts-with to match the
    location path, so that the current directory itself is discarded from
    the results.

    https://bugzilla.gnome.org/show_bug.cgi?id=684393

M	libnautilus-private/nautilus-search-engine-tracker.c

commit 1b120255256db0d355da85f48bad486c446d397c
Author: Shankar Prasad <svenkate@redhat.com>
Date:	2012-09-22

    Updated kn translation

M	po/kn.po

commit f35913e088bdbf1d8c7621d781f29937ccbaa2a3
Author: Shankar Prasad <svenkate@redhat.com>
Date:	2012-09-22

    Updated kn translation

M	po/kn.po

commit d3e5dfc3dfaa335a022c4272f14e5a252ac9c97a
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2012-09-22

    Updated Hebrew translation.

M	po/he.po

commit 1c6ec153500abbdd4f948e3f63c77c29d5bc6c42
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:	2012-09-22

    Updated British English translation

M	po/en_GB.po

commit e51dbd58c24d4ec463af5ab51e8e9881328de4a8
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2012-09-20

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 49003bf7f0dba4dced255edb1a021cf58e534d43
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:	2012-09-20

    Updated Marathi Translations

M	po/mr.po

commit 19e9376a0604518d257fad10398c91274c8662df
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:	2012-09-20

    updated Tamil translation

M	po/ta.po

commit cfe7a09ad0d3e92ca47b7fd3ab78434a41072809
Author: Yanko Kaneti <yaneti@declera.com>
Date:	2012-09-19

    search-provider: Add volume mounts only if mounted

    https://bugzilla.gnome.org/show_bug.cgi?id=684378

M	src/nautilus-shell-search-provider.c

commit a0c25091311239bf1ef94ca145685d166d8e4114
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-18

    search-engine-simple: always include hidden files

    Since the NautilusDirectory controlling the view model will filter
    them
    out anyway according to the preference; this way we can make
    Ctrl+H work
    correctly also in case the simple engine, and not the
    NautilusDirectory one, is used.

    https://bugzilla.gnome.org/show_bug.cgi?id=437626

M	libnautilus-private/nautilus-search-engine-simple.c

commit 5f855ec0c4a7749b1270f62ceceac65f849cc9f3
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:	2012-09-19

    updated Tamil translation

M	po/ta.po

commit a9d16d4ad510a0d18059195e8e9fe6e96d42ce84
Author: A S Alam <aalam@users.sf.net>
Date:	2012-09-19

    update Punjabi Translation

M	po/pa.po

commit 6b150ef9a0577dc3ebecf1767b893e77f65c7539
Author: Praveen Illa <mail2ipn@gmail.com>
Date:	2012-09-19

    Updated Telugu Transltion

M	po/te.po

commit 0a8d78f871963263196cd708bf60c7b29ffc8474
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:	2012-09-19

    Updated Thai translation

M	po/th.po

commit 52c8314bc8328e9f01d468b3559a15c916f960eb
Author: Hedda Peters <hpeters@redhat.com>
Date:	2012-09-18

    [l10n] Updated German translation

M	po/de.po

commit 2234c4abbe52a4f53c8a209c7736f789ad6b9bce
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-18

    view: don't NULL the slot until the end of destroy

    Since some of the calls we make (e.g. nautilus_view_stop_loading)
    might
    access the slot, causing a segfault.

    https://bugzilla.gnome.org/show_bug.cgi?id=684308

M	src/nautilus-view.c

commit d12c057603dcd67806761a00d728570acea1fd22
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-09-18

    Updated Polish translation

M	po/pl.po

commit bd0a12fb5f52f6e68cb5bf449d3cd2b275ac546b
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-09-18

    Updated Spanish translation

M	po/es.po

commit fa47622b74d90344771340f57dd138c3c7f678fc
Author: Ani Peter <apeter@redhat.com>
Date:	2012-09-18

    Updated Malayalam file

M	po/ml.po

commit 7927e2a296ebb8d953b472cb4153771626216fcc
Author: CHANDAN KUMAR <chandankumar.093047@gmail.com>
Date:	2012-09-18

    Updated HINDI translation

M	po/hi.po

commit fee5612b34326745c4dc89e36afa766bd495b38a
Author: CHANDAN KUMAR <chandankumar.093047@gmail.com>
Date:	2012-09-18

    Updated HINDI translation

M	po/hi.po

commit fc65e361c3c68b79d6a66b7967424302e9719452 (tag: 3.5.92)
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-17

    release: prepare for 3.5.92

M	NEWS
M	configure.in

commit 1f9aea29b236bb197cd1288056ac1a0da755a769
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-17

    build: fix distcheck

M	data/Makefile.am

commit 0ab374ea0bca7a0f60c861eec887f2a6347da983
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-09-17

    Use git.mk

D	.gitignore
M	Makefile.am
M	cut-n-paste-code/Makefile.am
M	cut-n-paste-code/libegg/Makefile.am
D	data/.gitignore
M	data/Makefile.am
M	docs/Makefile.am
D	docs/reference/.gitignore
M	docs/reference/Makefile.am
D	docs/reference/libnautilus-extension/.gitignore
M	docs/reference/libnautilus-extension/Makefile.am
D	eel/.gitignore
M	eel/Makefile.am
A	git.mk
M	icons/Makefile.am
M	libnautilus-extension/Makefile.am
D	libnautilus-private/.gitignore
M	libnautilus-private/Makefile.am
M	nautilus-sendto-extension/Makefile.am
D	po/.gitignore
D	src/.gitignore
M	src/Makefile.am
M	test/Makefile.am

commit b5d1b84eb391248820363a94265b3a04ec57845b
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-09-17

    Paint the used space on top of the others

    Looks better to have those strokes be on top.

    https://bugzilla.gnome.org/show_bug.cgi?id=559311

M	src/nautilus-properties-window.c

commit 26571124c724d996cfa5c7719dc36e1b72223100
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-09-17

    Use jimmac approved colors

    https://bugzilla.gnome.org/show_bug.cgi?id=559311

M	src/nautilus-properties-window.c

commit 04350446a2c82bb034fc61ec52a9d3882c058a7d
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-09-17

    Balance the alignment of the legend

    https://bugzilla.gnome.org/show_bug.cgi?id=559311

M	src/nautilus-properties-window.c

commit e0e069f8495087f3094d0fdfd02b4029374c24bf
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-09-17

    Display reported used space when available

    https://bugzilla.gnome.org/show_bug.cgi?id=559311

M	src/nautilus-properties-window.c

commit 8e7476e20cb27fb012e1de5c4b7cc2d316a71b7b
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2012-09-17

    Updated Hungarian translation

M	po/hu.po

commit 2ca11e39bca9403265c9cf05f2c94ca5366adc0f
Author: Chris Leonard <cjl@laptop.org>
Date:	2012-09-17

    Updated British English translation

M	po/en_GB.po

commit 0b32ec080ef10c998a7787929b0f2219bc79b2bc
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2012-09-17

    Updated Arabic translation

M	po/ar.po

commit 808820296a3ca1125090b2ad25335a7735166893
Author: Ani Peter <apeter@redhat.com>
Date:	2012-09-17

    Updated Malayalam file

M	po/ml.po

commit f3d2019962f3f76107b3ad31cfc2f94c58d5eb3e
Author: Ani Peter <apeter@redhat.com>
Date:	2012-09-17

    Updated Malayalam file

M	po/ml.po

commit 1594c2b03e98d59dfb8dcd4a62fd56ff2f6025aa
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-17

    view: preserve selection when going out of search

    Forward the current selection when we go back from a search
    directory to
    its base location. This helps identifying the search results if some
    were pre-selected before leaving the search.

    https://bugzilla.gnome.org/show_bug.cgi?id=680849

M	src/nautilus-view.c
M	src/nautilus-window-manage-views.c

commit 15be7f1f433fe08a05df050b422f72d27e24c42c
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-17

    slot: simplify new search directory creation

    There's no need to first open the location and then set the query, as
    that causes another reload we can avoid.

M	src/nautilus-window-slot.c

commit 7eac61a5b9051a48f6b3ac13cf2fd0f161701163
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-17

    window: open detached tab windows at mouse position

    Instead of using the default WM window position, since it's a DnD
    operation.

M	src/nautilus-window.c

commit 6b3e193cf1c35e950e2728d783dac552be295def
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-09-17

    Use the detailed type description in the properties dialog

    Instead of the type category.

M	src/nautilus-properties-window.c

commit 4daa5ef02fdbaa43b5ecdb445bf16ffba6699230
Author: Christian Neumair <cneumair@gnome.org>
Date:	2012-09-15

    Improve list view dropping for crowded folders

    "If ... you have opened a big directory with many directories you are
    not able any more to drag for example a file from the desktop
    into this
    directory ... ."

    Make Nautilus only accept the drop path if you're directly above it
    with the mouse.

    http://bugzilla.gnome.org/show_bug.cgi?id=310819

M	libnautilus-private/nautilus-tree-view-drag-dest.c

commit 87ff2e7f5a60496b856ac194f59f202793ab0152
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:	2012-09-17

    Assamese translation updated

M	po/as.po

commit dda81eda2f197e157b9a03af539ae35692e6ddd3
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-09-17

    Make clear icon active when there is any text in uri entry

M	src/nautilus-connect-server-dialog.c

commit d0fbf0d791e9bee266021d8b7a107ab581c39d18
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-09-17

    Don't print an example when there are no valid schemas

    https://bugzilla.gnome.org/show_bug.cgi?id=684217

M	src/nautilus-connect-server-dialog.c

commit c61efd3ffeb801c87b84ffde9ba503a9797818e3
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-17

    file: don't try to save undo information for failed actions

    This fixes a crasher when creating a folder with the same name of an
    existing one.

    https://bugzilla.gnome.org/show_bug.cgi?id=684147

M	libnautilus-private/nautilus-file.c

commit ec16bfbd79f6fc966162ca2733c2f27d2d455406
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-17

    file: don't leak a NautilusFileUndoInfo

    nautilus_file_undo_manager_set_action() takes a ref to the undo info
    object, so we are leaking an extra reference.

M	libnautilus-private/nautilus-file.c

commit b305f90fb11dcb89a1132743c73416c4cad021ef
Author: Sweta Kothari <swkothar@redhat.com>
Date:	2012-09-17

    Updated gujarati file

M	po/gu.po

commit 07f0eab4abcb17657128b3b9ce8001171d6acd58
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2012-09-17

    Updated Slovenian translation

M	po/sl.po

commit f891cf0636b4788941b6ff11a78ce45aa40447d1
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2012-09-17

    Updated Slovenian translation

M	po/sl.po

commit dbfeea7673300e8c8451ab2cfeb9b24ede420f56
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2012-09-17

    Updated Slovenian translation

M	po/sl.po

commit 8389fcc8bef16a40137f455e158b919374759035
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2012-09-16

    Updated Lithuanian translation

M	po/lt.po

commit 050f9992a1d85504b5e49f18fcd42ad3d35b5260
Author: Seong-ho Cho <darkcircle.0426@gmail.com>
Date:	2012-09-17

    Updated Korean translation

M	po/ko.po

commit c0ecf963b26b4cf88d6e9fa1023138cb6c960187
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-16

    build: bump GLib requirement

    For g_content_type_get_generic_icon_name().

    https://bugzilla.gnome.org/show_bug.cgi?id=684149

M	configure.in

commit 34c8a8899f49673f46de898b2097182073baa481
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	2012-09-16

    Update French translation

M	po/fr.po

commit b5d5e6b1b16cdbd50069f0b085c93a5d6e377492
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-09-16

    Updated Spanish translation

M	po/es.po

commit e0ca9fbec5874f0aa69c4d3d12535c76b003ec46
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:	2012-09-16

    Updated Danish translation

M	po/da.po

commit 3a0680c9646108bf2e7744221c8c3d12fe812b46
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:	2012-09-15

    Updated Portuguese translation

M	po/pt.po

commit 50fc03d11d5f3084f0d5c377ea7eaabce408c863
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-09-15

    Fix translation of type column

    http://www.gnu.org/software/gettext/manual/gettext.html#Special-cases

    https://bugzilla.gnome.org/show_bug.cgi?id=683722

M	libnautilus-private/nautilus-file.c

commit 67b020cdfda72c468a4097986a580ab410cde8b1
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:	2012-09-15

    Updated Russian translation

M	po/ru.po

commit f72af96295d0e4c53d61b2ed781ff97ca04fa2be
Author: Andika Triwidada <andika@gmail.com>
Date:	2012-09-15

    Updated Indonesian translation

M	po/id.po

commit a2d4cdb0d7ab31547de1f2855c35af07e25d8936
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2012-09-15

    Updated Greek translation

M	po/el.po

commit f7bd77ee3dc417b2939fbad83eaab882a3153024
Author: Seong-ho Cho <darkcircle.0426@gmail.com>
Date:	2012-09-15

    Updated Korean translation

M	po/ko.po

commit 11471380176492ab54d373dec8ed41d8e2e9cd37
Author: Cheng Lu <chenglu1990@gmail dot com>
Date:	2012-09-15

    update Simplified Chinese (zh_CN) translation

M	po/zh_CN.po

commit 4739f040098fe9c4b30b0e0c504b6c2ef33de71c
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2012-09-15

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 4cb5d63babba6f8996c193f59c549ee34c2308c5
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-09-15

    Updated Galician translations

M	po/gl.po

commit 0a93df0238a7db64ae68497e8209164fef5a1d98
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-09-15

    Updated Polish translation

M	po/pl.po

commit a530d6f71fe285ebf2b2a0af4eb53829a6b6d8e4
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-09-10

    Only show basic type information in type column by default

    https://bugzilla.gnome.org/show_bug.cgi?id=683722

M	libnautilus-private/nautilus-file.c

commit 0472be1d71bbdc521b87fd5d57fc5651393dd5ee
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-14

    search-provider: also return bookmarks and mounts

    Since the hardcoded provider in the Shell is going away.

M	src/Makefile.am
M	src/nautilus-shell-search-provider.c

commit fc0b4b1ef598c893d69754e3455c99230b9c5a24
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-14

    bookmark-list: add API to get a NautilusBookmark for a given URI

    This will be used by the shell search provider.

M	src/nautilus-bookmark-list.c
M	src/nautilus-bookmark-list.h

commit 0ed400b9c1692e42498bff3c10780073ec137f63
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-14

    bookmark: add API to get a symbolic icon for a NautilusBookmark

    Instead of always returning a symbolic icon, split the API into
    get_icon() and get_symbolic_icon(), like we now do in GIO.

M	libnautilus-private/nautilus-bookmark.c
M	libnautilus-private/nautilus-bookmark.h
M	libnautilus-private/nautilus-icon-names.h
M	src/nautilus-bookmarks-window.c
M	src/nautilus-places-sidebar.c

commit 7aad4a33814e6e7fae5e762882db43452a575a83
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-14

    bookmark: remove unused GIcon argument to nautilus_bookmark_new()

    We always pass NULL these days.

M	libnautilus-private/nautilus-bookmark.c
M	libnautilus-private/nautilus-bookmark.h
M	src/nautilus-bookmark-list.c
M	src/nautilus-bookmarks-window.c
M	src/nautilus-places-sidebar.c
M	src/nautilus-window-manage-views.c

commit 75e219ebfdd3e32e9e421fe1a11b7f946693787e
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-14

    search-hit: guard against g_filename_from_uri() return NULL

M	libnautilus-private/nautilus-search-hit.c

commit 791b256e0a1f7c03416dda2415ec4e8a07413ef8
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:	2012-09-14

    Updated Thai translation.

M	po/th.po

commit 94704641a78bafae218a11675a0b05fab1f1a922
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2012-09-14

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit b6b2ad75328317a6b18e5c070b85ed4d82535984
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:	2012-09-14

    Updated Thai translation.

M	po/th.po

commit 41d2230d6fd57fa73de0adb75123c077fe5cb995
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-13

    file-operations: use the local (FUSE) path for remote symlinks

    Instead of the path relative to the remote machine, in case the
    destination of the link is native.

    https://bugzilla.gnome.org/show_bug.cgi?id=148330

M	libnautilus-private/nautilus-file-operations.c

commit b1866a1f35c04363a14cac421c524cb4a2821597
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-09-14

    Updated Galician translations

M	po/gl.po

commit 4895033c00e37fe2d82a25ab987fc84ccd4786ff
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2012-09-13

    Updated Greek translation

M	po/el.po

commit ecf714c0bc6e340fa2eb199da7a13e138a8548ec
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2012-09-13

    Updated Lithuanian translation

M	po/lt.po

commit a036e9465d248b76fe74275eee8ba02dd3612bfd
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:	2012-09-13

    Assamese translation updated

M	po/as.po

commit 10fb7a93b6835ae5313b92e0a82ecc99f8480e0f
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-09-13

    Updated Polish translation

M	po/pl.po

commit 245c1484e7f1489899fdff50f016b520706a1f6b
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-09-10

    Quote the use of file type descriptions in error messages

    So that we don't have things like:
    "There is no application installed for backup file files."

    https://bugzilla.gnome.org/show_bug.cgi?id=683752

M	src/nautilus-mime-actions.c

commit 8508225212ba04964fdd39c50d4f5ff5c01f03c5
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:	2012-09-13

    Updated Marathi Translations

M	po/mr.po

commit f049ddf8e8750cf4530ce5c7f53596a220fb3349
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2012-09-13

    Updated Greek translation

M	po/el.po

commit ea65036da3909c5e71fed15f56507d96d2456714
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	2012-09-12

    Update French translation

M	po/fr.po

commit f83d19ac913964240515338e8858977cf6632157
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2012-09-12

    Don't verify symlinked target for I/O operations

    Nautilus verifies the destination for free space, read-only ability
    and such. This however doesn't work for symlink pointing to a
    directory.

    Internally (in gio) we call statfs() but that actually stats the
    fs the
    symlink is on, instead of the place symlink is pointing to. This
    appears
    to be a limitation of POSIX statfs().

    To work around this limitation, let's disable these extra checks when
    destination is a folder and symlinked.

    The bug manifestation are false error messages preventing to create
    a file
    or directory when parent fs is read-only but contains a symlink to
    rw fs
    which is the desired destination.

    https://bugzilla.redhat.com/show_bug.cgi?id=844713

M	libnautilus-private/nautilus-file-operations.c

commit 438688b47dcbbcfa9d257986c973c3ffd0e3b5be
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2012-09-12

    Updated Slovenian translation

M	po/sl.po

commit 7f1f1a5216413612d98c4ddcefb596f41a4d9af2
Author: A S Alam <aalam@users.sf.net>
Date:	2012-09-12

    update Punjabi Translation

M	po/pa.po

commit a755aa27c636561a1ab41066484cf9bcc97667f9
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-09-10

    Fix leaks

    https://bugzilla.gnome.org/show_bug.cgi?id=683769

M	src/nautilus-places-sidebar.c

commit 4d66b2cfe1caba2dcb86d933e1f81f7ecec22241
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-09-10

    Fix gfile leak

    https://bugzilla.gnome.org/show_bug.cgi?id=683769

M	src/nautilus-bookmark-list.c

commit e4689e48139bf34bee0609a19a9ff9a808d701f2
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-09-10

    Fix string leak

    https://bugzilla.gnome.org/show_bug.cgi?id=683769

M	libnautilus-private/nautilus-file-utilities.c

commit d6c774e9bce26d46093aac2caabf71ae559d2408
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-09-10

    Fix file leak

    https://bugzilla.gnome.org/show_bug.cgi?id=683769

M	src/nautilus-pathbar.c

commit 9480b1b0f1d858b637f7f578b91a96e03a28c4c1
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-09-10

    Remove obsolete app icons

M	configure.in
M	data/Makefile.am
D	data/icons/Makefile.am
D	data/icons/hicolor_apps_16x16_nautilus.png
D	data/icons/hicolor_apps_16x16_nautilus.svg
D	data/icons/hicolor_apps_22x22_nautilus.png
D	data/icons/hicolor_apps_22x22_nautilus.svg
D	data/icons/hicolor_apps_24x24_nautilus.png
D	data/icons/hicolor_apps_32x32_nautilus.png
D	data/icons/hicolor_apps_32x32_nautilus.svg
D	data/icons/hicolor_apps_scalable_nautilus.svg
D	data/icons/hicolor_emblems_16x16_emblem-note.png
D	data/icons/hicolor_emblems_24x24_emblem-note.png
D	data/icons/hicolor_emblems_48x48_emblem-note.png

commit 095710a9371af7d35e5462c1cbdbb159329e9aa8
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:	2012-09-11

    Assamese translation updated

M	po/as.po

commit ce7ee65fcd481ba9351343118972d186d9f7af4e
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-09-11

    Updated POTFILES.in

M	po/POTFILES.in

commit ebc4f5219b82f7560598d38a851dd1948c466b62
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:	2012-09-11

    Updated Portuguese translation

M	po/pt.po

commit 3c574442458dfa0ef851b22f0b2dc1452057124b
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-09-10

    Remove some unused code

M	src/nautilus-list-view.c

commit f521eed055a1d224ab6b5df77deb28c59026ebb3
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-09-10

    Updated Spanish translation

M	po/es.po

commit 90f475c4dfe6136e7e4b5d769993ed971e3996c6
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-09-10

    Don't offer to show selinux context in a column by default

    This field is cryptic, far too wide for the view, already displayed
    in the properties dialog, is available through other means, and is
    an implementation detail that isn't settable by users.

M	libnautilus-private/nautilus-column-utilities.c

commit 0b79e439855aedfc078bb8803f6b1764d5686ec1
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-09-09

    Only show the spinner if the deep count take longer than a second.

    This avoids flashing it on and off when it isn't needed.

    https://bugzilla.gnome.org/show_bug.cgi?id=78789

M	src/nautilus-properties-window.c

commit 5a00dae48562991f6c2d6d2b9b23a2fc71922db6
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-09-07

    Add a spinner when computing the contents of folders

    In the process fix a problem where we were cycling in the
    callbacks from file "changed" and "updated_deep_count_in_progress".

    https://bugzilla.gnome.org/show_bug.cgi?id=78789

M	src/nautilus-properties-window.c

commit cbcb055eb2867c2b69cf2f8f504983ce4d715410
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-09-07

    Add an icon to the location entry and drop use of location bar

    https://bugzilla.gnome.org/show_bug.cgi?id=683598

M	src/Makefile.am
M	src/nautilus-application.c
D	src/nautilus-location-bar.c
D	src/nautilus-location-bar.h
M	src/nautilus-location-entry.c
M	src/nautilus-location-entry.h
M	src/nautilus-toolbar.c
M	src/nautilus-toolbar.h
M	src/nautilus-window-manage-views.c
M	src/nautilus-window.c
M	src/nautilus-window.h

commit 335c6cd836c2d5644ecdc35d9c1ede360dd4c140
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-09-10

    Updated Polish translation

M	po/pl.po

commit 4cf5bf4f29c17b6478ce6c96934b53ba12c65dc4
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-09-10

    Updated Galician translations

M	po/gl.po

commit f9f0fd2c14e64abea862b824b0db22ad558c5a29
Author: Andika Triwidada <andika@gmail.com>
Date:	2012-09-10

    Updated Indonesian translation

M	po/id.po

commit e495c62442c3e3bbc24eb10b8d0d5198239639ac
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-10

    application: mark two user-visible error strings for translation

    Even if these strings are only displayed on the console, they're user
    visible errors, so they should be marked as translations as the
    others.
    This is more visible since they're composed by a part which is
    translated, resulting in possibly half-translated strings, such as
    reported in

    https://bugzilla.gnome.org/show_bug.cgi?id=666006

M	src/nautilus-application.c

commit ce6b6ef83859e62147a4e047e5e6394c053fb282
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-06

    canvas-view: make sure to sort by relevance and select first item

    We also need to add a corresponding action/menu item, which is visible
    only when we're in a search directory.

    https://bugzilla.gnome.org/show_bug.cgi?id=681758

M	libnautilus-private/nautilus-canvas-container.c
M	src/nautilus-actions.h
M	src/nautilus-canvas-view-ui.xml
M	src/nautilus-canvas-view.c

commit 1adea0140b2bbbce25915a23cb0718aa814e8c2b
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:	2012-09-09

    [l10n] Updated German translation

M	po/de.po

commit 22c1a9084cc729ad385c0974ca23eddf4fcfed47
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2012-09-08

    Updated Belarusian translation.

M	po/be.po

commit 8ac99ca507c6949203f8089ba1d11c53c272a833
Author: Federico Mena Quintero <federico@gnome.org>
Date:	2012-09-07

    places-sidebar: remove the last, unused bits of libnotify

    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

M	src/nautilus-places-sidebar.c

commit 0787d5df442b8b366b7d5a0ab3b2f6149e6f18bb
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2012-09-07

    Updated Lithuanian translation

M	po/lt.po

commit 929e297b8247e403f14a7f05f649dff25c5032a1
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2012-09-07

    Updated Hebrew translation.

M	po/he.po

commit 30e8934b384804ff8ca2f076c826df42e021f7f6
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2012-09-07

    Updated Hebrew translation.

M	po/he.po

commit 0a9791393c61990aa2490af8a0d3adaba3dba233
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:	2012-09-07

    Updated Thai translation.

M	po/th.po

commit 8ee1679c969b20f8e74969397e1fc27a3f8b47bb
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-06

    canvas-view: more actions cleanups

M	src/nautilus-canvas-view-ui.xml
M	src/nautilus-canvas-view.c
M	src/nautilus-desktop-canvas-view-ui.xml

commit 99383a5baf52fc6a978db63f17d7b96f20c9a2ec
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-06

    canvas-view: move Stretch and Unstretch actions to the desktop view

M	src/nautilus-canvas-view-ui.xml
M	src/nautilus-canvas-view.c
M	src/nautilus-desktop-canvas-view-ui.xml
M	src/nautilus-desktop-canvas-view.c

commit 5075f0f52bb0ff7eda12e43b15563d4bb4eb1280
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-06

    canvas-view: move Clean Up action to the desktop

    Since that's the only place where it's used.

M	src/nautilus-canvas-view-ui.xml
M	src/nautilus-canvas-view.c
M	src/nautilus-canvas-view.h
M	src/nautilus-desktop-canvas-view.c

commit f9e731285590283d80a975c7756b7f4afda178e7
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-06

    search-engine: minor cleanup

M	libnautilus-private/nautilus-search-engine.c

commit 4660913a17c5c8b1f19eddd7814681c59c3433c2
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2012-09-06

    Updated Slovenian translation

M	po/sl.po

commit 841c043ce47c801747bc575363d3ceb7aeaba230
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-06

    engine: make the model and simple engines mutually exclusive

    Until we can enable recursive search for the simple engine, it only
    makes sense to use it when we don't have any cached model to
    fetch data
    from, as otherwise it will return the same results.

M	libnautilus-private/nautilus-search-engine.c

commit 5675e90b61615f21f88f67b4effeeceff6fc556f
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-06

    query-editor: no need to emit changed twice when location is toggled

    Since the location buttons are two and mutually exclusive, it doesn't
    make sense to emit this signal twice, potentially triggering and then
    immediately cancelling a search operation.

M	src/nautilus-query-editor.c

commit 204e273aea6b633e258ea26991a28dcf1247f1c0
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-06

    search-directory: make the query a GObject property

    Now that the search directory supports those.

M	libnautilus-private/nautilus-search-directory.c

commit 64f8be2d739cf6d8a65f1945d467af215176ee60
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-06

    Pass the current directory model down to the search engine

    Before the view removes the directory monitor, causing caches to be
    dropped; the search directory installs its own monitor before
    passing it
    down to the engine.

M	libnautilus-private/nautilus-search-directory.c
M	libnautilus-private/nautilus-search-directory.h
M	libnautilus-private/nautilus-search-engine-model.c
M	libnautilus-private/nautilus-search-engine-model.h
M	libnautilus-private/nautilus-search-engine.c
M	libnautilus-private/nautilus-search-engine.h
M	src/nautilus-view.c

commit 7d243639ae0b18aed67b73cbb4a531f5ad99ee4d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-05

    Rework the search directory model

M	libnautilus-private/nautilus-search-engine-model.c

commit 3d046cfc17bb36e65a322e53d263fe8bcdc2762c
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-09-05

    Add an experimental search provider that pulls from the directory
    model

M	libnautilus-private/Makefile.am
A	libnautilus-private/nautilus-search-engine-model.c
A	libnautilus-private/nautilus-search-engine-model.h
M	libnautilus-private/nautilus-search-engine.c

commit 6039b1b9493be8597743b01953ddb3ac8aa9db66
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-06

    shell-provider: forgotten file

A	data/shell-search-provider-dbus-interfaces.xml

commit dc626a653496c397b325c06a9358b847cfef56d6
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-06

    search-engine: hold a ref while emitting completion signals

    Since the clients might decide to drop the last reference to the
    engine
    in the signal callback.

M	libnautilus-private/nautilus-search-engine.c

commit 865b533f8ce3343db183790529ffda7aeb1e76c7
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-06

    shell-provider: implement caching for GVariant metas

    Based on a patch by Florian Müllner <fmuellner@gnome.org>

M	src/nautilus-shell-search-provider.c

commit 320317dc38acaa9bc407975059df29b886dc1e94
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-05

    shell-provider: implement search provider methods

    Wire the methods with an implementation that uses NautilusSearchEngine
    to get results.

M	src/nautilus-shell-search-provider.c

commit 8e491b6492e4cc0e608faab35c865fd5fd98a416
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-05

    shell-provider: add a first skeleton of the shell search provider

    It's not wired in yet.

M	data/Makefile.am
A	data/nautilus-search-provider.ini
A	data/org.gnome.Nautilus.SearchProvider.service.in
M	src/Makefile.am
A	src/nautilus-shell-search-provider.c

commit c68654c1a018faf5e55dee71c45617cd8e248855
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-05

    file: add API to get the thumbnail path

M	libnautilus-private/nautilus-file.c
M	libnautilus-private/nautilus-file.h

commit 41714d98775b60fbf5ef48e2addd6e1a07a7a878
Author: Florian Müllner <fmuellner@gnome.org>
Date:	2012-09-06

    search-engine: Reset duplicates cache when search finishes

    Fixing the handling of duplicated search results in commit 7f04862
    exposed a different bug: as the duplicates cache is never reset,
    previously matched results are ignored in subsequent searches (e.g.
    when adding/removing characters to the search terms that should not
    change the result set).

    https://bugzilla.gnome.org/show_bug.cgi?id=683495

M	libnautilus-private/nautilus-search-engine.c

commit 11b05d9a53d78008538c3ad85fe2ae59b0903ebf
Author: Florian Müllner <fmuellner@gnome.org>
Date:	2012-09-01

    search-engine-tracker: Fix query when no location is specified

    Although the location_uri is optional for queries, the generated
    sparql query is invalid if it is missing; fix by moving the
    concatenation operator into the optional part.

    https://bugzilla.gnome.org/show_bug.cgi?id=683480

M	libnautilus-private/nautilus-search-engine-tracker.c

commit 6bc1097b4db72d1247e2eaf56d8b40280ff29a9d
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2012-09-06

    Updated Hungarian translation

M	po/hu.po

commit 8a3161b160eb367dd964f2f3a761c5a90fd7c723
Author: Timo Jyrinki <timo@debian.org>
Date:	2012-09-06

    Finnish translation update by Jiri Grönroos

M	po/fi.po

commit 7f04862303d757e0f54f23b91d4b3775d24c6d72
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-05

    search-engine: fix wrong logic for avoiding duplicates

    count++ first returns count and then increments it, where we want the
    opposite.
    This fixes the warnings like
    WARNING **: file already in tree (parent_ptr: (nil))!!!

M	libnautilus-private/nautilus-search-engine.c

commit 9c49ca5c6ec7a00de9a133a91a8b007f0b24cdc9
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-05

    search-engine-tracker: batch hits when calling hits-added

    Set a maximum batch size and batch results when they're less than
    that.
    This should make search faster.

M	libnautilus-private/nautilus-search-engine-tracker.c

commit eccc2046979be5a8073376f4611e0aa7ca89bc4a
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-09-05

    Search requires that a reload be forced despite a load in effect

    Add api to preempt the current load and force a reload.

M	src/nautilus-view.c
M	src/nautilus-window-manage-views.c
M	src/nautilus-window-menus.c
M	src/nautilus-window-slot.c
M	src/nautilus-window-slot.h

commit 6558f0e435048cb0b05d2423e3cab9d2a99c600d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-05

    search-engine-simple: keep a reference to self in the thread data

    Since we could have been unreffed when the flow reaches
    search_thread_done_idle().

M	libnautilus-private/nautilus-search-engine-simple.c

commit aca98308fbc1f1d0e95324c7506cadab000d47ff
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-05

    query: cleanup unused declaration

M	libnautilus-private/nautilus-query.h

commit 9546a1676fe84cfc446dcb79034fca4c43c57b67
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-09-05

    Don't try to change the view buttons to the old view while loading

    The code tries to sync up the view type buttons while the new
    view is loading but the code tries to sync the buttons up with
    the last view instead of the pending view. I think it is just
    better to skip the operation while the view is loading.

    https://bugzilla.gnome.org/show_bug.cgi?id=682174

M	src/nautilus-window.c

commit 32a5fc7c444c0dd17486aadb4c814909931a4730
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-09-05

    Always show the name column because we're worthless without it

    https://bugzilla.gnome.org/show_bug.cgi?id=683439

M	libnautilus-private/nautilus-column-chooser.c
M	src/nautilus-list-view.c

commit 185dad3c3ace1e6f11897b5e7c11d083a378785b
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-09-04

    Don't crash if we can't load column preferences

    https://bugzilla.gnome.org/show_bug.cgi?id=662131

M	libnautilus-private/nautilus-column-utilities.c
M	src/nautilus-list-view.c

commit 3416a818372aab6ad81c8b7ee3467802bc04c028
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-05

    sendto-extension: fix curly quotes regression

    We shouldn't use curly quotes when launching a command line.

M	nautilus-sendto-extension/nautilus-nste.c

commit 8d821adf2daca22e380c55e20568de2fa664916f
Author: Dirgita <dirgitadevina@yahoo.co.id>
Date:	2012-09-05

    Updated Indonesian translation

M	po/id.po

commit 4b6abf644bef98e7bea76889eac4c8520a7ec86c
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-09-05

    Act on sidebar items on button release not button down

    This allows one to change your mind and is consistent with other
    actions.

    https://bugzilla.gnome.org/show_bug.cgi?id=542653

M	src/nautilus-places-sidebar.c

commit 86d3cbc96fcdb6034b6fceb82685bb5321276ee1
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-09-05

    Don't reload while a reload is ongoing

    This prevents the pending selection from getting stepped on by
    another reload request.

    https://bugzilla.gnome.org/show_bug.cgi?id=608831

M	src/nautilus-window-manage-views.c

commit 2ddd6ce205d9976629af73de4f0ac81464da176e
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-09-05

    Make tab change action consistent with GTK's

    https://bugzilla.gnome.org/show_bug.cgi?id=654700

M	src/nautilus-notebook.c
M	src/nautilus-notebook.h
M	src/nautilus-window-menus.c

commit 2b84599db25e6e4fd930a5b3b485dc0bb8406ef7
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-09-04

    Don't add duplicate xdg dirs to the places sidebar

    https://bugzilla.gnome.org/show_bug.cgi?id=662256

M	src/nautilus-places-sidebar.c

commit 5b5490a78ae12d52b0fc25654e395dfbbbb9657a
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2012-09-05

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit bd306dea75024d90f76f4905e675335ceeadc5ee
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2012-09-05

    Updated Norwegian bokmål translation

M	po/nb.po

commit d5af4e68e9efb34f6e952c11abce0704d4370404
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2012-09-05

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit e8ccb07bc33d782af0ee1836b54620b1ed59dea2
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2012-09-05

    Updated Arabic translation

M	po/ar.po

commit af32360779a76e456beb49327c95b405abe5a92e
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-09-04

    Updated Galician translations

M	po/gl.po

commit ffdd9fdb189a2e4216d7b09482545c7864f99010
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-09-04

    Updated Galician translations

M	po/gl.po

commit deebf2842f9ac0ef10db42c77685dc7ed0245484
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	2012-09-04

    uk update

M	po/uk.po

commit ee6a8bc98c06a9940f17aa71c77003ebdc0e18ff (tag: 3.5.91)
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-04

    release: prepare for 3.5.91

M	NEWS
M	configure.in

commit 3ae2baac4384aee09ca7fc9985cf568960484e6c
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-04

    build: fix POTFILES.skip

M	po/POTFILES.skip

commit fa1c1aaa70cfe3cea9c10626f9f9c36475fc8ae6
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-04

    file: adjust test to current naming scheme

    This is needed after 874f69f244ba397925fe71f9500ac21bed761bb0

M	libnautilus-private/nautilus-file.c

commit 098cd14197364d6d6b9665f9d65b78214a001d3c
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-09-04

    directory: check for a non-empty hostname too

    In addition to checking for hostname != NULL, also check that it's not
    empty before using it for the file name.

M	libnautilus-private/nautilus-directory.c

commit ea13fb73ed2b177d7b00d47a7df25a31e3fb6278
Author: Sam Thursfield <sam.thursfield@codethink.co.uk>
Date:	2012-09-04

    configure: Fix help text for --enable-libexif

    https://bugzilla.gnome.org/show_bug.cgi?id=683321

M	configure.in

commit f7513252d7221d5aa6854ccfc89a9b349a5bf5c2
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-09-03

    Updated Polish translation

M	po/pl.po

commit acfd4876d9b123bb0d7a787c1256b3dfb8872aba
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-09-03

    Updated Spanish translation

M	po/es.po

commit 5e7e8aa293e91663592ae55ca6e30fb6a148e69f
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2012-09-03

    Updated Greek translation

M	po/el.po

commit 6367b51988c819a38e49341d47802890ddd21991
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:	2012-09-03

    Updated Russian translation

M	po/ru.po

commit ddf56f8c4d723dc800867a1cbe7fc85cadbd4fc2
Author: A S Alam <aalam@users.sf.net>
Date:	2012-09-03

    update Punjabi Translation

M	po/pa.po

commit 40e83bbb149903aee3491b2c12206a4cd49aac83
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-09-03

    Updated POTFILES.in

M	po/POTFILES.in

commit 9cecb29d60afb3627946f109bf25641cbf99bdc0
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-27

    Don't show the browse button for the connect to server standalone

    https://bugzilla.gnome.org/show_bug.cgi?id=682637

M	src/nautilus-connect-server-dialog.c
M	src/nautilus-connect-server-dialog.h
M	src/nautilus-connect-server.c

commit cbca1bfa97264b1bcaf0fab3bd51dd3fe1bc2e51
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-27

    Add back a legacy nautilus-connect-server command

    In order to ease the transition.

    https://bugzilla.gnome.org/show_bug.cgi?id=682637

M	configure.in
M	data/Makefile.am
A	data/nautilus-connect-server.desktop.in.in
M	src/Makefile.am
A	src/nautilus-connect-server.c

commit 95d42ea01f7f9c60210b415554e7bbf6f4e1b334
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-09-02

    New design for the connect to server dialog

    https://bugzilla.gnome.org/show_bug.cgi?id=682637

M	src/Makefile.am
M	src/nautilus-application.c
D	src/nautilus-connect-server-dialog-main.c
D	src/nautilus-connect-server-dialog-nonmain.c
M	src/nautilus-connect-server-dialog.c
M	src/nautilus-connect-server-dialog.h
D	src/nautilus-connect-server-operation.c
D	src/nautilus-connect-server-operation.h

commit 2562f8a800165c55dd30298282602f9feeb96a61
Author: A S Alam <aalam@users.sf.net>
Date:	2012-09-02

    update Punjabi Translation

M	po/pa.po

commit ca32259d1b5d1fc2d4bf0c4922963fae93b97685
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2012-09-01

    Updated Lithuanian translation

M	po/lt.po

commit 89ce6d517ad28f1d6931365b7575d816960fe198
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:	2012-09-01

    updated Tamil translation

M	po/ta.po

commit 204f0e6701d0295d86d10e066ed0c9770804c546
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2012-09-01

    Updated Vietnamese translation

M	po/vi.po

commit 8d2f55dc3baca3db1306715fc1768ee9d607ecfd
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2012-09-01

    po/vi: import from Damned Lies

M	po/vi.po

commit 4e9c1b9dce05a216d40698a3787b422f6d523173
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-31

    window: convert binding set keybindings into proper actions

    Or reuse already existing actions. Cleans up NautilusWindow a bit.

M	src/nautilus-shell-ui.xml
M	src/nautilus-window-menus.c
M	src/nautilus-window-private.h
M	src/nautilus-window.c
M	src/nautilus-window.h

commit 215f9cff6846297788dc81fdb563988f38ec8ff5
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-31

    view: don't connect to NautilusWindow signals

    Since the window of the slot can change, we don't want to connect
    signals from the view to the window.

    We only connect to NautilusWindow signals for two reasons:
    - updating the shadow type of the content view when the number of tabs
      in the notebook changes
    - following the hidden-files-changed signal

    Since the first is really a hack, it can live in NautilusWindow itself
    To implement the second, move the Show Hidden Files action to the view
    action group, and handle hidden files action changes completely in the
    view.

M	src/nautilus-view.c
M	src/nautilus-view.h
M	src/nautilus-window-menus.c
M	src/nautilus-window-private.h
M	src/nautilus-window.c
M	src/nautilus-window.h

commit 0de1d3fe1099f7221c846bdbdaec90be29644c88
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-31

    notebook: make tabs detachable

    Implement support for detaching a tab with DnD.

    https://bugzilla.gnome.org/show_bug.cgi?id=562583

M	src/nautilus-notebook.c
M	src/nautilus-window.c

commit 2b62d950b0b85277c126a91447942aafd8f159bf
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-31

    window: make notebook-removal in close_slot() optional

    In preparation for the next commit.

M	src/nautilus-window.c

commit 109d00336b4c7f10d7d359924c180d49406bbd0c
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-31

    window: remove redundant code

    We already do this check in NautilusNotebook's remove implementation.

M	src/nautilus-window.c

commit 1f9a07a1c3eb67cf8cec53492361994c84c641d9
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-31

    window-slot: allow setting the window after construction

    Turn the window construct-only property into a construct property, and
    add a setter method.

M	src/nautilus-window-manage-views.c
M	src/nautilus-window-slot.c
M	src/nautilus-window-slot.h

commit f56098a6d2cc9531cfa116405783b275d2ab618a
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-31

    application: remove unused defines

M	src/nautilus-application.h

commit 34d087390cd22e50a878be277584d84f6a849324
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-31

    slot: remove unused method

    This method was used to make the window panes active on focus
    click, but
    it's not needed anymore.

M	src/nautilus-canvas-view.c
M	src/nautilus-list-view.c
M	src/nautilus-window-slot.c
M	src/nautilus-window-slot.h

commit 7643a28eb104bf66c511633bd1662d546f8d7bf7
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-31

    pathbar: clear buttons directly when file is gone

    Instead of having the code in nautilus-window-manage-views clear the
    pathbar, since it receives the same signal, handle it internally. This
    should make code more robust.

M	src/nautilus-pathbar.c
M	src/nautilus-pathbar.h
M	src/nautilus-window-manage-views.c

commit 0a4aa51224790c275cf123a45a78d6afcb790fd2
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-31

    view: do not store a pointer to NautilusWindow

    Instead, use nautilus_view_get_ui_manager() and
    nautilus_view_get_window(), and turn the checks on window != NULL to
    slot != NULL.
    This is needed in preparation for detachable tabs; since the
    window for
    a given slot might change underway then, avoid staying out of sync by
    not storing a pointer to the window.

M	src/nautilus-view.c
M	src/nautilus-view.h

commit 36fb4cb670e1b3e4b637087fb7d600e131cc099d
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:	2012-09-01

    Updated British English translation

M	po/en_GB.po

commit 6055e145117fbb7962fc7d556fcbd1c0c3e96e2d
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-09-01

    Updated Galician translations

M	po/gl.po

commit 621bc5e4e7dd97e0ce43c0dacd313a16a33ced64
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2012-09-01

    Updated Arabic translation

M	po/ar.po

commit 0852847e2613dbcebb4ed7f58e5b2aee3aa86a90
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-31

    Don't try to close the window when a mount goes away

    Go to home instead.

    https://bugzilla.gnome.org/show_bug.cgi?id=666985

M	libnautilus-private/nautilus-file-utilities.c
M	libnautilus-private/nautilus-file-utilities.h
M	libnautilus-private/nautilus-monitor.c
M	src/nautilus-application.c
M	src/nautilus-pathbar.c
M	src/nautilus-window-manage-views.c
M	src/nautilus-window-slot.c
M	src/nautilus-window-slot.h

commit c8b27b3b8b815a993b1536336cdbc5d1089f2e7c
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-31

    Add paste and location properties to the gear menu

    So that we have everything there that we used to have in the
    now harder to get to "background" menu.

    https://bugzilla.gnome.org/show_bug.cgi?id=667386

M	src/nautilus-directory-view-ui.xml
M	src/nautilus-shell-ui.xml
M	src/nautilus-window-menus.c

commit 88f9c3cc46fd54b5b9aa9234a55ea1bc29202e6d
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-31

    Remove duplicate view items from the background menu

    https://bugzilla.gnome.org/show_bug.cgi?id=667386

M	src/nautilus-canvas-view-ui.xml
M	src/nautilus-desktop-canvas-view-ui.xml
M	src/nautilus-directory-view-ui.xml
M	src/nautilus-shell-ui.xml

commit 1aab9dc4bd3b9046948e7a3e5efbb7b85af620ab
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-30

    list-view: remove context-menu on blank space

    https://bugzilla.gnome.org/show_bug.cgi?id=667386

M	src/nautilus-list-view.c

commit 9455df5c199d11b1799e3fc7be9bc8baf059c02e
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-31

    Update directory size in properties when it changes

    https://bugzilla.gnome.org/show_bug.cgi?id=342670

M	src/nautilus-properties-window.c

commit 93697874152012554abdf8bd47f1505d3054df8d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-31

    preferences: remove double label in List Column tab

    The label on the tab itself is enough, no need to repeat the heading
    again.

    https://bugzilla.gnome.org/show_bug.cgi?id=683071

M	src/nautilus-file-management-properties.ui

commit e68d1da4e7f2e2456958578a0551444b767676c3
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-08-31

    Updated Polish translation

M	po/pl.po

commit c68a487c8faaad3afede2b6454f0c1f5a006de0a
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-31

    floating-bar: ellipsize the filename separately from the details

    This patch does three things:
    - It adds API to the floating bar to have primary and details labels
      instead of a single label. The primary label is ellipsized
      separately
      from the details, so it makes a good fit for a filename.
    - Modifies the code setting status messages in NautilusView to split
      them into two separate strings
    - Removes obsolete code in NautilusView and NautilusWindowSlot
    that was
      setting long statuses for the old non-floating statusbar

    https://bugzilla.gnome.org/show_bug.cgi?id=660695

M	src/nautilus-canvas-view.c
M	src/nautilus-floating-bar.c
M	src/nautilus-floating-bar.h
M	src/nautilus-list-view.c
M	src/nautilus-view.c
M	src/nautilus-view.h
M	src/nautilus-window-manage-views.c
M	src/nautilus-window-slot.c
M	src/nautilus-window-slot.h

commit 9082b6b5788a77ade30882e309358e395de7580a
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-08-31

    Updated Galician translations

M	po/gl.po

commit 5dd2e1f974b969be9e270e8b219ce243b775da52
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-31

    slot: make the NautilusWindow a construct property

    Instead of setting it in _new(). This makes code more robust.

M	src/nautilus-window-slot.c

commit d9ef715ea11e92917414d5d7bddd4dd1487fac1b
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-31

    file: use a frame around custom icons

    Make it consistent with the appearance of thumbnails.

    https://bugzilla.gnome.org/show_bug.cgi?id=524392

M	libnautilus-private/nautilus-file.c

commit 17f17214a64674bd3079d1a252fed2b6103f9ff4
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-31

    ui-utilities: move nautilus_thumbnail_frame_image() here

    So that we can use it also for custom icons.
    Also, merge some icon size checks into the function itself.

M	libnautilus-private/nautilus-file.c
M	libnautilus-private/nautilus-thumbnails.c
M	libnautilus-private/nautilus-thumbnails.h
M	libnautilus-private/nautilus-ui-utilities.c
M	libnautilus-private/nautilus-ui-utilities.h

commit 40aed38d594ecb1f2df0e9f3d72b376bce107af5
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-08-31

    Updated Polish translation

M	po/pl.po

commit ad1bd2287774080920afe258061c5baae785e6ae
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2012-08-31

    Updated Greek translation

M	po/el.po

commit 1f6ab21700cabae0ae32e671a9f0e10f6028ca47
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:	2012-08-31

    updated Tamil translation

M	po/ta.po

commit ce90a4e1a03238b91646fb19df982a7d48b43181
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-30

    views: make sure to set the right zoom level at startup

    Otherwise we won't size correctly the rows or the icons in the grid,
    since we don't set it anymore in begin_loading().

    https://bugzilla.gnome.org/show_bug.cgi?id=683075

M	src/nautilus-canvas-view.c
M	src/nautilus-list-view.c

commit 173940ac28189a02dc8008ec25d4975c029d857d
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-30

    Use 24 hour date format when requested

    https://bugzilla.gnome.org/show_bug.cgi?id=680234

M	libnautilus-private/nautilus-file.c
M	libnautilus-private/nautilus-global-preferences.c
M	libnautilus-private/nautilus-global-preferences.h

commit 94967e5af444b46ba3fb915c77785b7d85e7c39e
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-30

    Don't allow multiline filenames

    https://bugzilla.gnome.org/show_bug.cgi?id=683059

M	src/nautilus-floating-bar.c
M	src/nautilus-list-view.c

commit 8a6f915d168d8da45f4e74dd322f4076142b1d0b
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-30

    build: require glib master

    For the latest symbolic icons API.

M	configure.in

commit d4f7b566e9eec8ab0391f3c65ce4efc3b531a561
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-30

    view: stale action cleanup

    Forgot to remove this in commit
    ef23f8794c697caec6862e2a37134b53b508961d

M	src/nautilus-directory-view-ui.xml

commit 7b97ad32b19f0750d08cdb4ea17d38707c725f0a
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-08-30

    Updated Polish translation

M	po/pl.po

commit b5c79d26b8fc1e748abfbfcd9f0e07d497ac36ab
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-28

    Use symbolic icons in the sidebar

    https://bugzilla.gnome.org/show_bug.cgi?id=681457

M	src/nautilus-places-sidebar.c

commit 3004852518456efb9849bcd81760df7342c72fc1
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-30

    view: remove code for the unused Duplicate action

    We don't have this action anymore in the context menu; remove the
    associated code.

M	src/nautilus-view.c

commit ef23f8794c697caec6862e2a37134b53b508961d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-30

    view: remove unused Connect To Server Link action

    This was supposed to be used with "nautilus links", which is a feature
    we don't have anymore. In fact, the code was commented out since
    the GIO
    transition, and is basically unused.
    Remove it completely.

M	src/nautilus-actions.h
M	src/nautilus-view.c

commit 133db53143e7afb33d8bb54f5275ac806b3508e8
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-30

    view: add back the Create Link action to the context menu

    This was lost during the menu reorganization.

    https://bugzilla.gnome.org/show_bug.cgi?id=682838

M	src/nautilus-directory-view-ui.xml

commit 3e15c17e9b4d6056cb7e633526d978f2bca3f7b6
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2012-08-30

    Updated Belarusian translation.

M	po/be.po

commit a4ecbd076f82809d6b95c59911b157364f538c8c
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-30

    Remove unnecessary gdk_threads_enter/leave calls

    Since we don't ever call gdk_threads_init()

M	eel/eel-canvas.c
M	libnautilus-private/nautilus-thumbnails.c

commit ef25261edddf8553ce41bfb59bc9d563a811fc23
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-29

    Make sure the file is trashable before offering to move to Trash

    https://bugzilla.gnome.org/show_bug.cgi?id=154478

M	src/nautilus-mime-actions.c

commit 159c086cc142b10cbff24795a5af06c820e4d24a
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-08-30

    Updated Galician translations

M	po/gl.po

commit b96e70d89e89f69cc40c87b4381c84d5a2eb0f1d
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-29

    Don't initialize the desktop link monitor when it isn't needed

M	libnautilus-private/nautilus-desktop-link-monitor.c
M	libnautilus-private/nautilus-desktop-link-monitor.h
M	src/nautilus-application.c

commit c3c9fa607b84097ab9b196cf63883deb3ae542fc
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-29

    bookmarks-window: make this a real GtkWindow subclass

    This was long overdue, and in addition to making the whole code a
    little cleaner, it also allows us to disconnect signals from objects
    that outlive the window in dispose() (such as NautilusBookmarkList).

    This also fixes the crasher reported in
    https://bugzilla.gnome.org/show_bug.cgi?id=682916

M	src/nautilus-application.c
M	src/nautilus-bookmarks-window.c
M	src/nautilus-bookmarks-window.h
M	src/nautilus-bookmarks-window.ui

commit b9f26a571fd34db656005742fae9df5b515ea514
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-28

    window: never sync the View As actions for the desktop

    Since doing so can set a view_id != NAUTILUS_DESKTOP_CANVAS_VIEW_ID to
    its view, which will have bad consequences (i.e. a crash) when
    finalizing the views at application quit.
    This commit fixes it by making sync_view_as_menus an overriddable
    class
    method.

M	src/nautilus-desktop-window.c
M	src/nautilus-window-private.h
M	src/nautilus-window.c
M	src/nautilus-window.h

commit 34c7916d7d954d2ba38d5e8f2181bd4620c1f007
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-08-28

    Updated POTFILES.in

M	po/POTFILES.in

commit 874f69f244ba397925fe71f9500ac21bed761bb0
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-27

    Set a better file display name by default

    https://bugzilla.gnome.org/show_bug.cgi?id=524116

M	libnautilus-private/nautilus-directory.c
M	libnautilus-private/nautilus-file-utilities.c
M	libnautilus-private/nautilus-file-utilities.h

commit 4047e53197b215e9b7ec4cccdba2eb97e0152f25
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-27

    Try to store names for bookmarked uris

    https://bugzilla.gnome.org/show_bug.cgi?id=524116

M	src/nautilus-places-sidebar.c
M	src/nautilus-window-manage-views.c

commit b49e144e37f8da505ad965cc456923aa6517214f
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2012-08-28

    Updated Norwegian bokmål translation

M	po/nb.po

commit 88e353645d314f985e53855de28326165b4e262f
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-27

    Use action defines instead of text

    This makes them easier to grep for and change.

M	src/nautilus-actions.h
M	src/nautilus-view.c

commit 5c545b23d71376d77139b752604c4998aa114532
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:	2012-08-28

    Implemented FUEL entries to Assamese translation

M	po/as.po

commit 74f46d095073eaa95b9c8873a1baaae6b2fbc90c
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:	2012-08-27

    Assamese translation updated

M	po/as.po

commit 7cf1d12219bb175df6d34f682ffdc1bc90ffb6b7
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-26

    Don't show apps that don't support files or uris

    https://bugzilla.gnome.org/show_bug.cgi?id=682729

M	src/nautilus-mime-actions.c

commit 51da82e9e3fc434475a996c861cb814c27240252
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-26

    Rename entire folder name

    Not just the part before the "."

    https://bugzilla.gnome.org/show_bug.cgi?id=664266

M	src/nautilus-list-view.c

commit ce6abc2e542217cd7debb2e10ccfbd35a6454bf2
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-26

    Don't draw a pie chart if the space is unknown

    https://bugzilla.gnome.org/show_bug.cgi?id=681692

M	src/nautilus-properties-window.c

commit e479c004f9c8d95588954ea316f7bcb471a68d2d
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-25

    Don't try to change the window icon when the view changes

    This avoids problems with using symbolic icons in the window titles
    and with icons not updating.

    https://bugzilla.gnome.org/show_bug.cgi?id=652212

M	src/nautilus-window-manage-views.c
M	src/nautilus-window-slot.c
M	src/nautilus-window-slot.h
M	src/nautilus-window.c

commit 8e27c116dad714aeb5afa06f9639eaa04dac5a29
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-25

    Initialize the list view zoom level to the default size

    https://bugzilla.gnome.org/show_bug.cgi?id=682674

M	src/nautilus-list-view.c

commit 0b9ddf8826d68325f3070723e73177f134bc8b1f
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-25

    Remove more code for handling expanded list view rows

    https://bugzilla.gnome.org/show_bug.cgi?id=682673

M	libnautilus-private/nautilus-tree-view-drag-dest.c
M	src/nautilus-list-view.c

commit 37ec9edf7947e823bf09b3d30ee01a5c2b0fd3fe
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-25

    Don't allow any type of drop (even text) if the target is readonly

    https://bugzilla.gnome.org/show_bug.cgi?id=329515

M	libnautilus-private/nautilus-canvas-dnd.c
M	libnautilus-private/nautilus-tree-view-drag-dest.c

commit d90c4021602c5ffd730e0d6a20114f9923428ef3
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2012-08-26

    Updated Hebrew translation.

M	po/he.po

commit d6317dc6588fe37e463098cc2e74529d519b26fd
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2012-08-26

    Updated Arabic translation

M	po/ar.po

commit 47a1fbf124ac6928609b430a945c5d0385965555
Author: Dirgita <dirgitadevina@yahoo.co.id>
Date:	2012-08-25

    Updated Indonesian translation

M	po/id.po

commit 2402bf820f65d4e89ea69f26154d7835087e7538
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-24

    Set the correct action on dnd for uri lists

    https://bugzilla.gnome.org/show_bug.cgi?id=625559

M	libnautilus-private/nautilus-tree-view-drag-dest.c

commit 6aa7f6cbdc57cc1000b1be69f131e3223c2486a3
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-24

    Don't allow drops on tabs for unwritable slots

    https://bugzilla.gnome.org/show_bug.cgi?id=329515

M	src/nautilus-window-slot-dnd.c

commit c3f3ecff6746cd984bd2604a739af8e94e4d9ab4
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-24

    Don't accept drops over non-writable locations in icon view

    https://bugzilla.gnome.org/show_bug.cgi?id=329515

M	libnautilus-private/nautilus-canvas-dnd.c
M	libnautilus-private/nautilus-file-dnd.c

commit 5f5bea72af6e23986b7367a2a2157fb15481f367
Author: Pavel Vasin <rat4vier@gmail.com>
Date:	2012-08-24

    eel: fix leaked path string

    https://bugzilla.gnome.org/show_bug.cgi?id=682603

M	eel/eel-gnome-extensions.c

commit 523073f86b983f2fa21c8a9b579c58df0293e081
Author: Pavel Vasin <rat4vier@gmail.com>
Date:	2012-08-24

    file-utilities: fix leaked path string

    https://bugzilla.gnome.org/show_bug.cgi?id=682603

M	libnautilus-private/nautilus-file-utilities.c

commit c092d25e907507a1dba0185a70557bd4fccb2e3b
Author: Pavel Vasin <rat4vier@gmail.com>
Date:	2012-08-24

    file-operations: fix GList leak

    https://bugzilla.gnome.org/show_bug.cgi?id=682603

M	libnautilus-private/nautilus-file-operations.c

commit 00b5c875cc98afb7b5903546987d9575311a2663
Author: Pavel Vasin <rat4vier@gmail.com>
Date:	2012-08-24

    nautilus_view_preview_files: fix leaked uri

    https://bugzilla.gnome.org/show_bug.cgi?id=682603

M	src/nautilus-view.c

commit e84114fc934dd5a2aa10a0277f392e528b2acbda
Author: Pavel Vasin <rat4vier@gmail.com>
Date:	2012-08-24

    canvas-container: fix GArray leak

    https://bugzilla.gnome.org/show_bug.cgi?id=682603

M	libnautilus-private/nautilus-canvas-container.c

commit 9dfbbf735d1dc746fdae45ae7875f094da2018dd
Author: Pavel Vasin <rat4vier@gmail.com>
Date:	2012-08-24

    search-engine: fix GList leak

    https://bugzilla.gnome.org/show_bug.cgi?id=682603

M	libnautilus-private/nautilus-search-engine.c

commit 09670c24ed63d54d0b93659c7e1d68d69680e9a4
Author: Pavel Vasin <rat4vier@gmail.com>
Date:	2012-08-24

    file-operations: move: fix potential GError leaks

    https://bugzilla.gnome.org/show_bug.cgi?id=682603

M	libnautilus-private/nautilus-file-operations.c

commit 21ae836048bc9c06ed28e1f28cd4d7c1d55a8980
Author: Pavel Vasin <rat4vier@gmail.com>
Date:	2012-08-24

    file-operations: fix GFile leak

    https://bugzilla.gnome.org/show_bug.cgi?id=682603

M	libnautilus-private/nautilus-file-operations.c

commit ab3512597bd98ec48f4a2cf15b17d20baeb1c25c
Author: Pavel Vasin <rat4vier@gmail.com>
Date:	2012-08-24

    file-utilities: fix GList leak

    https://bugzilla.gnome.org/show_bug.cgi?id=682603

M	libnautilus-private/nautilus-file-utilities.c

commit 60217c642cb4b12297b2d8ddd2a2eae45671a5a7
Author: Pavel Vasin <rat4vier@gmail.com>
Date:	2012-08-24

    eel: fix GtkTreePath leak

    https://bugzilla.gnome.org/show_bug.cgi?id=682603

M	eel/eel-gtk-extensions.c

commit d319bf353c04f71f720ec680f0fda04a6e8f768d
Author: Pavel Vasin <rat4vier@gmail.com>
Date:	2012-08-24

    search: fix leaked display_name

    https://bugzilla.gnome.org/show_bug.cgi?id=682603

M	libnautilus-private/nautilus-search-directory-file.c

commit 221d103aff9c664ddd6c3ff1eb2da3eeac6f5c88
Author: Pavel Vasin <rat4vier@gmail.com>
Date:	2012-08-24

    query: fix leaked location_uri

    https://bugzilla.gnome.org/show_bug.cgi?id=682603

M	libnautilus-private/nautilus-query.c

commit caf94f656c68333f77241ac1e3ffb912eb127bf3
Author: Pavel Vasin <rat4vier@gmail.com>
Date:	2012-08-23

    update_restore_from_trash_action: fix leaked tooltip

    https://bugzilla.gnome.org/show_bug.cgi?id=682603

M	src/nautilus-view.c

commit 22ffb9737f31b29cfffb7c841dc0c6254d00b165
Author: Pavel Vasin <rat4vier@gmail.com>
Date:	2012-08-23

    file: fix leaked trash_orig_path

    https://bugzilla.gnome.org/show_bug.cgi?id=682603

M	libnautilus-private/nautilus-file.c

commit fa23c7f38b2e2a52be92fb0e264ad6486f021299
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-08-24

    Updated Polish translation

M	po/pl.po

commit 1e18bcbce96a50a3457a270f9b8a672dcd382883
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-08-23

    Updated Spanish translation

M	po/es.po

commit de36d7e7dfd77904c568fb126f45ae3a49c67b46
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-23

    toolbar: restore history context menu on navigation action buttons

    This code stopped working when we changed the way we build the toolbar
    layout; take this as an occasion to remove NautilusNavigationAction
    and
    folding the menu code into NautilusToolbar (where the buttons live).

M	src/Makefile.am
D	src/nautilus-navigation-action.c
D	src/nautilus-navigation-action.h
M	src/nautilus-toolbar.c
M	src/nautilus-toolbar.h
M	src/nautilus-window-menus.c
M	src/nautilus-window.c

commit 52679f9710d8b27b02c6c4e0f8bf20efe7356582
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-23

    window: simplify toolbar actions creation

    Instead of having the toolbar create a different action group, with
    different actions, and having to keep those in sync with the window's
    main action group manually, just pass the main action group to the
    toolbar.
    This also makes NautilusNavigationState useless (and removes a lot of
    boilerplate code), and fixes Ctrl+1/Ctrl+2 not working correctly as
    shorcuts to switch view type.

M	src/Makefile.am
D	src/nautilus-navigation-state.c
D	src/nautilus-navigation-state.h
M	src/nautilus-shell-ui.xml
M	src/nautilus-window-menus.c
M	src/nautilus-window-private.h
M	src/nautilus-window-slot.c
M	src/nautilus-window.c
M	src/nautilus-window.h

commit 6f6171a1befc42ec4b9c82e44cf66b5dfbc7e4ac
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-23

    actions: cleanup unused actions from the action group

    And ensure name defines are used instead of plain strings, where
    possible.

M	src/nautilus-actions.h
M	src/nautilus-window-menus.c

commit 68c60072e5a3855495bafa20fa3dcf1a9902bfa3
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-23

    ui: re-add accelerator for "Go Home" action

    This was also lost during the menu relayout.

M	src/nautilus-shell-ui.xml

commit 0ec5e09a1ad322b0189a817d6d7436d6e97a825e
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-23

    actions: remove unused UpAccel action

M	src/nautilus-actions.h
M	src/nautilus-window-menus.c
M	src/nautilus-window.c

commit e9588a5739e9bcbcba89eac95222883b145318dd
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-23

    toolbar: don't use deprecated gtk_menu_button_set_menu()

M	configure.in
M	src/nautilus-toolbar.c

commit 395bc3b42ed3e07bbdb5203033beeda07d979138
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-23

    mime-application-chooser: always take a list of NautilusFiles

    This has the following consequences:
    - fixes the build after commit
    58b704ad8b473600d7f7ad57aa5535e5be5dbd24
    - take a ref to the NautilusFiles when the list is passed-in
    - simplifies the code calling the dialog from NautilusPropertiesWindow
    - simplifies the code in NautilusMimeApplicationChooser, since
    we don't
      have to special case the files != NULL case and build a GFile
      manually
      from the URI

M	libnautilus-private/nautilus-mime-application-chooser.c
M	libnautilus-private/nautilus-mime-application-chooser.h
M	src/nautilus-properties-window.c

commit 445b865481e54944fd1328094965ecdd7767ca46
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-23

    ui: add back keybindings for Back/Forward/Up

    These got lost during the menu layout rework.

    https://bugzilla.gnome.org/show_bug.cgi?id=679822
    https://bugzilla.gnome.org/show_bug.cgi?id=680250

M	src/nautilus-shell-ui.xml

commit 1f6b05a119d22a84264884054d71fa4abdf2d10c
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2012-08-23

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 56b876e8ec0f5e68082a35b93f6b3471a7db9153
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2012-08-23

    Updated Vietnamese translation

M	po/vi.po

commit 9b374c3879d910b60e29ef6792e05466409f5cf9
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2012-08-23

    po/vi: imported from Damned Lies

M	po/vi.po

commit 9c46ee05afccdb09ccb7a0af188231dd0891bae0
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-22

    Use quotes consistently for error dialogs

M	libnautilus-private/nautilus-file-operations.c

commit 58b704ad8b473600d7f7ad57aa5535e5be5dbd24
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-22

    Don't show the open with tab if it is going to be useless

M	libnautilus-private/nautilus-file.c
M	libnautilus-private/nautilus-file.h
M	libnautilus-private/nautilus-mime-application-chooser.c
M	src/nautilus-properties-window.c

commit 216e50f40e816e7fcc0e1fdaf3a4c8e3e816b990
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-22

    Make getting extension more robust

    Ensure the basename and extension have at least one char each.

M	eel/eel-vfs-extensions.c
M	libnautilus-private/nautilus-file-operations.c

commit a2b0ddd45e19ec43d2fbf09204152c31aa0dc860
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-22

    Wait until after widgets have been set up to handle change signals

    https://bugzilla.gnome.org/show_bug.cgi?id=682372

M	libnautilus-private/nautilus-mime-application-chooser.c

commit 06476bd37f77b9a07a267f31db9e486377d43a76
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-21

    Place mounts with no volumes in Devices section of sidebar

    https://bugzilla.gnome.org/show_bug.cgi?id=682353

M	src/nautilus-places-sidebar.c

commit f78939848ea3c3ee444111bc3e24f0610873ae80
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-21

    Set parent for all mount/eject error dialogs

    https://bugzilla.gnome.org/show_bug.cgi?id=590513

M	src/nautilus-view.c

commit e864875cc0a861a4096a588aae8ee2ff7d2a3fac
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-21

    Use more specific text for unmount/eject error messages

    https://bugzilla.gnome.org/show_bug.cgi?id=590513

M	src/nautilus-mime-actions.c
M	src/nautilus-view.c

commit b8ded5f5594b5b7e436bb31e15ebc24af52163b1
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-21

    Don't show captions that make no sense

    https://bugzilla.gnome.org/show_bug.cgi?id=564766

M	src/nautilus-canvas-view-container.c

commit e026c38499c09bb111d496214a1f6c7b8aafb1fb
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2012-08-22

    Updated Norwegian bokmål translation

M	po/nb.po

commit c24efca6e81ebbb11ab2cafe3a7232447022d2f5
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-21

    Don't inspect a null default app

    https://bugzilla.gnome.org/show_bug.cgi?id=682372

M	libnautilus-private/nautilus-mime-application-chooser.c

commit 423675f1de01c312cc8ed0454b8d47809f419b7a
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-21

    Don't show properties for the Network locations

    https://bugzilla.gnome.org/show_bug.cgi?id=682371

M	libnautilus-private/nautilus-directory.c
M	libnautilus-private/nautilus-directory.h
M	libnautilus-private/nautilus-file.c
M	libnautilus-private/nautilus-file.h
M	src/nautilus-view.c

commit 82ff233cf3b4c60b782bba1d4b07f47caebaf57d
Author: A S Alam <aalam@users.sf.net>
Date:	2012-08-22

    update Punjabi Translation

M	po/pa.po

commit d21a6f9907c29c26bcd9bbe2ff317e6867fa2a3f
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2012-08-22

    Updated Arabic translation

M	po/ar.po

commit ac281225945bb3a1d58175e3770d01dc33519450
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2012-08-21

    Updated Lithuanian translation

M	po/lt.po

commit 88f1af3c461505ba49f311698fa70b29b07627a2
Author: Frédéric Péters <fpeters@0d.be>
Date:	2012-08-21

    do not display Templates Directory clue bar if templates directory
    is disabled

    https://bugzilla.gnome.org/show_bug.cgi?id=682335

M	src/nautilus-window-manage-views.c

commit 2cd026529e66309b781387e84dca8b10a29c14f5 (tag: 3.5.90)
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-21

    release: prepare for 3.5.90

M	NEWS
M	configure.in

commit 3e0856acae7282dfe61186035e9466ce6fe99ee7
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-21

    bookmarks-window: set as transient for the parent window

    And make it center on the parent too.

M	src/nautilus-bookmarks-window.c

commit dab48b5e82520f37538735e27754db9810b9825d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-21

    bookmarks-editor: theming and tooltip string fixes

M	src/nautilus-bookmarks-window.ui

commit a4f60a1bd727dcb66fadab33ed7e3de9392f5c69
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-20

    Add ability to reorder bookmarks

    https://bugzilla.gnome.org/show_bug.cgi?id=575034

M	src/nautilus-bookmark-list.c
M	src/nautilus-bookmarks-window.c
M	src/nautilus-bookmarks-window.ui

commit c59ee71862939a4732a9ff9c95b9738bb12bd98d
Author: Yuriy Penkin <yuriy.penkin@gmail.com>
Date:	2012-08-20

    use plural form only for messages with explicit number

    https://bugzilla.gnome.org/show_bug.cgi?id=552053

M	src/nautilus-view.c

commit 24cddd96bb717b98c4f42fed95dfbd43a6a92915
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-20

    Don't set zoom level per folder

    Since this is now a per view option.

    https://bugzilla.gnome.org/show_bug.cgi?id=682017

M	libnautilus-private/nautilus-metadata.c
M	libnautilus-private/nautilus-metadata.h
M	src/nautilus-canvas-view.c
M	src/nautilus-convert-metadata.c
M	src/nautilus-list-view.c

commit ab9ed7c1491331fffb75dfc3842e0918b75b744e
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-20

    make view mode persistant to window, not folder

    We now have a nicely exposed view mode toggle on the toolbar. When
    traversing
    the hierarchy it feels wring the view changes. I think it makes more
    sense to
    relate the view mode to the window rather than the folder/location.

    https://bugzilla.gnome.org/show_bug.cgi?id=682017

M	libnautilus-private/nautilus-metadata.c
M	libnautilus-private/nautilus-metadata.h
M	src/nautilus-convert-metadata.c
M	src/nautilus-window-manage-views.c

commit a9c8ccba4337403d526de38bd07f6a2e8d25b132
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-20

    Save a bit of space in the preferences dialog height

M	src/nautilus-file-management-properties.ui

commit 87cfa404d845cbd59b7bf5c95931aa930dbe3d15
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-20

    Remove advanced permissions

    This mode is worse than useless because it is impossible to find,
    it complicates the ongoing maintanence of the dialog, and if there
    is important configuration in it we should be offering it by default
    without a special hidden mode.

M	libnautilus-private/nautilus-global-preferences.h
M	libnautilus-private/org.gnome.nautilus.gschema.xml.in
M	src/nautilus-properties-window.c

commit 99d7082920efc1aa1bfbd18c879fc2c81e321cf7
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-20

    Show all applications in open with tab of properties

    If you are going into that tab to change something we should assume
    you are looking for something and not require you to click yet again.
    Also, this saves some precious vertical screen space by not having
    to put a button there.

M	libnautilus-private/nautilus-mime-application-chooser.c

commit fd22733cd22b3d4dc1bf33ea934e59daf48f5320
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-20

    Use a different keybinding for open in tab and window

M	src/nautilus-view.c

commit 7dfaeaee7ddfdb7df5f6c065acfb1aefedd6083a
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-20

    Don't show open in new window by default

    We can just use the keyboard shortcuts for this. There are way too
    many ways to open a file in the context menu. And we don't really
    want to encourage relying on window management.

M	src/nautilus-directory-view-ui.xml

commit 18fda477d1eb098c2479fe7f945558be048f6b41
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-20

    Remove octal permissions column

M	libnautilus-private/nautilus-column-utilities.c
M	libnautilus-private/org.gnome.nautilus.gschema.xml.in

commit 904585d07416de5ec4464cfa2c6d35e19786b370
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-17

    Don't mix recursive action options with object properties

    It is totally confusing to see properties for a folder mixed
    up with settings that are used by the recursive permission
    setting feature.

    Those settings should be done as a separate dialog.

M	src/nautilus-properties-window.c

commit 4a88b9a7cb54947725e66bd5d58092d65c7008fb
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2012-08-20

    Updated Belarusian translation.

M	po/be.po

commit 3b21182bbe9326617ae9c6468d8b254e6dfa95d3
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-17

    Fix dialog spacing and padding

M	src/nautilus-properties-window.c

commit d51023f9aafe3e25de028bdcdeecb5f10209e894
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-17

    Don't show execute permission checkbox for directories

    It is ambigious what it even does. It refers to making files
    executable. You never want to turn execute permission off
    on a directory and lock yourself out of it. This just shows
    it when the selection is a file.

M	src/nautilus-properties-window.c

commit 01fba6ad616a79eef4f76bfba2c8b4f85cc0e2f5
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-17

    Don't show free space twice

    Don't need to show the free space when we show the volume
    usage. It already shows that.

M	src/nautilus-properties-window.c

commit eba816cfa8038e8b8b68fb5f8aac71e81179c10f
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2012-08-20

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit d2b4d45839b15f96412265c045295a3c1e06b14d
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-08-20

    Updated Spanish translation

M	po/es.po

commit 02e73ebce53a4e482b696db4909b1d7471134315
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-08-19

    Updated Polish translation

M	po/pl.po

commit 16035c7d1656a8d5c3c7f529c07fe953d3f97beb
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:	2012-08-19

    [l10n] Update Japanese translation

M	po/ja.po

commit 1ee1f16afc332ebcf8e059b3d29bd68513e5d6ab
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2012-08-18

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 564264cc6cc6fa44390791248019547a7133d70d
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-17

    No need to iterate to clear all hash items

M	libnautilus-private/nautilus-directory-async.c

commit 9d98ebadc1401ed87e5054944850f5c7a19d2833
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-17

    Don't crash when duplicate entires are in .hidden

    Don't insert free'd string pointers into the hash values.

    https://bugzilla.gnome.org/show_bug.cgi?id=668674

M	libnautilus-private/nautilus-directory-async.c

commit 05b85f240bcaf654100c865b0dfec780163121b9
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:	2012-08-17

    Assamese translation updated

M	po/as.po

commit 7aef6beb47bf5bb212d4cd59089ff410b863170e
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-16

    Add generic image support to image properties page

    https://bugzilla.gnome.org/show_bug.cgi?id=682097

M	src/nautilus-image-properties-page.c

commit 3e53615fbfaba7b7b5be285ff481fa8e782ad11b
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:	2012-08-17

    Updated Marathi Translations

M	po/mr.po

commit b05b6eabaef85d5ce83dd1c5a27c32f3fea11c43
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:	2012-08-17

    Updated Marathi Translations

M	po/mr.po

commit 2456c9215413b14bb7c375f71f09d56f9910deca
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-08-16

    Updated Galician translations

M	po/gl.po

commit 06ce7efe10f9953a462cbce707d58cf29f839245
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-16

    Wrap and possibly scroll when image properties are long

    https://bugzilla.gnome.org/show_bug.cgi?id=641822

M	src/nautilus-image-properties-page.c

commit 5bb55d500e5a8b659a3c19b14d425fc1be81bb9b
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-16

    Depend on exempi and libexif unless explicitly disabled

    This allows us to better match our development and test builds
    to what people actually use. And to not silently disable features
    due to missing dependencies at build time.

M	configure.in

commit 7ec7d425205fd57856b7ce698c07ff9f031685eb
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-16

    Try to use dropped text to make a filename

    https://bugzilla.gnome.org/show_bug.cgi?id=347563

M	src/nautilus-view-dnd.c

commit 1b3b75164326db2020e1f78490ae96ab3dba6813
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-08-16

    Updated Spanish translation

M	po/es.po

commit 29f1281f07af3168f793ed70b50ec687c8e27b22
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-15

    Change the title of the preferences dialog

M	src/nautilus-file-management-properties.ui

commit 05337b920115bcdfcce13043d7f381379163e831
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-15

    Move Properties to the end of the context menu again

    Now that the context menu is leaner this is a good choice.

M	src/nautilus-directory-view-ui.xml

commit 817d552680fcca8fd73725068b617bd0ed112ab5
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-15

    Add more info to DEBUG_THUMBNAILS

M	libnautilus-private/nautilus-thumbnails.c

commit 6124a9c6bbca254b7afdbacd0ce48796a7906bbe
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-15

    Remove always-use-browser option

    This isn't necessary since the removal of spatial mode. Having
    it as a hidden preference is counterproductive because it may
    have been set before and it will silently break the behavior of
    the current version.

    https://bugzilla.gnome.org/show_bug.cgi?id=681919

M	libnautilus-private/nautilus-global-preferences.h
M	libnautilus-private/nautilus.convert
M	libnautilus-private/org.gnome.nautilus.gschema.xml.in
M	src/nautilus-canvas-view.c
M	src/nautilus-list-view.c
M	src/nautilus-places-sidebar.c
M	src/nautilus-view.c
M	src/nautilus-window-manage-views.c

commit 74a8e6e3b2848f2bda121e9f9501346a638d215c
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-14

    Remove the open folders in new windows option

    This is not something we want to encourage as it basically
    breaks the browser model.

    https://bugzilla.gnome.org/show_bug.cgi?id=681919

M	src/nautilus-file-management-properties.c
M	src/nautilus-file-management-properties.ui

commit 9e0eda782d10b8d313be6b9288fd1cf64b02ce81
Author: A S Alam <aalam@users.sf.net>
Date:	2012-08-16

    Update Punjabi Translation

M	po/pa.po

commit bfb2b657c75b2f965cb7f2d434aceb915267edaa
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-15

    Merge the settings for showing text and image previews

    Especially considering that the default GNOME theme does not do
    text previewing it doesn't make sense to have two different settings.

    https://bugzilla.gnome.org/show_bug.cgi?id=681956

M	libnautilus-private/nautilus-directory.c
M	libnautilus-private/nautilus-file.c
M	libnautilus-private/nautilus-global-preferences.h
M	libnautilus-private/org.gnome.nautilus.gschema.xml.in
M	src/nautilus-canvas-view.c
M	src/nautilus-file-management-properties.c
M	src/nautilus-file-management-properties.ui

commit 09a36abff300b229fb4f655b946f5d6393d1fcd3
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-15

    Only support manual layout in Desktop views

    https://bugzilla.gnome.org/show_bug.cgi?id=681880

M	src/nautilus-canvas-view.c
M	src/nautilus-desktop-canvas-view.c

commit 5a00bdac7c2d1b3244fa35998fe72302aef91340
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-15

    Add ability to set wallpaper from image files

    http://bugzilla.gnome.org/show_bug.cgi?id=547420

M	src/nautilus-actions.h
M	src/nautilus-directory-view-ui.xml
M	src/nautilus-view.c

commit 1a1fa464fd16f93d9a9fbb73b894f4f6c0a098f8
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-14

    Make templates and scripts menus show icons

    https://bugzilla.gnome.org/show_bug.cgi?id=602909

M	src/nautilus-view.c

commit fbde8dffa28972553ab7b698605e869c0685caea
Author: Dennis Cranston <dennis_cranston@yahoo.com>
Date:	2012-08-14

    Double the default height of the bookmarks dialogue.

    https://bugzilla.gnome.org/show_bug.cgi?id=681875

M	src/nautilus-bookmarks-window.c

commit 2b672dff536cf2be77f0b2e3fb638d0427407d4e
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2012-08-15

    Updated Hebrew translation.

M	po/he.po

commit 72d6c7ce7febd5739097896b2ea16cf730887e9a
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-14

    Change default executable text action to display

    Presenting a scary dialog by default isn't nice. The file manager
    is not primarily an interface for launch applications. Some
    filesystems
    mark all files as executable and it just sucks to keep asking when you
    want to view text files. Also, any application launched this way is
    going to suck. You won't have app tracking in the shell and showing
    a terminal to users that don't expect it is really nasty.

    https://bugzilla.gnome.org/show_bug.cgi?id=601736

M	libnautilus-private/org.gnome.nautilus.gschema.xml.in

commit a0595ea96c093ff369ce2acaa86e3eefcb2f7ff0
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-14

    Add bookmark for ~/Pictures instead of /usr/share/pixmaps

    To the icon selection dialog.

M	src/nautilus-properties-window.c

commit 0d6ac8033036d2698baf1c617bd86a1ea73e34d4
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-14

    Fix mnemonics clash between Paste and Properties

    https://bugzilla.gnome.org/show_bug.cgi?id=603084

M	src/nautilus-view.c

commit d064618f50c39f9791ec41488aca4b45906ac0af
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-14

    Don't use italic in the file conflict dialog

    It adds nothing and makes the text harder to read.

M	libnautilus-private/nautilus-file-conflict-dialog.c

commit 27436d97015484fb1525027cfd908310d4eaf004
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-14

    Don't make Examples label bold

M	src/nautilus-view.c

commit 0739da92ef25874b6f98add0b37223b85c444f08
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-14

    Use quotes around filename instead of using italics

    This is consistent with all other filename display.

M	libnautilus-private/nautilus-mime-application-chooser.c

commit 1e10200883bdc9b794a203ffb5e53e1292b241fb
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-14

    Change name of action to Run Software instead of Autorun Prompt

M	data/nautilus-autorun-software.desktop.in.in

commit 4fb1af4f235a8bd41b64094a9d451e3e3ca2c172
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-14

    Improve wording of autorun prompt

M	src/nautilus-autorun-software.c

commit 9e126637b13d554c9afc0bc8f2ad3cd097901607
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-14

    Make sure autorun dialogs stay on top

    This is required because we don't show dialogs in the
    window picker and if the window pops under another window
    there is no way to get it back

M	src/nautilus-autorun-software.c

commit 3a891dfe9b4c5310c623aa0e0e478a838557b5a3
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2012-08-15

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit a164f25378d5d744ee0b5c69f06b5db1146c3913
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2012-08-15

    Updated Hebrew translation.

M	po/he.po

commit 89195ac37c7229a54e22399c0249a9b097c38a66
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-08-14

    Updated POTFILES.in

M	po/POTFILES.in

commit 2bc1d449556f6e7f4176656503c2f01e1db8506c
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-14

    Remove unused variable

M	src/nautilus-window.c

commit 9e190c2877e7dc32b57e5ae6b0c0170f75c35b8b
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-14

    Add some warning messages

M	src/nautilus-autorun-software.c

commit efa6746816830f1e132220d0d70db40844f6186c
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-14

    Correctly detect the type of software

M	src/nautilus-x-content-bar.c

commit b37b6071ddb73fbf9b971d9ca44ddf1200bf60ff
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-14

    Use Me instead of me to differentiate from any usernames

    Since "me" could be a local username and usernames will probably
    not be capitalized.

    https://bugzilla.gnome.org/show_bug.cgi?id=680282

M	libnautilus-private/nautilus-file.c

commit 6b3dd822dc73b8966a4fbf5e23165cbd109afde9
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-14

    Use double quotes instead of ascii quotes

    https://bugzilla.gnome.org/show_bug.cgi?id=681808

M	libnautilus-private/nautilus-desktop-link-monitor.c
M	libnautilus-private/nautilus-file-conflict-dialog.c
M	libnautilus-private/nautilus-file-operations.c
M	libnautilus-private/nautilus-file-utilities.c
M	libnautilus-private/nautilus-mime-application-chooser.c
M	libnautilus-private/nautilus-query.c
M	nautilus-sendto-extension/nautilus-nste.c
M	src/nautilus-autorun-software.c
M	src/nautilus-connect-server-dialog.c
M	src/nautilus-error-reporting.c
M	src/nautilus-mime-actions.c
M	src/nautilus-properties-window.c
M	src/nautilus-view.c
M	src/nautilus-window-manage-views.c
M	src/nautilus-x-content-bar.c

commit 99617ee9747bba2e860f73a28646e29c577ff138
Author: Andre Klapper <a9016009@gmx.de>
Date:	2012-08-14

    Add translator comment

M	src/nautilus-trash-bar.c

commit efbf42c9568f72805eb9b9f4d9761c4e4df5a5b6
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-13

    Improve the alert text when trashing a remove file

    https://bugzilla.gnome.org/show_bug.cgi?id=657461

M	libnautilus-private/nautilus-file-operations.c

commit 92ba6ad27c1778eb4e6940fac396f28bf2f3c127
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-13

    Simpify the action names in the trash bar

    https://bugzilla.gnome.org/show_bug.cgi?id=650058

M	src/nautilus-trash-bar.c

commit 39883e954d09727148a979fa405f7ef31c97f711
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-13

    Don't show a dialog every time the scripts dir is opened

    This should be moved to the documentation.

    https://bugzilla.gnome.org/show_bug.cgi?id=84463

M	src/nautilus-view.c

commit 029219ec993a2e6bc8983939d9e8325d8112d933
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-13

    Add a clue bar to special locations like Templates and scripts

    https://bugzilla.gnome.org/show_bug.cgi?id=84463

M	src/.gitignore
M	src/Makefile.am
A	src/nautilus-special-location-bar.c
A	src/nautilus-special-location-bar.h
M	src/nautilus-view.c
M	src/nautilus-window-manage-views.c

commit cfba4a7dc3be80df34d11019db655a7171ba2e2f
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-13

    Improve the Image properties page

    https://bugzilla.gnome.org/show_bug.cgi?id=681803

M	src/nautilus-image-properties-page.c

commit 2f4c9a71d03ee420d244e5c7e1555a03858d0fdb
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-13

    Don't refer to folders when the view may not always be a folder

    https://bugzilla.gnome.org/show_bug.cgi?id=45219

M	src/nautilus-error-reporting.c

commit 3935384e7f1e080a6504c79e236cada9cb519c6a
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-13

    Add a utf8 test to eel-string

M	eel/eel-string.c

commit f9bdd4f33bb4c20926564a8d7d7176712cb105fc
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-13

    Don't show a full path in the dialog for unknown file types

M	src/nautilus-mime-actions.c

commit 85f08a3dd3b8d1a04f7f9e8d4bf7b2d40406eef4
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-13

    Clean up error message text

     * Don't mention Nautilus in the message

M	src/nautilus-application.c

commit 8fb3a5a95a609f93dff5baa4de018bfb30084a9f
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-13

    Don't explicitly truncate the window title

     * It is already done for us
     * Truncating at that huge size is silly anyway since it will almost
    never be seen

M	src/nautilus-window.c

commit 4625c3b6392711712fca0b5d97942829b4c452e1
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-13

    Clean up the view error handling

     * Don't mention Nautilus in user visible strings.
     * Don't bother repeating the filename or folder that is already
    visible somewhere else
     * Make the error strings a bit more human

M	src/nautilus-window-manage-views.c

commit 99b3ba38e3ab0451d712e0e003301b0102a3e373
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2012-08-13

    Updated Hebrew translation.

M	po/he.po

commit 71e30709f7e005a7da74e255cf5e24bd2a74e3c1
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2012-08-13

    Updated Galician translations

M	po/gl.po

commit ebba7789ce76fb4cb626d0bf13c9672c1ab5f440
Author: A S Alam <aalam@users.sf.net>
Date:	2012-08-13

    Update Punjabi Translation

M	po/pa.po

commit 80f0bc2d433ecc0135c6f3cc61747052cd23cd95
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2012-08-12

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 732009ce7b97ba70a070a34ee66552308c2e5925
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2012-08-12

    Updated Arabic translation

M	po/ar.po

commit 89428cde9021fa3e0a1eb7cbe689ea7f22925be0
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2012-08-11

    Updated Lithuanian translation

M	po/lt.po

commit 46b7b6bf06ae5cf07cfb84e2f28afdbf60854376
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2012-08-10

    Updated Hebrew translation.

M	po/he.po

commit 8a5f8f06237497fa00d62b17be82939cfd54160b
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-08-10

    Updated Spanish translation

M	po/es.po

commit 251ca991f50fbeb5d6b605a2ed61d96188a28b3e
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:	2012-08-10

    Updated Marathi Translations

M	po/mr.po

commit be341f28c2e1b4e11c757fffc83ef0a9c3019bc2
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:	2012-08-10

    Updated Marathi Translations

M	po/mr.po

commit 6ab0bc8ee8b4e7352289af1891dd80c859c5b918
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2012-08-09

    Updated POTFILES.in

M	po/POTFILES.in

commit ba193f61c69e790cfbd650c87238ea5eebbb2ce1
Author: Florian Müllner <fmuellner@gnome.org>
Date:	2012-08-09

    Another icon-view -> canvas-view rename fix

R100	src/nautilus-desktop-canvas-view.xml
src/nautilus-desktop-canvas-view-ui.xml

commit d787093c05f8a1120600e23cd5d602fee3cb6c67
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-09

    Use the correct icon sizes for symbolic icons

    https://bugzilla.gnome.org/show_bug.cgi?id=681128

M	src/nautilus-query-editor.c

commit d4a2f6e0531283bf943052812ca09610a3dd072d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-09

    desktop: fix context menu items not showing on the desktop

    This fixes missing e.g. Change Desktop Background and Empty Trash
    on the
    desktop. It was broken due to the icon->canvas big rename.

M	src/Makefile.am
A	src/nautilus-desktop-canvas-view.xml
D	src/nautilus-desktop-icon-view-ui.xml
M	src/nautilus.gresource.xml

commit 09962f5744890948e7a65edd3f70468e8959cb9c
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-09

    toolbar: set GTK_ALIGN_END to the gear menu

    https://bugzilla.gnome.org/show_bug.cgi?id=681507

M	src/nautilus-toolbar.c

commit 6539e93eadb25f2a77fa1e3c6bb8033e5ae0a49e
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-08

    Remove items from the gear menu that pertain to the selection

    We want the gear menu to pertain to the directory view and
    be relatively stable. We provide selection specific items in the
    context menu.

    https://bugzilla.gnome.org/show_bug.cgi?id=680985

M	src/nautilus-directory-view-ui.xml
M	src/nautilus-shell-ui.xml
M	src/nautilus-view.c

commit 5f5dd8a985a1df07bf092b87347085034ff4a5db
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-08

    Move enter location into the app menu

    https://bugzilla.gnome.org/show_bug.cgi?id=680985

M	src/nautilus-actions.h
M	src/nautilus-app-menu.ui
M	src/nautilus-application.c
M	src/nautilus-shell-ui.xml
M	src/nautilus-window-menus.c
M	src/nautilus-window.c

commit ac7318fd164d1371359d6bb03eb4962dab9967e9
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-08

    Move bookmarks to app menu and only show add bookmark in page menu

    https://bugzilla.gnome.org/show_bug.cgi?id=680985

M	src/nautilus-app-menu.ui
M	src/nautilus-application.c
M	src/nautilus-shell-ui.xml
M	src/nautilus-window-menus.c

commit 55420e17214141e931c6b87a314ee7b8874ecda0
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-08

    Add a view menu button to the toolbar

    https://bugzilla.gnome.org/show_bug.cgi?id=680985

M	src/nautilus-canvas-view-ui.xml
M	src/nautilus-directory-view-ui.xml
M	src/nautilus-list-view-ui.xml
M	src/nautilus-shell-ui.xml
M	src/nautilus-toolbar.c
M	src/nautilus-view.c
M	src/nautilus-window-menus.c

commit 37a2fc4fc0080578cb318bb1918c293064911c11
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-08

    Add view options directly to the toolbar

    Instead of having them buried in the menus.

    https://bugzilla.gnome.org/show_bug.cgi?id=680985

M	src/nautilus-actions.h
M	src/nautilus-shell-ui.xml
M	src/nautilus-toolbar.c
M	src/nautilus-window-manage-views.c
M	src/nautilus-window-menus.c
M	src/nautilus-window-private.h
M	src/nautilus-window-slot.c
M	src/nautilus-window.c

commit 1d505a3ab7bc9d59713b90fc78e910842b7e7754
Author: Florian Müllner <fmuellner@gnome.org>
Date:	2012-08-08

    Fix segfault when result list is empty

    Commit 50711e28b introduced selecting the first result automatically,
    but didn't handle the case where the result list is empty.

    https://bugzilla.gnome.org/show_bug.cgi?id=681479

M	libnautilus-private/nautilus-canvas-container.c

commit 3516a3ac56ef222f3995a49ee429eebb48526408
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-07

    Add a bunch of profiling points

M	libnautilus-private/nautilus-directory-async.c
M	libnautilus-private/nautilus-directory.c
M	src/nautilus-application.c
M	src/nautilus-view.c
M	src/nautilus-window-manage-views.c
M	src/nautilus-window.c

commit d1a5b063f58b93f01a1415ee3b547256ba7d61b7
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-07

    Add profiling support

    Can now be profiled like so:
    strace -ttt -f -o /tmp/logfile.strace nautilus
    python plot-timeline.py -o prettygraph.png /tmp/logfile.strace

    See: http://www.gnome.org/~federico/news-2006-03.html#09

M	configure.in
M	libnautilus-private/Makefile.am
A	libnautilus-private/nautilus-profile.c
A	libnautilus-private/nautilus-profile.h

commit 292314dd32084aa3d38d2e1bed14169744bc1b57
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-07

    Update directory async test case

M	.gitignore
M	test/test-nautilus-directory-async.c

commit ba5df7765116ea86b69cae6057eca15a54080865
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-08-08

    Updated Spanish translation

M	po/es.po

commit a8f4c23ed3101bd1a9430fa19cd1a3c8fdeaf1d5
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2012-08-08

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 749c5f0f380219fde872877b62f920ff983618f0 (tag: 3.5.5)
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-07

    release: prepare for 3.5.5

M	NEWS
M	configure.in

commit 50711e28ba4d4c971a812a0bdef0c30516141f4e
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-07

    Select first item in search results by default

M	libnautilus-private/nautilus-canvas-container.c
M	libnautilus-private/nautilus-canvas-container.h
M	src/nautilus-canvas-view.c
M	src/nautilus-list-view.c
M	src/nautilus-query-editor.c
M	src/nautilus-query-editor.h
M	src/nautilus-view.c
M	src/nautilus-view.h
M	src/nautilus-window-slot.c
M	src/nautilus-window-slot.h

commit fbc739e05e759b292a8dcaa8bc675ceda7b573f9
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-07

    Make sure error dialog has a parent

M	src/nautilus-window-manage-views.c

commit 47f4319f39c9f76a62d778212d9b916004f3670b
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-08-07

    Improve error handling of directory loading

M	src/nautilus-connect-server-dialog-nonmain.c
M	src/nautilus-window-manage-views.c
M	src/nautilus-window-slot.c
M	src/nautilus-window-types.h

commit 5584ec42bd0e3f22473a76a0c602d03144f8ce95
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-08-07

    Updated Spanish translation

M	po/es.po

commit aa33cb34fb53d29a67696fbc2a0a18fadce4e553
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2012-08-07

    Updated Spanish translation

M	po/es.po

commit bdb1147bf1ef04f5d45c7c378674d60ac89a86ee
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-07

    Fix other breakage from IconView->CanvasView renames

    - fix loading of the desktop icon view
    - don't use the term "Canvas" in translatable strings, since
    that's just
      an internal implementation detail

    This also fixes
    https://bugzilla.gnome.org/show_bug.cgi?id=681388

M	po/POTFILES.in
M	src/Makefile.am
M	src/nautilus-application.h
M	src/nautilus-canvas-view-container.c
R097	src/nautilus-icon-view-ui.xml	src/nautilus-canvas-view-ui.xml
M	src/nautilus-canvas-view.c
M	src/nautilus-directory-view-ui.xml
M	src/nautilus.gresource.xml

commit dbbeefd6ed126e55595e76e926b463d206489ebf
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-07

    menus: make sure to show About and Help when no app menu is displayed

    We had code for this, but it broke when we moved to a gear menu.

    https://bugzilla.gnome.org/show_bug.cgi?id=681394

M	src/nautilus-shell-ui.xml

commit 2b3359e97f323d5b59483b0845457275d7dc3d72
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-07

    application: add an environment variable to debug no-app-menu
    scenarios

    So that we can test under a stock environment the behavior when an app
    menu is not provided by the shell (since we have fallback code
    for such
    a case).

    https://bugzilla.gnome.org/show_bug.cgi?id=681394

M	src/nautilus-application.c

commit 5ccf6967c1acc0d4e99a4656d0458aaa5993856b
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-07

    preferences: fix icon view -> canvas view leftover

    This was lost in the massive renaming.

M	libnautilus-private/nautilus-global-preferences.c
M	libnautilus-private/nautilus-global-preferences.h

commit e5f2d96517352d641917c9130171ee488557a21d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-07

    query-editor: avoid an additional vbox

    Since we're a vbox already, and this vertical box is our only child.

M	src/nautilus-query-editor.c

commit 1d3cdd00807f527296fd337646780edd3980ed9f
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2012-08-07

    query-editor: use real toolbars instead of drawing the background

    This way, we don't need to go through hoops to render background and
    frame, or hacks to get a spacing around the box, since the theme
    sets a
    padding on it.

M	src/nautilus-query-editor.c

commit fc450bbdfeb8387e18182369fd8b6907ed05ec74
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-07-22

    Rename icon view to canvas view

    This will allow us to retain canvas view for the desktop directory
    but implement a new icon view for other folders.

    https://bugzilla.gnome.org/show_bug.cgi?id=681370

M	libnautilus-private/Makefile.am
R071	libnautilus-private/nautilus-icon-container.c
libnautilus-private/nautilus-canvas-container.c
A	libnautilus-private/nautilus-canvas-container.h
R082	libnautilus-private/nautilus-icon-dnd.c
libnautilus-private/nautilus-canvas-dnd.c
R062	libnautilus-private/nautilus-icon-dnd.h
libnautilus-private/nautilus-canvas-dnd.h
R066	libnautilus-private/nautilus-icon-canvas-item.c
libnautilus-private/nautilus-canvas-item.c
A	libnautilus-private/nautilus-canvas-item.h
R067	libnautilus-private/nautilus-icon-private.h
libnautilus-private/nautilus-canvas-private.h
M	libnautilus-private/nautilus-debug.c
M	libnautilus-private/nautilus-debug.h
M	libnautilus-private/nautilus-desktop-background.c
M	libnautilus-private/nautilus-desktop-background.h
D	libnautilus-private/nautilus-icon-canvas-item.h
D	libnautilus-private/nautilus-icon-container.h
M	libnautilus-private/nautilus-lib-self-check-functions.h
M	libnautilus-private/nautilus-tree-view-drag-dest.c
M	po/POTFILES.in
M	src/Makefile.am
M	src/nautilus-application.c
R069	src/nautilus-icon-view-container.c
src/nautilus-canvas-view-container.c
A	src/nautilus-canvas-view-container.h
A	src/nautilus-canvas-view.c
A	src/nautilus-canvas-view.h
R065	src/nautilus-desktop-icon-view.c
src/nautilus-desktop-canvas-view.c
A	src/nautilus-desktop-canvas-view.h
D	src/nautilus-desktop-icon-view.h
D	src/nautilus-icon-view-container.h
D	src/nautilus-icon-view.c
D	src/nautilus-icon-view.h
M	src/nautilus-list-view.c
M	src/nautilus-location-bar.c
M	src/nautilus-location-entry.c
M	src/nautilus-pathbar.c
M	src/nautilus-view-dnd.c
M	src/nautilus-view.c
M	src/nautilus-view.h

commit 63e4bb8b27c60a2e4713466209ffb317339d12b1
Author: Dirgita <dirgitadevina@yahoo.co.id>
Date:	2012-08-07

    Updated Indonesian translation

M	po/id.po

commit e4f0a0f2e1895e4b24e241945e0fc3f7dd45e14e
Author: William Jon McCann <jmccann@redhat.com>
Date:	2012-07-21

    Removed more scaling fonts by zoom factor

M	libnautilus-private/nautilus-icon-canvas-item.c
M	libnautilus-private/nautilus-icon-container.c
M	libnautilus-private/nautilus-icon-container.h
M	libnautilus-private/nautilus-icon-private.h

commit e5efbcbb9a1081faf1b8709cb643236c4dd65a33
Author: Sweta Kothari <swkothar@redhat.com>
Date:	2012-08-07

    Updated gujarati file

M	po/gu.po

